#  LP written by GAMS Convert at 05/24/17 14:04:09
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         10        1        8        1        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          6        6        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         39       39        0        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.5,4),initialize=0.5)
m.x2 = Var(within=Reals,bounds=(0.5,5),initialize=0.5)
m.x3 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x4 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x5 = Var(within=Reals,bounds=(None,None),initialize=0)

m.obj = Objective(expr= - 0.1*m.x3 + 0.5*m.x5, sense=minimize)

m.c2 = Constraint(expr=   4*m.x1 + 3*m.x2 >= 12)

m.c3 = Constraint(expr= - 5*m.x1 + 2*m.x2 >= 10)

m.c4 = Constraint(expr=   0.166666666666667*m.x1 - m.x2 <= -2.5)

m.c5 = Constraint(expr=   0.5*m.x1 + 0.25*m.x2 - 0.5*m.x3 - m.x4 + m.x5 >= 0.125)

m.c6 = Constraint(expr= - 5*m.x1 - 0.25*m.x2 + 5*m.x3 + m.x4 - m.x5 >= -1.25)

m.c7 = Constraint(expr= - 2.25*m.x1 - 2*m.x2 + 0.5*m.x3 + 4.5*m.x4 - m.x5 >= -1)

m.c8 = Constraint(expr=   22.5*m.x1 + 2*m.x2 - 5*m.x3 - 4.5*m.x4 + m.x5 >= 10)

m.c9 = Constraint(expr=   4*m.x1 + 16*m.x2 - 0.5*m.x3 - 8*m.x4 + m.x5 >= 8)

m.c10 = Constraint(expr= - 40*m.x1 - 16*m.x2 + 5*m.x3 + 8*m.x4 - m.x5 >= -80)
