#  MINLP written by GAMS Convert at 05/24/17 14:04:30
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         76        6       15       55        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         26       16       10        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        197      187       10        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x2 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x3 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x4 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x5 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x6 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x7 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x8 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x9 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x10 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x11 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x12 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x13 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x14 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x15 = Var(within=Reals,bounds=(0,None),initialize=0)
m.b16 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b17 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b18 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b19 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b20 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b21 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b22 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b23 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b24 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b25 = Var(within=Binary,bounds=(0,1),initialize=0)

m.obj = Objective(expr= - 1000*m.x1 - 1000*m.x2 - 1000*m.x3 - 1000*m.x4 - 1000*m.x5 + 20*m.x6 + 40*m.b16
                       , sense=minimize)

m.c2 = Constraint(expr=   m.x2 >= 1600)

m.c3 = Constraint(expr=   m.x3 >= 1600)

m.c4 = Constraint(expr=   m.x4 >= 1600)

m.c5 = Constraint(expr=   m.x5 >= 0)

m.c6 = Constraint(expr=   m.x2 <= 5625)

m.c7 = Constraint(expr=   m.x3 <= 5625)

m.c8 = Constraint(expr=   m.x4 <= 5625)

m.c9 = Constraint(expr=   m.x5 <= 0)

m.c10 = Constraint(expr=   m.x1 == 5625)

m.c11 = Constraint(expr=   m.b16 + m.b17 <= 1)

m.c12 = Constraint(expr=   m.b16 + m.b17 <= 1)

m.c13 = Constraint(expr=   m.b18 + m.b20 <= 1)

m.c14 = Constraint(expr=   m.b19 + m.b22 <= 1)

m.c15 = Constraint(expr=   m.b18 + m.b20 <= 1)

m.c16 = Constraint(expr=   m.b21 + m.b24 <= 1)

m.c17 = Constraint(expr=   m.b19 + m.b22 <= 1)

m.c18 = Constraint(expr=   m.b23 + m.b25 <= 1)

m.c19 = Constraint(expr=   m.b21 + m.b24 <= 1)

m.c20 = Constraint(expr=   m.b23 + m.b25 <= 1)

m.c21 = Constraint(expr=   m.x6 - 10000*m.b16 <= 0)

m.c22 = Constraint(expr=   m.x7 - 10000*m.b17 <= 0)

m.c23 = Constraint(expr=   m.x8 - 10000*m.b18 <= 0)

m.c24 = Constraint(expr=   m.x9 - 10000*m.b19 <= 0)

m.c25 = Constraint(expr=   m.x10 - 10000*m.b20 <= 0)

m.c26 = Constraint(expr=   m.x11 - 10000*m.b21 <= 0)

m.c27 = Constraint(expr=   m.x12 - 10000*m.b22 <= 0)

m.c28 = Constraint(expr=   m.x13 - 10000*m.b23 <= 0)

m.c29 = Constraint(expr=   m.x14 - 10000*m.b24 <= 0)

m.c30 = Constraint(expr=   m.x15 - 10000*m.b25 <= 0)

m.c31 = Constraint(expr= - 10000*m.x6 + m.b16 <= 0)

m.c32 = Constraint(expr= - 10000*m.x7 + m.b17 <= 0)

m.c33 = Constraint(expr= - 10000*m.x8 + m.b18 <= 0)

m.c34 = Constraint(expr= - 10000*m.x9 + m.b19 <= 0)

m.c35 = Constraint(expr= - 10000*m.x10 + m.b20 <= 0)

m.c36 = Constraint(expr= - 10000*m.x11 + m.b21 <= 0)

m.c37 = Constraint(expr= - 10000*m.x12 + m.b22 <= 0)

m.c38 = Constraint(expr= - 10000*m.x13 + m.b23 <= 0)

m.c39 = Constraint(expr= - 10000*m.x14 + m.b24 <= 0)

m.c40 = Constraint(expr= - 10000*m.x15 + m.b25 <= 0)

m.c41 = Constraint(expr=   m.x1 - m.x2 - 10000*m.b16 <= 0)

m.c42 = Constraint(expr= - m.x1 + m.x2 - 10000*m.b17 <= 0)

m.c43 = Constraint(expr=   m.x2 - m.x3 - 10000*m.b18 <= 0)

m.c44 = Constraint(expr=   m.x2 - m.x4 - 10000*m.b19 <= 0)

m.c45 = Constraint(expr= - m.x2 + m.x3 - 10000*m.b20 <= 0)

m.c46 = Constraint(expr=   m.x3 - m.x5 - 10000*m.b21 <= 0)

m.c47 = Constraint(expr= - m.x2 + m.x4 - 10000*m.b22 <= 0)

m.c48 = Constraint(expr=   m.x4 - m.x5 - 10000*m.b23 <= 0)

m.c49 = Constraint(expr= - m.x3 + m.x5 - 10000*m.b24 <= 0)

m.c50 = Constraint(expr= - m.x4 + m.x5 - 10000*m.b25 <= 0)

m.c51 = Constraint(expr= - m.x1 + m.x2 + 10000*m.b16 <= 10000)

m.c52 = Constraint(expr=   m.x1 - m.x2 + 10000*m.b17 <= 10000)

m.c53 = Constraint(expr= - m.x2 + m.x3 + 10000*m.b18 <= 10000)

m.c54 = Constraint(expr= - m.x2 + m.x4 + 10000*m.b19 <= 10000)

m.c55 = Constraint(expr=   m.x2 - m.x3 + 10000*m.b20 <= 10000)

m.c56 = Constraint(expr= - m.x3 + m.x5 + 10000*m.b21 <= 10000)

m.c57 = Constraint(expr=   m.x2 - m.x4 + 10000*m.b22 <= 10000)

m.c58 = Constraint(expr= - m.x4 + m.x5 + 10000*m.b23 <= 10000)

m.c59 = Constraint(expr=   m.x3 - m.x5 + 10000*m.b24 <= 10000)

m.c60 = Constraint(expr=   m.x4 - m.x5 + 10000*m.b25 <= 10000)

m.c61 = Constraint(expr=   m.x11 + m.x13 - m.x14 - m.x15 == 20000)

m.c62 = Constraint(expr=   m.x6 - m.x7 - m.x8 - m.x9 + m.x10 + m.x12 == 0)

m.c63 = Constraint(expr=   m.x8 - m.x10 - m.x11 + m.x14 == 0)

m.c64 = Constraint(expr=   m.x9 - m.x12 - m.x13 + m.x15 == 0)

m.c65 = Constraint(expr=   m.x6 >= 0)

m.c66 = Constraint(expr=   m.x6 <= 50000)

m.c67 = Constraint(expr=-2.49149e-6*m.x6*m.x6 + m.x1 - m.x2 - 10000*m.b16 >= -10000)

m.c68 = Constraint(expr=-2.49149e-6*m.x7*m.x7 - m.x1 + m.x2 - 10000*m.b17 >= -10000)

m.c69 = Constraint(expr=-2.49149e-6*m.x8*m.x8 + m.x2 - m.x3 - 10000*m.b18 >= -10000)

m.c70 = Constraint(expr=-2.49149e-6*m.x9*m.x9 + m.x2 - m.x4 - 10000*m.b19 >= -10000)

m.c71 = Constraint(expr=-2.49149e-6*m.x10*m.x10 - m.x2 + m.x3 - 10000*m.b20 >= -10000)

m.c72 = Constraint(expr=-2.49149e-6*m.x11*m.x11 + m.x3 - m.x5 - 10000*m.b21 >= -10000)

m.c73 = Constraint(expr=-2.49149e-6*m.x12*m.x12 - m.x2 + m.x4 - 10000*m.b22 >= -10000)

m.c74 = Constraint(expr=-2.49149e-6*m.x13*m.x13 + m.x4 - m.x5 - 10000*m.b23 >= -10000)

m.c75 = Constraint(expr=-2.49149e-6*m.x14*m.x14 - m.x3 + m.x5 - 10000*m.b24 >= -10000)

m.c76 = Constraint(expr=-2.49149e-6*m.x15*m.x15 - m.x4 + m.x5 - 10000*m.b25 >= -10000)
