#  MINLP written by GAMS Convert at 05/24/17 14:04:38
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          7        2        0        5        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          7        1        0        6        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         23        1       22        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.i2 = Var(within=Integers,bounds=(1,600),initialize=1)
m.i3 = Var(within=Integers,bounds=(1,600),initialize=1)
m.i4 = Var(within=Integers,bounds=(1,300),initialize=1)
m.i5 = Var(within=Integers,bounds=(1,300),initialize=1)
m.i6 = Var(within=Integers,bounds=(1,30),initialize=1)
m.i7 = Var(within=Integers,bounds=(1,30),initialize=1)

m.obj = Objective(expr=0.2*m.i2*m.i4*m.i6 + 200*m.i4*m.i6 + 5*m.i6 + 0.22*m.i3*m.i5*m.i7 + 220*m.i5*m.i7 + 5.5*m.i7
                       , sense=minimize)

m.c2 = Constraint(expr=450*(1/(m.i2*m.i4*m.i6) + 1/(m.i3*m.i5*m.i7)) + 200*(1/(m.i4*m.i6) + 1/(m.i5*m.i7))
                        <= 3.18517584662293)

m.c3 = Constraint(expr=-m.i4*m.i6 <= -1)

m.c4 = Constraint(expr=m.i4*m.i6 <= 100)

m.c5 = Constraint(expr=-m.i5*m.i7 <= -1)

m.c6 = Constraint(expr=m.i5*m.i7 <= 100)

m.c7 = Constraint(expr=m.i6/m.i7 == 1)
