#  NLP written by GAMS Convert at 05/24/17 14:05:32
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         13        7        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        157      106       51        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.18,2.02),initialize=0.18)
m.x2 = Var(within=Reals,bounds=(0.48,2.53),initialize=0.48)
m.x3 = Var(within=Reals,bounds=(0.47,2.61),initialize=0.47)
m.x4 = Var(within=Reals,bounds=(0.21,2.14),initialize=0.21)
m.x5 = Var(within=Reals,bounds=(0.38,2.39),initialize=0.38)
m.x6 = Var(within=Reals,bounds=(0.32,2.71),initialize=0.32)
m.x7 = Var(within=Reals,bounds=(0.37,2.18),initialize=0.37)
m.x8 = Var(within=Reals,bounds=(0.08,2.63),initialize=0.08)
m.x9 = Var(within=Reals,bounds=(0.16,2.68),initialize=0.16)
m.x10 = Var(within=Reals,bounds=(0.46,2.34),initialize=0.46)
m.x11 = Var(within=Reals,bounds=(0.91,2.39),initialize=0.91)
m.x12 = Var(within=Reals,bounds=(0.44,3),initialize=0.44)

m.obj = Objective(expr=8.73*m.x4*m.x12 + 8.42*m.x4 + 0.1*m.x12 + 1.3*m.x8*m.x8 + 9.54*m.x8 + 2.63*m.x1*m.x1*m.x6 + 6.05*
                       m.x1 + 4.65*m.x6 + 0.66*m.x1*m.x3*m.x7 + 8.11*m.x3 + 8.63*m.x7 - 1.74*m.x1*m.x3*m.x9 + 5.72*m.x9
                        + 9.5*m.x1*m.x9*m.x9 - 6.33*m.x2*m.x2*m.x8 - 5.71*m.x2 + 4.62*m.x2*m.x2*m.x10 + 8.65*m.x10 + 
                       5.85*m.x2*m.x3*m.x9 + 6.62*m.x2*m.x10*m.x12 + 6.89*m.x3*m.x4*m.x9 + 4.54*m.x3*m.x8*m.x9 + 6.97*
                       m.x3*m.x10*m.x10 + 1.91*m.x4*m.x5*m.x11 + 9.83*m.x5 + 3.81*m.x11 + 1.75*m.x4*m.x6*m.x8 + 4.67*
                       m.x4*m.x8*m.x10 + 8.68*m.x5*m.x9*m.x10 + 6.18*m.x5*m.x9*m.x11 + 4.78*m.x5*m.x10*m.x12 + 9.73*m.x6
                       *m.x6*m.x8 + 1.36*m.x6*m.x7*m.x10 + 3.7*m.x6*m.x10*m.x11 + 3.55*m.x1*m.x1*m.x2*m.x10 + 9.94*m.x1*
                       m.x1*m.x2*m.x11 + 7.48*m.x1*m.x1*m.x3*m.x5 + 0.36*m.x1*m.x1*m.x5*m.x7 - 2.75*m.x1*m.x2*m.x2*m.x8
                        + 2.35*m.x1*m.x3*m.x5*m.x6 - 3.26*m.x1*m.x3*m.x8*m.x10 + 8.11*m.x1*m.x4*m.x10*m.x11 + 3.95*m.x1*
                       m.x5*m.x6*m.x11 + 8.33*m.x1*m.x6*m.x8*m.x8 + 6.49*m.x1*m.x6*m.x9*m.x12 + 5.57*m.x1*m.x7*m.x8*
                       m.x11 + 1.57*m.x1*m.x10*m.x10*m.x10 + 7.4*m.x2*m.x2*m.x6*m.x8 - 0.65*m.x2*m.x2*m.x7*m.x8 + 5.01*
                       m.x2*m.x2*m.x12*m.x12 + 5.08*m.x2*m.x4*m.x11*m.x12 + 7.23*m.x2*m.x5*m.x6*m.x8 - 5.23*m.x2*m.x6*
                       m.x8*m.x8 + 5.48*m.x2*m.x6*m.x8*m.x12 + 7.55*m.x2*m.x6*m.x10*m.x12 - 9.95*m.x2*m.x7*m.x7*m.x11 + 
                       2.38*m.x2*m.x7*m.x8*m.x9 + 2.22*m.x2*m.x8*m.x10*m.x11 + 0.28*m.x3*m.x3*m.x4*m.x8 + 4.71*m.x3*m.x3
                       *m.x9*m.x12 + 9.7*m.x3*m.x4*m.x5*m.x9 + 2.33*m.x3*m.x4*m.x5*m.x11 + 3.84*m.x3*m.x4*m.x10*m.x10 + 
                       6.43*m.x3*m.x5*m.x9*m.x10 + 9.42*m.x3*m.x6*m.x6*m.x10 + 6.69*m.x3*m.x9*m.x10*m.x12 + 5.3*m.x4*
                       m.x4*m.x5*m.x7 + 0.87*m.x4*m.x4*m.x8*m.x11 + 3.68*m.x4*m.x5*m.x6*m.x7 + 8.12*m.x4*m.x5*m.x7*m.x10
                        + 1.67*m.x4*m.x7*m.x7*m.x12 + 5.88*m.x4*m.x8*m.x9*m.x9 + 6.15*m.x5*m.x5*m.x5*m.x10 + 5.79*m.x5*
                       m.x5*m.x7*m.x7 + 9.63*m.x5*m.x5*m.x9*m.x10 - 8.98*m.x5*m.x7*m.x7*m.x11 + 9.92*m.x5*m.x7*m.x10*
                       m.x11 + 5.9*m.x5*m.x10*m.x10*m.x11 + 1.54*m.x6*m.x6*m.x7*m.x10 + 1.15*m.x6*m.x6*m.x8*m.x9 + 1.55*
                       m.x6*m.x7*m.x8*m.x9 - 8.56*m.x7*m.x7*m.x9*m.x11 + 7.65*m.x7*m.x7*m.x12*m.x12 + 6.83*m.x7*m.x8*
                       m.x10*m.x11 + 1.45*m.x7*m.x8*m.x12*m.x12 + m.x8*m.x8*m.x8*m.x10 + 4.56*m.x8*m.x8*m.x8*m.x11 + 
                       0.23*m.x8*m.x8*m.x8*m.x12 + 0.48*m.x8*m.x11*m.x12*m.x12 + 6.94*m.x9*m.x9*m.x9*m.x11 + 9.97*m.x9*
                       m.x10*m.x10*m.x11 + 7.89*m.x9*m.x10*m.x11*m.x11 + 2.8*m.x11*m.x12*m.x12*m.x12 + 2.29*m.x1*m.x1*
                       m.x1*m.x1*m.x1 + 3.64*m.x1*m.x1*m.x1*m.x2*m.x4 + 7.43*m.x1*m.x1*m.x1*m.x3*m.x6 + 4.95*m.x1*m.x1*
                       m.x1*m.x5*m.x10 + 7.03*m.x1*m.x1*m.x1*m.x7*m.x10 + 4.63*m.x1*m.x1*m.x1*m.x10*m.x11 + 2.62*m.x1*
                       m.x1*m.x2*m.x3*m.x5 + 1.25*m.x1*m.x1*m.x2*m.x4*m.x6 + 3.4*m.x1*m.x1*m.x2*m.x4*m.x10 + 4.76*m.x1*
                       m.x1*m.x2*m.x5*m.x9 + 4.67*m.x1*m.x1*m.x2*m.x8*m.x11 + 5.34*m.x1*m.x1*m.x3*m.x6*m.x10 + 0.33*m.x1
                       *m.x1*m.x3*m.x7*m.x11 + 8.35*m.x1*m.x1*m.x4*m.x7*m.x11 + 9.72*m.x1*m.x1*m.x5*m.x5*m.x5 - 8.08*
                       m.x1*m.x1*m.x7*m.x7*m.x8 + 4.04*m.x1*m.x1*m.x7*m.x7*m.x9 + 8.2*m.x1*m.x1*m.x7*m.x8*m.x12 + 2.71*
                       m.x1*m.x2*m.x2*m.x8*m.x8 - 1.64*m.x1*m.x2*m.x2*m.x9*m.x12 + 5.03*m.x1*m.x2*m.x3*m.x5*m.x8 + 7.8*
                       m.x1*m.x2*m.x3*m.x9*m.x10 + 7.34*m.x1*m.x2*m.x4*m.x4*m.x10 + 9.83*m.x1*m.x2*m.x4*m.x6*m.x6 - 1.17
                       *m.x1*m.x2*m.x4*m.x8*m.x9 + 9.83*m.x1*m.x2*m.x4*m.x9*m.x11 + 2.42*m.x1*m.x2*m.x5*m.x7*m.x9 + 4.74
                       *m.x1*m.x2*m.x5*m.x9*m.x10 + 7.19*m.x1*m.x2*m.x5*m.x12*m.x12 + 0.85*m.x1*m.x2*m.x6*m.x6*m.x8 + 
                       4.36*m.x1*m.x2*m.x6*m.x6*m.x12 + 9.55*m.x1*m.x2*m.x8*m.x8*m.x11 + 0.3*m.x1*m.x2*m.x8*m.x12*m.x12
                        + 2.32*m.x1*m.x2*m.x10*m.x11*m.x11 + 6.01*m.x1*m.x2*m.x11*m.x11*m.x11 + 7.66*m.x1*m.x3*m.x3*m.x7
                       *m.x12 + 2.08*m.x1*m.x3*m.x3*m.x8*m.x11 + 7.8*m.x1*m.x3*m.x3*m.x9*m.x10 + 1.64*m.x1*m.x3*m.x4*
                       m.x5*m.x5 + 8.03*m.x1*m.x3*m.x6*m.x6*m.x11 + 6.71*m.x1*m.x3*m.x8*m.x8*m.x8 + 6.42*m.x1*m.x3*m.x8*
                       m.x10*m.x10 + 8.28*m.x1*m.x3*m.x9*m.x12*m.x12 + 6.78*m.x1*m.x4*m.x4*m.x4*m.x8 + 5.33*m.x1*m.x4*
                       m.x4*m.x4*m.x11 - 2.64*m.x1*m.x4*m.x4*m.x6*m.x12 + 3.23*m.x1*m.x4*m.x5*m.x6*m.x12 + 5.06*m.x1*
                       m.x4*m.x5*m.x7*m.x10 + 6.73*m.x1*m.x4*m.x5*m.x9*m.x12 + 2.18*m.x1*m.x4*m.x6*m.x7*m.x10 - 7.88*
                       m.x1*m.x4*m.x6*m.x7*m.x12 - 3.13*m.x1*m.x4*m.x6*m.x9*m.x12 + 4.26*m.x1*m.x4*m.x7*m.x9*m.x10 + 
                       4.31*m.x1*m.x4*m.x7*m.x9*m.x12 + 7.71*m.x1*m.x4*m.x7*m.x10*m.x11 + 0.71*m.x1*m.x4*m.x8*m.x8*m.x10
                        + 8.98*m.x1*m.x4*m.x8*m.x12*m.x12 + 0.24*m.x1*m.x5*m.x6*m.x7*m.x11 + 8.58*m.x1*m.x5*m.x6*m.x8*
                       m.x12 + 3.61*m.x1*m.x6*m.x6*m.x6*m.x8 + 9.09*m.x1*m.x6*m.x6*m.x11*m.x11 + 7.93*m.x1*m.x6*m.x7*
                       m.x7*m.x12 + 9.32*m.x1*m.x6*m.x7*m.x9*m.x12 + 6.54*m.x1*m.x7*m.x9*m.x9*m.x10 - 5.6*m.x1*m.x7*m.x9
                       *m.x10*m.x10 + 3.02*m.x1*m.x8*m.x8*m.x9*m.x12 + 0.47*m.x1*m.x8*m.x9*m.x10*m.x12 - 2.24*m.x1*m.x8*
                       m.x9*m.x12*m.x12 - 4.21*m.x1*m.x10*m.x11*m.x12*m.x12 + 6.08*m.x1*m.x11*m.x11*m.x12*m.x12 - 9.33*
                       m.x2*m.x2*m.x2*m.x3*m.x11 + 6.84*m.x2*m.x2*m.x2*m.x5*m.x6 + 3.52*m.x2*m.x2*m.x2*m.x6*m.x6 + 6.05*
                       m.x2*m.x2*m.x3*m.x3*m.x6 + 1.25*m.x2*m.x2*m.x3*m.x7*m.x9 + 1.44*m.x2*m.x2*m.x4*m.x5*m.x12 - 9.4*
                       m.x2*m.x2*m.x4*m.x6*m.x7 + 0.01*m.x2*m.x2*m.x5*m.x5*m.x6 + 7.19*m.x2*m.x2*m.x5*m.x9*m.x10 + 9.95*
                       m.x2*m.x2*m.x5*m.x11*m.x12 + 5.71*m.x2*m.x2*m.x7*m.x7*m.x10 + 9.14*m.x2*m.x2*m.x8*m.x10*m.x11 + 
                       7.47*m.x2*m.x2*m.x9*m.x12*m.x12 + 3.23*m.x2*m.x3*m.x3*m.x3*m.x5 + 1.13*m.x2*m.x3*m.x3*m.x4*m.x4
                        + 0.93*m.x2*m.x3*m.x4*m.x5*m.x10 + 1.84*m.x2*m.x3*m.x4*m.x7*m.x9 + 9.43*m.x2*m.x3*m.x4*m.x11*
                       m.x11 + 2.41*m.x2*m.x3*m.x5*m.x6*m.x7 + 7.69*m.x2*m.x3*m.x5*m.x8*m.x12 + 5.76*m.x2*m.x3*m.x8*
                       m.x10*m.x11 + 0.54*m.x2*m.x3*m.x8*m.x11*m.x11 + 3.75*m.x2*m.x3*m.x9*m.x11*m.x12 + 1.23*m.x2*m.x3*
                       m.x11*m.x11*m.x11 + 2.94*m.x2*m.x4*m.x4*m.x5*m.x12 + 5.34*m.x2*m.x4*m.x4*m.x11*m.x11 + 2.43*m.x2*
                       m.x4*m.x5*m.x12*m.x12 + 3.9*m.x2*m.x4*m.x6*m.x6*m.x10 + 4.12*m.x2*m.x4*m.x6*m.x7*m.x10 + 8.41*
                       m.x2*m.x4*m.x8*m.x11*m.x11 + 0.78*m.x2*m.x4*m.x11*m.x11*m.x12 - 5.75*m.x2*m.x5*m.x5*m.x7*m.x7 + 
                       2.13*m.x2*m.x5*m.x6*m.x7*m.x8 + 5.53*m.x2*m.x5*m.x6*m.x12*m.x12 + 4.32*m.x2*m.x5*m.x7*m.x8*m.x12
                        + 8.05*m.x2*m.x5*m.x8*m.x10*m.x11 + 3.14*m.x2*m.x6*m.x7*m.x10*m.x12 + 5.27*m.x2*m.x6*m.x8*m.x8*
                       m.x9 + 6.17*m.x2*m.x6*m.x8*m.x10*m.x11 + 3*m.x2*m.x6*m.x11*m.x11*m.x12 + 4.26*m.x2*m.x7*m.x7*m.x7
                       *m.x8 + 6.82*m.x2*m.x7*m.x8*m.x8*m.x11 + 7.7*m.x2*m.x7*m.x8*m.x10*m.x10 + 9.72*m.x2*m.x8*m.x8*
                       m.x9*m.x10 + 7.26*m.x2*m.x8*m.x8*m.x10*m.x11 - 4.15*m.x2*m.x8*m.x11*m.x11*m.x11 + 5.5*m.x2*m.x9*
                       m.x9*m.x10*m.x10 + 6.46*m.x2*m.x9*m.x9*m.x11*m.x12 + 8.66*m.x3*m.x3*m.x3*m.x5*m.x9 + 6.3*m.x3*
                       m.x3*m.x3*m.x6*m.x7 + 4.46*m.x3*m.x3*m.x3*m.x7*m.x11 + 9.07*m.x3*m.x3*m.x3*m.x9*m.x11 + 6.01*m.x3
                       *m.x3*m.x4*m.x5*m.x10 + 4*m.x3*m.x3*m.x4*m.x10*m.x11 + 7.27*m.x3*m.x3*m.x5*m.x5*m.x11 + 5.78*m.x3
                       *m.x3*m.x5*m.x11*m.x12 - 0.39*m.x3*m.x3*m.x6*m.x6*m.x10 + 2.55*m.x3*m.x3*m.x7*m.x10*m.x12 + 0.03*
                       m.x3*m.x4*m.x4*m.x7*m.x9 - 8.09*m.x3*m.x4*m.x4*m.x8*m.x9 + 5.26*m.x3*m.x4*m.x4*m.x8*m.x12 + 0.88*
                       m.x3*m.x4*m.x5*m.x9*m.x12 + 4.16*m.x3*m.x4*m.x5*m.x10*m.x10 + 8.07*m.x3*m.x4*m.x6*m.x7*m.x7 + 
                       1.46*m.x3*m.x4*m.x6*m.x8*m.x11 + 6.92*m.x3*m.x4*m.x7*m.x11*m.x12 + 4.61*m.x3*m.x4*m.x7*m.x12*
                       m.x12 + 1.8*m.x3*m.x4*m.x9*m.x9*m.x10 + 8.51*m.x3*m.x4*m.x9*m.x11*m.x12 + 9.22*m.x3*m.x4*m.x9*
                       m.x12*m.x12 + 4.23*m.x3*m.x4*m.x11*m.x12*m.x12 + 9.11*m.x3*m.x5*m.x5*m.x7*m.x9 + 2.13*m.x3*m.x5*
                       m.x6*m.x9*m.x11 + 4.76*m.x3*m.x5*m.x6*m.x10*m.x10 - 4.46*m.x3*m.x6*m.x8*m.x9*m.x10 + 9.56*m.x3*
                       m.x6*m.x9*m.x12*m.x12 + 8.07*m.x3*m.x7*m.x7*m.x10*m.x12 + 3.09*m.x3*m.x8*m.x8*m.x8*m.x10 + 2.23*
                       m.x3*m.x8*m.x8*m.x8*m.x12 + 4.64*m.x3*m.x9*m.x10*m.x10*m.x11 + 2.11*m.x3*m.x9*m.x10*m.x10*m.x12
                        + 6.67*m.x3*m.x10*m.x11*m.x12*m.x12 + 3.11*m.x4*m.x4*m.x4*m.x6*m.x7 + 6.29*m.x4*m.x4*m.x5*m.x6*
                       m.x7 - 6.37*m.x4*m.x4*m.x5*m.x6*m.x8 + 7.44*m.x4*m.x4*m.x5*m.x7*m.x9 + 0.78*m.x4*m.x4*m.x6*m.x6*
                       m.x10 + 1.58*m.x4*m.x4*m.x6*m.x8*m.x12 + 1.85*m.x4*m.x4*m.x7*m.x7*m.x7 + 9.74*m.x4*m.x4*m.x7*m.x7
                       *m.x11 + 2.63*m.x4*m.x4*m.x7*m.x8*m.x8 + 3.74*m.x4*m.x4*m.x8*m.x8*m.x10 + 7.19*m.x4*m.x4*m.x8*
                       m.x9*m.x12 + 9.35*m.x4*m.x4*m.x8*m.x11*m.x11 + 1.71*m.x4*m.x4*m.x10*m.x10*m.x10 + 9.31*m.x4*m.x5*
                       m.x5*m.x5*m.x6 + 3.75*m.x4*m.x5*m.x5*m.x7*m.x7 + 8.85*m.x4*m.x5*m.x5*m.x11*m.x11 + 4.87*m.x4*m.x5
                       *m.x9*m.x10*m.x11 + 1.7*m.x4*m.x5*m.x12*m.x12*m.x12 + 6.89*m.x4*m.x6*m.x6*m.x6*m.x12 + 9.26*m.x4*
                       m.x6*m.x6*m.x7*m.x7 + 7.22*m.x4*m.x6*m.x7*m.x9*m.x9 - 0.87*m.x4*m.x6*m.x7*m.x10*m.x12 + 3.47*m.x4
                       *m.x6*m.x7*m.x11*m.x11 + 7.85*m.x4*m.x6*m.x8*m.x9*m.x11 + 2.72*m.x4*m.x6*m.x9*m.x11*m.x11 + 9.3*
                       m.x4*m.x6*m.x11*m.x11*m.x12 + 5.69*m.x4*m.x7*m.x7*m.x7*m.x9 + 2.26*m.x4*m.x8*m.x9*m.x10*m.x11 + 
                       1.18*m.x4*m.x8*m.x9*m.x11*m.x11 + 4.26*m.x4*m.x8*m.x10*m.x12*m.x12 + 1.1*m.x4*m.x9*m.x10*m.x11*
                       m.x11 - 0.86*m.x4*m.x10*m.x10*m.x11*m.x11 + 1.36*m.x5*m.x5*m.x5*m.x5*m.x7 + 6.23*m.x5*m.x5*m.x5*
                       m.x6*m.x11 + 8.91*m.x5*m.x5*m.x5*m.x8*m.x9 + 9.32*m.x5*m.x5*m.x5*m.x10*m.x11 + 0.39*m.x5*m.x5*
                       m.x6*m.x7*m.x12 - 3.67*m.x5*m.x5*m.x6*m.x9*m.x12 + 2.49*m.x5*m.x5*m.x7*m.x7*m.x12 + 3.5*m.x5*m.x5
                       *m.x8*m.x11*m.x12 - 9.48*m.x5*m.x5*m.x8*m.x12*m.x12 - 3.99*m.x5*m.x6*m.x6*m.x8*m.x8 + 8.21*m.x5*
                       m.x6*m.x6*m.x11*m.x11 + 8.52*m.x5*m.x6*m.x7*m.x7*m.x10 + 5.79*m.x5*m.x6*m.x7*m.x8*m.x12 + 0.74*
                       m.x5*m.x6*m.x7*m.x11*m.x11 + 0.43*m.x5*m.x6*m.x8*m.x8*m.x10 + 4.14*m.x5*m.x8*m.x8*m.x9*m.x12 + 
                       0.59*m.x5*m.x8*m.x8*m.x12*m.x12 + 7.15*m.x5*m.x8*m.x9*m.x11*m.x11 + 2.84*m.x5*m.x10*m.x10*m.x11*
                       m.x12 + 6.34*m.x5*m.x10*m.x11*m.x11*m.x12 + 3.73*m.x5*m.x11*m.x11*m.x11*m.x12 + 5.79*m.x5*m.x11*
                       m.x11*m.x12*m.x12 + 5.96*m.x6*m.x6*m.x6*m.x7*m.x9 + 5.17*m.x6*m.x6*m.x7*m.x8*m.x9 + 4.22*m.x6*
                       m.x6*m.x7*m.x12*m.x12 + 4.59*m.x6*m.x6*m.x8*m.x8*m.x11 + 0.93*m.x6*m.x6*m.x8*m.x11*m.x11 + 8.87*
                       m.x6*m.x7*m.x7*m.x7*m.x8 - 7.23*m.x6*m.x7*m.x7*m.x7*m.x11 + 9.08*m.x6*m.x7*m.x11*m.x12*m.x12 + 
                       9.57*m.x6*m.x8*m.x8*m.x8*m.x12 + 4.21*m.x6*m.x8*m.x8*m.x11*m.x11 + 7.18*m.x6*m.x8*m.x10*m.x10*
                       m.x11 - 0.78*m.x6*m.x8*m.x10*m.x11*m.x12 + 0.67*m.x6*m.x9*m.x9*m.x11*m.x11 + 3.09*m.x7*m.x7*m.x8*
                       m.x8*m.x9 + 7.21*m.x7*m.x8*m.x8*m.x9*m.x11 + 2.06*m.x7*m.x8*m.x9*m.x10*m.x11 + 2.49*m.x8*m.x9*
                       m.x10*m.x10*m.x10 + 5.4*m.x8*m.x10*m.x11*m.x12*m.x12 + 4.81*m.x8*m.x12*m.x12*m.x12*m.x12 + 6.99*
                       m.x9*m.x9*m.x9*m.x9*m.x12 + 1.61*m.x9*m.x9*m.x12*m.x12*m.x12 + 8.11*m.x9*m.x10*m.x10*m.x12*m.x12
                       , sense=minimize)

m.c1 = Constraint(expr= - 5.7*m.x1 + 0.18*m.x2 + 2.54*m.x3 + 3.82*m.x4 + 7.22*m.x5 + 0.75*m.x6 + 6.89*m.x7 + 0.97*m.x8
                        - 3.57*m.x9 + 9.89*m.x10 + 7.92*m.x11 - 8.97*m.x12 == 30.052)

m.c2 = Constraint(expr=   8.52*m.x1 + 5.37*m.x2 + 7.03*m.x3 + 7.99*m.x4 + 8.88*m.x5 + 7.64*m.x6 + 4.4*m.x7 + 9.75*m.x8
                        - 0.66*m.x9 + 5.88*m.x10 + 9.48*m.x11 + 0.04*m.x12 == 103.369)

m.c3 = Constraint(expr=   1.97*m.x1 + 1.62*m.x2 + 5.85*m.x3 + 0.97*m.x4 + 4.6*m.x5 + 8.51*m.x6 + 5.15*m.x7 + 3.55*m.x8
                        + 6.06*m.x9 + 8.66*m.x10 + 3.8*m.x11 + 3.32*m.x12 == 78.104)

m.c4 = Constraint(expr=   8.27*m.x1 + 7.84*m.x2 + 2.52*m.x3 + 1.54*m.x4 + 2.36*m.x5 + 6.11*m.x6 + 7.06*m.x7 - 4.34*m.x8
                        + 8.38*m.x9 + 5.92*m.x10 + 4.18*m.x11 + 9.75*m.x12 == 86.087)

m.c5 = Constraint(expr= - 3.19*m.x1 + 0.73*m.x2 + 0.73*m.x3 - 8.29*m.x4 + 4*m.x5 - 0.15*m.x6 + 9.61*m.x7 + 5.44*m.x8
                        + 5.22*m.x9 + 6.01*m.x10 + 4.86*m.x11 - 1.88*m.x12 == 34.522)

m.c6 = Constraint(expr=   2.05*m.x1 + 4.96*m.x2 + 9.35*m.x3 + 0.1*m.x4 + 3.13*m.x5 - 3.74*m.x6 - 0.97*m.x7 + 8.56*m.x8
                        + 8.27*m.x9 + 4.69*m.x10 + 4.54*m.x11 + 9.06*m.x12 == 74.651)

m.c7 = Constraint(expr=   8.32*m.x1 + 9.13*m.x2 + 5.23*m.x3 + 8.61*m.x4 + 1.2*m.x5 + 9.69*m.x6 + 9.12*m.x7 + 1.88*m.x8
                        + 5.79*m.x9 + 8.91*m.x10 + 6.51*m.x11 + 2.28*m.x12 >= 106.94)

m.c8 = Constraint(expr=0.52*m.x4*m.x12 + 5.74*m.x4 + 1.62*m.x12 - 0.26*m.x8*m.x8 + 4.53*m.x8 + 8.79*m.x1 + 7.08*m.x2
                        + 7.98*m.x3 - 2.8*m.x5 + 9.7*m.x6 + 3.37*m.x7 + 9.72*m.x9 + 8.76*m.x10 + 3.45*m.x11 >= 95.949)

m.c9 = Constraint(expr=2.95*m.x4*m.x12 + 8.05*m.x4 + 3.42*m.x12 + 0.34*m.x8*m.x8 + 3.83*m.x8 + 8.82*m.x1*m.x1*m.x6 + 
                       7.78*m.x1 + 6.52*m.x6 + 9.36*m.x1*m.x3*m.x7 + 1.23*m.x3 - 5.09*m.x7 + 9.75*m.x1*m.x3*m.x9 + 1.99*
                       m.x9 + 5.66*m.x1*m.x9*m.x9 + 9.07*m.x2*m.x2*m.x8 + 1.39*m.x2 + 9.64*m.x2*m.x2*m.x10 + 1.16*m.x10
                        + 2.27*m.x2*m.x3*m.x9 + 7.15*m.x2*m.x10*m.x12 + 1.47*m.x3*m.x4*m.x9 + 2.78*m.x3*m.x8*m.x9 + 7.55
                       *m.x3*m.x10*m.x10 + 1.51*m.x4*m.x5*m.x11 + 8.75*m.x5 + 1.14*m.x11 + 7.74*m.x4*m.x6*m.x8 + 9.1*
                       m.x4*m.x8*m.x10 + 1.32*m.x5*m.x9*m.x10 + 6.44*m.x5*m.x9*m.x11 + 1.47*m.x5*m.x10*m.x12 + 8.25*m.x6
                       *m.x6*m.x8 + 5.9*m.x6*m.x7*m.x10 + 1.38*m.x6*m.x10*m.x11 >= 933.741)

m.c10 = Constraint(expr=4.35*m.x4 - 8.32*m.x4*m.x12 + 4.92*m.x12 + 0.57*m.x8*m.x8 - 5.19*m.x8 + 3.78*m.x1*m.x1*m.x6 + 
                        4.13*m.x1 + 9.4*m.x6 + 1.43*m.x1*m.x3*m.x7 + 4.3*m.x3 + 0.56*m.x7 + 7.26*m.x1*m.x3*m.x9 + 0.84*
                        m.x9 + 0.99*m.x1*m.x9*m.x9 + 4.64*m.x2*m.x2*m.x8 + 3.03*m.x2 + 1.37*m.x2*m.x2*m.x10 + 2.77*m.x10
                         + 6.76*m.x2*m.x3*m.x9 + 8.08*m.x2*m.x10*m.x12 + 5.59*m.x3*m.x4*m.x9 + 8.34*m.x3*m.x8*m.x9 + 
                        0.85*m.x3*m.x10*m.x10 + 2.97*m.x4*m.x5*m.x11 + 7.23*m.x5 + 6.33*m.x11 + 9.84*m.x4*m.x6*m.x8 + 
                        7.31*m.x4*m.x8*m.x10 + 8.27*m.x5*m.x9*m.x10 - 1.48*m.x5*m.x9*m.x11 + 5*m.x5*m.x10*m.x12 + 5.24*
                        m.x6*m.x6*m.x8 + 8.39*m.x6*m.x7*m.x10 + 7.84*m.x6*m.x10*m.x11 + 7.16*m.x1*m.x1*m.x2*m.x10 + 8.04
                        *m.x1*m.x1*m.x2*m.x11 + 3.49*m.x1*m.x1*m.x3*m.x5 + 4.78*m.x1*m.x1*m.x5*m.x7 + 1.27*m.x1*m.x2*
                        m.x2*m.x8 + 3.69*m.x1*m.x3*m.x5*m.x6 + 7.22*m.x1*m.x3*m.x8*m.x10 + 9.8*m.x1*m.x4*m.x10*m.x11 + 
                        7.73*m.x1*m.x5*m.x6*m.x11 + 1.73*m.x1*m.x6*m.x8*m.x8 + 9.29*m.x1*m.x6*m.x9*m.x12 + 7.72*m.x1*
                        m.x7*m.x8*m.x11 + 5.2*m.x1*m.x10*m.x10*m.x10 + 8.82*m.x2*m.x2*m.x6*m.x8 + 6.5*m.x2*m.x2*m.x7*
                        m.x8 + 9.44*m.x2*m.x2*m.x12*m.x12 + 9.79*m.x2*m.x4*m.x11*m.x12 + 0.74*m.x2*m.x5*m.x6*m.x8 + 9.94
                        *m.x2*m.x6*m.x8*m.x8 + 7.02*m.x2*m.x6*m.x8*m.x12 + 0.31*m.x2*m.x6*m.x10*m.x12 + 0.52*m.x2*m.x7*
                        m.x7*m.x11 + 8.46*m.x2*m.x7*m.x8*m.x9 + 4.93*m.x2*m.x8*m.x10*m.x11 + 9.97*m.x3*m.x3*m.x4*m.x8 + 
                        2.84*m.x3*m.x3*m.x9*m.x12 + 8.42*m.x3*m.x4*m.x5*m.x9 - 7.61*m.x3*m.x4*m.x5*m.x11 + 4.14*m.x3*
                        m.x4*m.x10*m.x10 + 4.73*m.x3*m.x5*m.x9*m.x10 + 9.64*m.x3*m.x6*m.x6*m.x10 + 3.26*m.x3*m.x9*m.x10*
                        m.x12 + 4.52*m.x4*m.x4*m.x5*m.x7 + 2.44*m.x4*m.x4*m.x8*m.x11 + 7.65*m.x4*m.x5*m.x6*m.x7 + 3.89*
                        m.x4*m.x5*m.x7*m.x10 + 9.47*m.x4*m.x7*m.x7*m.x12 + 4.66*m.x4*m.x8*m.x9*m.x9 + 2.16*m.x5*m.x5*
                        m.x5*m.x10 + 1.56*m.x5*m.x5*m.x7*m.x7 + 0.59*m.x5*m.x5*m.x9*m.x10 + 1.88*m.x5*m.x7*m.x7*m.x11 + 
                        1.75*m.x5*m.x7*m.x10*m.x11 - 0.99*m.x5*m.x10*m.x10*m.x11 + 5.59*m.x6*m.x6*m.x7*m.x10 - 2.08*m.x6
                        *m.x6*m.x8*m.x9 + 4.93*m.x6*m.x7*m.x8*m.x9 + 8.29*m.x7*m.x7*m.x9*m.x11 + 7.42*m.x7*m.x7*m.x12*
                        m.x12 + 2.65*m.x7*m.x8*m.x10*m.x11 + 7.27*m.x7*m.x8*m.x12*m.x12 - 6.03*m.x8*m.x8*m.x8*m.x10 - 
                        9.56*m.x8*m.x8*m.x8*m.x11 + 8.53*m.x8*m.x8*m.x8*m.x12 + 4.95*m.x8*m.x11*m.x12*m.x12 + 4.51*m.x9*
                        m.x9*m.x9*m.x11 + 7.67*m.x9*m.x10*m.x10*m.x11 + 6.65*m.x9*m.x10*m.x11*m.x11 + 4.45*m.x11*m.x12*
                        m.x12*m.x12 >= 6017.035)

m.c11 = Constraint(expr=0.1*m.x4*m.x12 + 8.54*m.x4 + 2.55*m.x12 + 3.37*m.x8*m.x8 + 8.48*m.x8 + 1.49*m.x1*m.x1*m.x6 + 
                        9.31*m.x1 + 8.6*m.x6 + 0.74*m.x1*m.x3*m.x7 + 6.57*m.x3 + 7.44*m.x7 + 5.56*m.x1*m.x3*m.x9 + 5.65*
                        m.x9 + 1.53*m.x1*m.x9*m.x9 + 0.45*m.x2*m.x2*m.x8 + 7.42*m.x2 + 5.7*m.x2*m.x2*m.x10 - 5.47*m.x10
                         + 5.84*m.x2*m.x3*m.x9 + 2.25*m.x2*m.x10*m.x12 + 9.44*m.x3*m.x4*m.x9 + 0.03*m.x3*m.x8*m.x9 + 
                        6.53*m.x3*m.x10*m.x10 - 6.16*m.x4*m.x5*m.x11 + 5.11*m.x5 + 1.08*m.x11 + 7.85*m.x4*m.x6*m.x8 + 
                        9.73*m.x4*m.x8*m.x10 + 6.27*m.x5*m.x9*m.x10 + 3.89*m.x5*m.x9*m.x11 + 7.34*m.x5*m.x10*m.x12 + 
                        3.89*m.x6*m.x6*m.x8 + 4.28*m.x6*m.x7*m.x10 + 3.91*m.x6*m.x10*m.x11 + 2.52*m.x1*m.x1*m.x2*m.x10
                         + 0.72*m.x1*m.x1*m.x2*m.x11 + 4.18*m.x1*m.x1*m.x3*m.x5 + 6.6*m.x1*m.x1*m.x5*m.x7 + 7.88*m.x1*
                        m.x2*m.x2*m.x8 + 9.75*m.x1*m.x3*m.x5*m.x6 + 4*m.x1*m.x3*m.x8*m.x10 + 4.62*m.x1*m.x4*m.x10*m.x11
                         + 0.94*m.x1*m.x5*m.x6*m.x11 + 0.3*m.x1*m.x6*m.x8*m.x8 + 2.47*m.x1*m.x6*m.x9*m.x12 + 9.53*m.x1*
                        m.x7*m.x8*m.x11 + 1.67*m.x1*m.x10*m.x10*m.x10 + 6.25*m.x2*m.x2*m.x6*m.x8 + 1.59*m.x2*m.x2*m.x7*
                        m.x8 + 4.6*m.x2*m.x2*m.x12*m.x12 - 8.15*m.x2*m.x4*m.x11*m.x12 + 6.95*m.x2*m.x5*m.x6*m.x8 + 5.39*
                        m.x2*m.x6*m.x8*m.x8 + 3.97*m.x2*m.x6*m.x8*m.x12 + 8.49*m.x2*m.x6*m.x10*m.x12 + 4.49*m.x2*m.x7*
                        m.x7*m.x11 + 4.95*m.x2*m.x7*m.x8*m.x9 + 7.94*m.x2*m.x8*m.x10*m.x11 + 8.99*m.x3*m.x3*m.x4*m.x8 + 
                        7.18*m.x3*m.x3*m.x9*m.x12 + 9.76*m.x3*m.x4*m.x5*m.x9 + 4.6*m.x3*m.x4*m.x5*m.x11 + 8.53*m.x3*m.x4
                        *m.x10*m.x10 + 9.24*m.x3*m.x5*m.x9*m.x10 + 5.18*m.x3*m.x6*m.x6*m.x10 + 7.71*m.x3*m.x9*m.x10*
                        m.x12 + 9.3*m.x4*m.x4*m.x5*m.x7 + 6.83*m.x4*m.x4*m.x8*m.x11 + 6.28*m.x4*m.x5*m.x6*m.x7 + 0.73*
                        m.x4*m.x5*m.x7*m.x10 + 3.63*m.x4*m.x7*m.x7*m.x12 + 0.21*m.x4*m.x8*m.x9*m.x9 + 7.85*m.x5*m.x5*
                        m.x5*m.x10 + 7.24*m.x5*m.x5*m.x7*m.x7 + 7.22*m.x5*m.x5*m.x9*m.x10 + 2.3*m.x5*m.x7*m.x7*m.x11 + 
                        0.72*m.x5*m.x7*m.x10*m.x11 + 7.52*m.x5*m.x10*m.x10*m.x11 + 8.53*m.x6*m.x6*m.x7*m.x10 + 3.32*m.x6
                        *m.x6*m.x8*m.x9 + 4.27*m.x6*m.x7*m.x8*m.x9 + 1.39*m.x7*m.x7*m.x9*m.x11 + 4.44*m.x7*m.x7*m.x12*
                        m.x12 + 1.83*m.x7*m.x8*m.x10*m.x11 + 5.23*m.x7*m.x8*m.x12*m.x12 - 7.3*m.x8*m.x8*m.x8*m.x10 + 
                        2.16*m.x8*m.x8*m.x8*m.x11 + 1.91*m.x8*m.x8*m.x8*m.x12 + 2.72*m.x8*m.x11*m.x12*m.x12 + 7.73*m.x9*
                        m.x9*m.x9*m.x11 + 7.42*m.x9*m.x10*m.x10*m.x11 + 6.7*m.x9*m.x10*m.x11*m.x11 + 9.53*m.x11*m.x12*
                        m.x12*m.x12 + 0.75*m.x1*m.x1*m.x1*m.x1*m.x1 + 8.84*m.x1*m.x1*m.x1*m.x2*m.x4 + 8.03*m.x1*m.x1*
                        m.x1*m.x3*m.x6 + 9.68*m.x1*m.x1*m.x1*m.x5*m.x10 + 7.88*m.x1*m.x1*m.x1*m.x7*m.x10 - 8.65*m.x1*
                        m.x1*m.x1*m.x10*m.x11 + 2.51*m.x1*m.x1*m.x2*m.x3*m.x5 + 2.2*m.x1*m.x1*m.x2*m.x4*m.x6 + 8.19*m.x1
                        *m.x1*m.x2*m.x4*m.x10 - 9.55*m.x1*m.x1*m.x2*m.x5*m.x9 + 3.66*m.x1*m.x1*m.x2*m.x8*m.x11 + 1.14*
                        m.x1*m.x1*m.x3*m.x6*m.x10 + 8.67*m.x1*m.x1*m.x3*m.x7*m.x11 + 7.92*m.x1*m.x1*m.x4*m.x7*m.x11 - 
                        0.44*m.x1*m.x1*m.x5*m.x5*m.x5 + 1.91*m.x1*m.x1*m.x7*m.x7*m.x8 + 0.81*m.x1*m.x1*m.x7*m.x7*m.x9 - 
                        3.19*m.x1*m.x1*m.x7*m.x8*m.x12 + 1.97*m.x1*m.x2*m.x2*m.x8*m.x8 + 3.77*m.x1*m.x2*m.x2*m.x9*m.x12
                         - 3.47*m.x1*m.x2*m.x3*m.x5*m.x8 + 3.55*m.x1*m.x2*m.x3*m.x9*m.x10 + 8.48*m.x1*m.x2*m.x4*m.x4*
                        m.x10 + 8.68*m.x1*m.x2*m.x4*m.x6*m.x6 + 1.95*m.x1*m.x2*m.x4*m.x8*m.x9 + 7.81*m.x1*m.x2*m.x4*m.x9
                        *m.x11 + 8.57*m.x1*m.x2*m.x5*m.x7*m.x9 + 6.26*m.x1*m.x2*m.x5*m.x9*m.x10 + 3.38*m.x1*m.x2*m.x5*
                        m.x12*m.x12 + 3.63*m.x1*m.x2*m.x6*m.x6*m.x8 + 2.68*m.x1*m.x2*m.x6*m.x6*m.x12 + 5.14*m.x1*m.x2*
                        m.x8*m.x8*m.x11 + 8.3*m.x1*m.x2*m.x8*m.x12*m.x12 + 1.88*m.x1*m.x2*m.x10*m.x11*m.x11 + 2.78*m.x1*
                        m.x2*m.x11*m.x11*m.x11 + 0.47*m.x1*m.x3*m.x3*m.x7*m.x12 + 8.51*m.x1*m.x3*m.x3*m.x8*m.x11 + 7.32*
                        m.x1*m.x3*m.x3*m.x9*m.x10 + 8.41*m.x1*m.x3*m.x4*m.x5*m.x5 + 7.75*m.x1*m.x3*m.x6*m.x6*m.x11 + 
                        1.19*m.x1*m.x3*m.x8*m.x8*m.x8 + 5.52*m.x1*m.x3*m.x8*m.x10*m.x10 + 8.85*m.x1*m.x3*m.x9*m.x12*
                        m.x12 + 2.78*m.x1*m.x4*m.x4*m.x4*m.x8 + 9.24*m.x1*m.x4*m.x4*m.x4*m.x11 + 6.02*m.x1*m.x4*m.x4*
                        m.x6*m.x12 + 1.62*m.x1*m.x4*m.x5*m.x6*m.x12 + 8.07*m.x1*m.x4*m.x5*m.x7*m.x10 - 7.85*m.x1*m.x4*
                        m.x5*m.x9*m.x12 + 1.76*m.x1*m.x4*m.x6*m.x7*m.x10 + 7.2*m.x1*m.x4*m.x6*m.x7*m.x12 + 5.27*m.x1*
                        m.x4*m.x6*m.x9*m.x12 + 7.43*m.x1*m.x4*m.x7*m.x9*m.x10 + 4.71*m.x1*m.x4*m.x7*m.x9*m.x12 + 0.04*
                        m.x1*m.x4*m.x7*m.x10*m.x11 - 4.03*m.x1*m.x4*m.x8*m.x8*m.x10 + 2.61*m.x1*m.x4*m.x8*m.x12*m.x12 + 
                        7.8*m.x1*m.x5*m.x6*m.x7*m.x11 + 5.74*m.x1*m.x5*m.x6*m.x8*m.x12 + 6.99*m.x1*m.x6*m.x6*m.x6*m.x8
                         + 7.7*m.x1*m.x6*m.x6*m.x11*m.x11 + 3.12*m.x1*m.x6*m.x7*m.x7*m.x12 + 4.52*m.x1*m.x6*m.x7*m.x9*
                        m.x12 + 1.13*m.x1*m.x7*m.x9*m.x9*m.x10 - 8.2*m.x1*m.x7*m.x9*m.x10*m.x10 + 6.26*m.x1*m.x8*m.x8*
                        m.x9*m.x12 - 1.01*m.x1*m.x8*m.x9*m.x10*m.x12 + 5.22*m.x1*m.x8*m.x9*m.x12*m.x12 + 8.69*m.x1*m.x10
                        *m.x11*m.x12*m.x12 + 7.03*m.x1*m.x11*m.x11*m.x12*m.x12 - 0.18*m.x2*m.x2*m.x2*m.x3*m.x11 + 3.72*
                        m.x2*m.x2*m.x2*m.x5*m.x6 + 6.95*m.x2*m.x2*m.x2*m.x6*m.x6 + 6.38*m.x2*m.x2*m.x3*m.x3*m.x6 + 9.55*
                        m.x2*m.x2*m.x3*m.x7*m.x9 + 6.72*m.x2*m.x2*m.x4*m.x5*m.x12 + 4.27*m.x2*m.x2*m.x4*m.x6*m.x7 + 9.51
                        *m.x2*m.x2*m.x5*m.x5*m.x6 + 7.72*m.x2*m.x2*m.x5*m.x9*m.x10 - 6.27*m.x2*m.x2*m.x5*m.x11*m.x12 + 
                        2.1*m.x2*m.x2*m.x7*m.x7*m.x10 + 5.35*m.x2*m.x2*m.x8*m.x10*m.x11 - 9.06*m.x2*m.x2*m.x9*m.x12*
                        m.x12 + 8.94*m.x2*m.x3*m.x3*m.x3*m.x5 + 4.84*m.x2*m.x3*m.x3*m.x4*m.x4 + 2.16*m.x2*m.x3*m.x4*m.x5
                        *m.x10 + 4.67*m.x2*m.x3*m.x4*m.x7*m.x9 + 4.58*m.x2*m.x3*m.x4*m.x11*m.x11 + 9.01*m.x2*m.x3*m.x5*
                        m.x6*m.x7 - 9.5*m.x2*m.x3*m.x5*m.x8*m.x12 - 9.67*m.x2*m.x3*m.x8*m.x10*m.x11 + 1.35*m.x2*m.x3*
                        m.x8*m.x11*m.x11 + 8.53*m.x2*m.x3*m.x9*m.x11*m.x12 + 6.36*m.x2*m.x3*m.x11*m.x11*m.x11 + 6.61*
                        m.x2*m.x4*m.x4*m.x5*m.x12 + 7.05*m.x2*m.x4*m.x4*m.x11*m.x11 + 6.41*m.x2*m.x4*m.x5*m.x12*m.x12 + 
                        5.59*m.x2*m.x4*m.x6*m.x6*m.x10 + 5.24*m.x2*m.x4*m.x6*m.x7*m.x10 + 6.61*m.x2*m.x4*m.x8*m.x11*
                        m.x11 + 2.49*m.x2*m.x4*m.x11*m.x11*m.x12 + 4.54*m.x2*m.x5*m.x5*m.x7*m.x7 - 8.45*m.x2*m.x5*m.x6*
                        m.x7*m.x8 + 5.92*m.x2*m.x5*m.x6*m.x12*m.x12 - 7.66*m.x2*m.x5*m.x7*m.x8*m.x12 + 2.01*m.x2*m.x5*
                        m.x8*m.x10*m.x11 + 4.54*m.x2*m.x6*m.x7*m.x10*m.x12 + 1.86*m.x2*m.x6*m.x8*m.x8*m.x9 + 4.11*m.x2*
                        m.x6*m.x8*m.x10*m.x11 + 1.39*m.x2*m.x6*m.x11*m.x11*m.x12 + 5.65*m.x2*m.x7*m.x7*m.x7*m.x8 + 8.55*
                        m.x2*m.x7*m.x8*m.x8*m.x11 + 2.01*m.x2*m.x7*m.x8*m.x10*m.x10 - 0.08*m.x2*m.x8*m.x8*m.x9*m.x10 + 
                        2.54*m.x2*m.x8*m.x8*m.x10*m.x11 + 9.96*m.x2*m.x8*m.x11*m.x11*m.x11 + 2.3*m.x2*m.x9*m.x9*m.x10*
                        m.x10 + 5.15*m.x2*m.x9*m.x9*m.x11*m.x12 + 5.5*m.x3*m.x3*m.x3*m.x5*m.x9 + 8.63*m.x3*m.x3*m.x3*
                        m.x6*m.x7 + 5.84*m.x3*m.x3*m.x3*m.x7*m.x11 + 5.28*m.x3*m.x3*m.x3*m.x9*m.x11 + 1.65*m.x3*m.x3*
                        m.x4*m.x5*m.x10 + 0.76*m.x3*m.x3*m.x4*m.x10*m.x11 + 8.71*m.x3*m.x3*m.x5*m.x5*m.x11 - 8.86*m.x3*
                        m.x3*m.x5*m.x11*m.x12 + 8.36*m.x3*m.x3*m.x6*m.x6*m.x10 + 7.45*m.x3*m.x3*m.x7*m.x10*m.x12 + 3.88*
                        m.x3*m.x4*m.x4*m.x7*m.x9 + 8.49*m.x3*m.x4*m.x4*m.x8*m.x9 + 2.98*m.x3*m.x4*m.x4*m.x8*m.x12 + 2.31
                        *m.x3*m.x4*m.x5*m.x9*m.x12 + 9*m.x3*m.x4*m.x5*m.x10*m.x10 + 1.57*m.x3*m.x4*m.x6*m.x7*m.x7 + 8.88
                        *m.x3*m.x4*m.x6*m.x8*m.x11 + 5.15*m.x3*m.x4*m.x7*m.x11*m.x12 + 0.53*m.x3*m.x4*m.x7*m.x12*m.x12
                         + 7.26*m.x3*m.x4*m.x9*m.x9*m.x10 + 7.58*m.x3*m.x4*m.x9*m.x11*m.x12 + 2.14*m.x3*m.x4*m.x9*m.x12*
                        m.x12 + 4.09*m.x3*m.x4*m.x11*m.x12*m.x12 + 9.63*m.x3*m.x5*m.x5*m.x7*m.x9 - 7.3*m.x3*m.x5*m.x6*
                        m.x9*m.x11 + 1.97*m.x3*m.x5*m.x6*m.x10*m.x10 + 1.05*m.x3*m.x6*m.x8*m.x9*m.x10 + 7.05*m.x3*m.x6*
                        m.x9*m.x12*m.x12 + 7.67*m.x3*m.x7*m.x7*m.x10*m.x12 + 8.51*m.x3*m.x8*m.x8*m.x8*m.x10 + 1.39*m.x3*
                        m.x8*m.x8*m.x8*m.x12 + 7.91*m.x3*m.x9*m.x10*m.x10*m.x11 + 0.69*m.x3*m.x9*m.x10*m.x10*m.x12 + 
                        9.49*m.x3*m.x10*m.x11*m.x12*m.x12 + 2.81*m.x4*m.x4*m.x4*m.x6*m.x7 + 2.48*m.x4*m.x4*m.x5*m.x6*
                        m.x7 + 7.95*m.x4*m.x4*m.x5*m.x6*m.x8 + 1.64*m.x4*m.x4*m.x5*m.x7*m.x9 + 6.07*m.x4*m.x4*m.x6*m.x6*
                        m.x10 + 1.09*m.x4*m.x4*m.x6*m.x8*m.x12 + 4.14*m.x4*m.x4*m.x7*m.x7*m.x7 + 1.9*m.x4*m.x4*m.x7*m.x7
                        *m.x11 + 6.59*m.x4*m.x4*m.x7*m.x8*m.x8 + 8.57*m.x4*m.x4*m.x8*m.x8*m.x10 + 6.77*m.x4*m.x4*m.x8*
                        m.x9*m.x12 + 4.99*m.x4*m.x4*m.x8*m.x11*m.x11 + 2.31*m.x4*m.x4*m.x10*m.x10*m.x10 - 4.87*m.x4*m.x5
                        *m.x5*m.x5*m.x6 + 2.1*m.x4*m.x5*m.x5*m.x7*m.x7 + 7.22*m.x4*m.x5*m.x5*m.x11*m.x11 + 7.78*m.x4*
                        m.x5*m.x9*m.x10*m.x11 + 2.01*m.x4*m.x5*m.x12*m.x12*m.x12 + 7.44*m.x4*m.x6*m.x6*m.x6*m.x12 + 6.48
                        *m.x4*m.x6*m.x6*m.x7*m.x7 + 4.53*m.x4*m.x6*m.x7*m.x9*m.x9 + 7.23*m.x4*m.x6*m.x7*m.x10*m.x12 + 
                        9.57*m.x4*m.x6*m.x7*m.x11*m.x11 + 8.58*m.x4*m.x6*m.x8*m.x9*m.x11 + 7.66*m.x4*m.x6*m.x9*m.x11*
                        m.x11 + 2.39*m.x4*m.x6*m.x11*m.x11*m.x12 - 9.48*m.x4*m.x7*m.x7*m.x7*m.x9 + 9.75*m.x4*m.x8*m.x9*
                        m.x10*m.x11 + 8.68*m.x4*m.x8*m.x9*m.x11*m.x11 + 9.69*m.x4*m.x8*m.x10*m.x12*m.x12 + 3.36*m.x4*
                        m.x9*m.x10*m.x11*m.x11 + 5.46*m.x4*m.x10*m.x10*m.x11*m.x11 + 4.63*m.x5*m.x5*m.x5*m.x5*m.x7 + 
                        3.48*m.x5*m.x5*m.x5*m.x6*m.x11 - 9.82*m.x5*m.x5*m.x5*m.x8*m.x9 + 5.42*m.x5*m.x5*m.x5*m.x10*m.x11
                         - 3.43*m.x5*m.x5*m.x6*m.x7*m.x12 + 8.55*m.x5*m.x5*m.x6*m.x9*m.x12 + 3.36*m.x5*m.x5*m.x7*m.x7*
                        m.x12 + 4.92*m.x5*m.x5*m.x8*m.x11*m.x12 + 5.47*m.x5*m.x5*m.x8*m.x12*m.x12 + 4.45*m.x5*m.x6*m.x6*
                        m.x8*m.x8 - 4.1*m.x5*m.x6*m.x6*m.x11*m.x11 + 2.34*m.x5*m.x6*m.x7*m.x7*m.x10 + 1.48*m.x5*m.x6*
                        m.x7*m.x8*m.x12 + 6.17*m.x5*m.x6*m.x7*m.x11*m.x11 + 3.77*m.x5*m.x6*m.x8*m.x8*m.x10 + 2.91*m.x5*
                        m.x8*m.x8*m.x9*m.x12 - 6.6*m.x5*m.x8*m.x8*m.x12*m.x12 + 1.11*m.x5*m.x8*m.x9*m.x11*m.x11 + 7.9*
                        m.x5*m.x10*m.x10*m.x11*m.x12 + 8.81*m.x5*m.x10*m.x11*m.x11*m.x12 + 0.77*m.x5*m.x11*m.x11*m.x11*
                        m.x12 + 2.17*m.x5*m.x11*m.x11*m.x12*m.x12 + 4.34*m.x6*m.x6*m.x6*m.x7*m.x9 - 5.42*m.x6*m.x6*m.x7*
                        m.x8*m.x9 + 5.3*m.x6*m.x6*m.x7*m.x12*m.x12 + 7.21*m.x6*m.x6*m.x8*m.x8*m.x11 + 7.98*m.x6*m.x6*
                        m.x8*m.x11*m.x11 + 3.87*m.x6*m.x7*m.x7*m.x7*m.x8 - 5.75*m.x6*m.x7*m.x7*m.x7*m.x11 + 4.7*m.x6*
                        m.x7*m.x11*m.x12*m.x12 + 1.68*m.x6*m.x8*m.x8*m.x8*m.x12 + 9.82*m.x6*m.x8*m.x8*m.x11*m.x11 + m.x6
                        *m.x8*m.x10*m.x10*m.x11 + 5.65*m.x6*m.x8*m.x10*m.x11*m.x12 + 3.55*m.x6*m.x9*m.x9*m.x11*m.x11 + 
                        8.53*m.x7*m.x7*m.x8*m.x8*m.x9 + 8.63*m.x7*m.x8*m.x8*m.x9*m.x11 + 1.73*m.x7*m.x8*m.x9*m.x10*m.x11
                         + 0.41*m.x8*m.x9*m.x10*m.x10*m.x10 + 6.09*m.x8*m.x10*m.x11*m.x12*m.x12 + 6.5*m.x8*m.x12*m.x12*
                        m.x12*m.x12 + 9.73*m.x9*m.x9*m.x9*m.x9*m.x12 + 7.52*m.x9*m.x9*m.x12*m.x12*m.x12 + 7.02*m.x9*
                        m.x10*m.x10*m.x12*m.x12 >= 47801.445)

m.c12 = Constraint(expr=   0.61*m.x1 + 2.22*m.x2 + 4.52*m.x3 + 8.03*m.x4 + 9.21*m.x5 + 4.43*m.x6 + 7.72*m.x7 + 8.05*m.x8
                         + 3.14*m.x9 + 7.44*m.x10 + 8.52*m.x11 + 4.54*m.x12 >= 97.368)
