#  NLP written by GAMS Convert at 05/24/17 14:05:33
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         60       28       16       16        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         32       32        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        274       36      238        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(50,500),initialize=160)
m.x2 = Var(within=Reals,bounds=(0.4,10),initialize=2)
m.x3 = Var(within=Reals,bounds=(500,50000),initialize=30000)
m.x4 = Var(within=Reals,bounds=(500,50000),initialize=1800)
m.x5 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x6 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x7 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x8 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x9 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x10 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x11 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x12 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x13 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x14 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x15 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x16 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x17 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x18 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x19 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x20 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x21 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x22 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x23 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x24 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x25 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x26 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x27 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x28 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x29 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x30 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x31 = Var(within=Reals,bounds=(None,None),initialize=0)

m.obj = Objective(expr=   m.x24, sense=minimize)

m.c1 = Constraint(expr=-1e-9*(0.19895*exp(-0.00388973987753543*m.x1) + 1.41446*exp(-0.0209081278046947*m.x1)) + m.x6
                        == 2.4364E-9)

m.c2 = Constraint(expr=-2.548*0.9964**m.x1*m.x1**0.5213 + m.x5 == 0)

m.c3 = Constraint(expr=m.x7*m.x5 - 0.006284*m.x1*m.x2 == 0)

m.c4 = Constraint(expr=1146.1706569/m.x4 + 1.2731*(1659.94/m.x3 - 900.299/m.x4) + 1.2731*m.x7 <= 0.3)

m.c5 = Constraint(expr=343.8241881/m.x4 + 0.3819*(1659.94/m.x3 - 900.299/m.x4) + 0.3819*m.x7 <= 0.3)

m.c6 = Constraint(expr=685.127539/m.x4 + 0.761*(1659.94/m.x3 - 900.299/m.x4) + 0.761*m.x7 <= 0.4)

m.c7 = Constraint(expr=209.6796371/m.x4 + 0.2329*(1659.94/m.x3 - 900.299/m.x4) + 0.2329*m.x7 <= 0.4)

m.c8 = Constraint(expr=500.2961543/m.x4 + 0.5557*(1659.94/m.x3 - 900.299/m.x4) + 0.5557*m.x7 <= 0.45)

m.c9 = Constraint(expr=165.9251057/m.x4 + 0.1843*(1659.94/m.x3 - 900.299/m.x4) + 0.1843*m.x7 <= 0.45)

m.c10 = Constraint(expr=340.313022/m.x4 + 0.378*(1659.94/m.x3 - 900.299/m.x4) + 0.378*m.x7 <= 0.5)

m.c11 = Constraint(expr=132.2539231/m.x4 + 0.1469*(1659.94/m.x3 - 900.299/m.x4) + 0.1469*m.x7 <= 0.5)

m.c12 = Constraint(expr=(0.9 + 1146.1706569/m.x4 + 1.2731*m.x7)/(1.2 - 1.2731*(1659.94/m.x3 - 900.299/m.x4)) >= 0)

m.c13 = Constraint(expr=(0.9 + 343.8241881/m.x4 + 0.3819*m.x7)/(1.2 - 0.3819*(1659.94/m.x3 - 900.299/m.x4)) >= 0)

m.c14 = Constraint(expr=(0.8 + 685.127539/m.x4 + 0.761*m.x7)/(1.2 - 0.761*(1659.94/m.x3 - 900.299/m.x4)) >= 0)

m.c15 = Constraint(expr=(0.8 + 209.6796371/m.x4 + 0.2329*m.x7)/(1.2 - 0.2329*(1659.94/m.x3 - 900.299/m.x4)) >= 0)

m.c16 = Constraint(expr=(0.75 + 500.2961543/m.x4 + 0.5557*m.x7)/(1.2 - 0.5557*(1659.94/m.x3 - 900.299/m.x4)) >= 0)

m.c17 = Constraint(expr=(0.75 + 165.9251057/m.x4 + 0.1843*m.x7)/(1.2 - 0.1843*(1659.94/m.x3 - 900.299/m.x4)) >= 0)

m.c18 = Constraint(expr=(0.7 + 340.313022/m.x4 + 0.378*m.x7)/(1.2 - 0.378*(1659.94/m.x3 - 900.299/m.x4)) >= 0)

m.c19 = Constraint(expr=(0.7 + 132.2539231/m.x4 + 0.1469*m.x7)/(1.2 - 0.1469*(1659.94/m.x3 - 900.299/m.x4)) >= 0)

m.c20 = Constraint(expr=-((900.299 - (810.2691 + 1031896.29623641/m.x4 + 1146.1706569*m.x7)/(1.2 - 1.2731*(1659.94/m.x3
                         - 900.299/m.x4)))/m.x4 + (1493.946 + 1902574.52021459/m.x4 + 2113.269614*m.x7)/(1.2 - 1.2731*(
                        1659.94/m.x3 - 900.299/m.x4))/m.x3) + m.x8 == 0)

m.c21 = Constraint(expr=-((900.299 - (810.2691 + 309544.572722242/m.x4 + 343.8241881*m.x7)/(1.2 - 0.3819*(1659.94/m.x3
                         - 900.299/m.x4)))/m.x4 + (1493.946 + 570727.522794714/m.x4 + 633.931086*m.x7)/(1.2 - 0.3819*(
                        1659.94/m.x3 - 900.299/m.x4))/m.x3) + m.x9 == 0)

m.c22 = Constraint(expr=-((900.299 - (720.2392 + 616819.638234161/m.x4 + 685.127539*m.x7)/(1.2 - 0.761*(1659.94/m.x3 - 
                        900.299/m.x4)))/m.x4 + (1327.952 + 1137270.60708766/m.x4 + 1263.21434*m.x7)/(1.2 - 0.761*(
                        1659.94/m.x3 - 900.299/m.x4))/m.x3) + m.x10 == 0)

m.c23 = Constraint(expr=-((900.299 - (720.2392 + 188774.367601493/m.x4 + 209.6796371*m.x7)/(1.2 - 0.2329*(1659.94/m.x3
                         - 900.299/m.x4)))/m.x4 + (1327.952 + 348055.616807774/m.x4 + 386.600026*m.x7)/(1.2 - 0.2329*(
                        1659.94/m.x3 - 900.299/m.x4))/m.x3) + m.x11 == 0)

m.c24 = Constraint(expr=-((900.299 - (675.22425 + 450416.127420136/m.x4 + 500.2961543*m.x7)/(1.2 - 0.5557*(1659.94/m.x3
                         - 900.299/m.x4)))/m.x4 + (1244.955 + 830461.598368742/m.x4 + 922.428658*m.x7)/(1.2 - 0.5557*(
                        1659.94/m.x3 - 900.299/m.x4))/m.x3) + m.x12 == 0)

m.c25 = Constraint(expr=-((900.299 - (675.22425 + 149382.206736604/m.x4 + 165.9251057*m.x7)/(1.2 - 0.1843*(1659.94/m.x3
                         - 900.299/m.x4)))/m.x4 + (1244.955 + 275425.719955658/m.x4 + 305.926942*m.x7)/(1.2 - 0.1843*(
                        1659.94/m.x3 - 900.299/m.x4))/m.x3) + m.x13 == 0)

m.c26 = Constraint(expr=-((900.299 - (630.2093 + 306383.473393578/m.x4 + 340.313022*m.x7)/(1.2 - 0.378*(1659.94/m.x3 - 
                        900.299/m.x4)))/m.x4 + (1161.958 + 564899.19773868/m.x4 + 627.45732*m.x7)/(1.2 - 0.378*(1659.94/
                        m.x3 - 900.299/m.x4))/m.x3) + m.x14 == 0)

m.c27 = Constraint(expr=-((900.299 - (630.2093 + 119068.074713007/m.x4 + 132.2539231*m.x7)/(1.2 - 0.1469*(1659.94/m.x3
                         - 900.299/m.x4)))/m.x4 + (1161.958 + 219533.577110614/m.x4 + 243.845186*m.x7)/(1.2 - 0.1469*(
                        1659.94/m.x3 - 900.299/m.x4))/m.x3) + m.x15 == 0)

m.c28 = Constraint(expr=(540 + 687702.39414/m.x4 + 763.86*m.x7)/(1.2 - 1.2731*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.9
                         + 1146.1706569/m.x4 + 1.2731*m.x7)/(1.2 - 1.2731*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         <= 0.12731)

m.c29 = Constraint(expr=(540 + 206294.51286/m.x4 + 229.14*m.x7)/(1.2 - 0.3819*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.9
                         + 343.8241881/m.x4 + 0.3819*m.x7)/(1.2 - 0.3819*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         <= 0.03819)

m.c30 = Constraint(expr=(480 + 411076.5234/m.x4 + 456.6*m.x7)/(1.2 - 0.761*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.8 + 
                        685.127539/m.x4 + 0.761*m.x7)/(1.2 - 0.761*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         <= 0.0761)

m.c31 = Constraint(expr=(480 + 125807.78226/m.x4 + 139.74*m.x7)/(1.2 - 0.2329*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.8
                         + 209.6796371/m.x4 + 0.2329*m.x7)/(1.2 - 0.2329*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         <= 0.02329)

m.c32 = Constraint(expr=(450 + 300177.69258/m.x4 + 333.42*m.x7)/(1.2 - 0.5557*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.75
                         + 500.2961543/m.x4 + 0.5557*m.x7)/(1.2 - 0.5557*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         <= 0.05557)

m.c33 = Constraint(expr=(450 + 99555.06342/m.x4 + 110.58*m.x7)/(1.2 - 0.1843*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.75
                         + 165.9251057/m.x4 + 0.1843*m.x7)/(1.2 - 0.1843*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         <= 0.01843)

m.c34 = Constraint(expr=(420 + 204187.8132/m.x4 + 226.8*m.x7)/(1.2 - 0.378*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.7 + 
                        340.313022/m.x4 + 0.378*m.x7)/(1.2 - 0.378*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         <= 0.0378)

m.c35 = Constraint(expr=(420 + 79352.35386/m.x4 + 88.14*m.x7)/(1.2 - 0.1469*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.7 + 
                        132.2539231/m.x4 + 0.1469*m.x7)/(1.2 - 0.1469*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         <= 0.01469)

m.c36 = Constraint(expr=-(0.9 + 1146.1706569/m.x4 + 1.2731*m.x7)/(1.2 - 1.2731*(1659.94/m.x3 - 900.299/m.x4)) + m.x16
                         == 0)

m.c37 = Constraint(expr=-(0.9 + 343.8241881/m.x4 + 0.3819*m.x7)/(1.2 - 0.3819*(1659.94/m.x3 - 900.299/m.x4)) + m.x17
                         == 0)

m.c38 = Constraint(expr=-(0.8 + 685.127539/m.x4 + 0.761*m.x7)/(1.2 - 0.761*(1659.94/m.x3 - 900.299/m.x4)) + m.x18 == 0)

m.c39 = Constraint(expr=-(0.8 + 209.6796371/m.x4 + 0.2329*m.x7)/(1.2 - 0.2329*(1659.94/m.x3 - 900.299/m.x4)) + m.x19
                         == 0)

m.c40 = Constraint(expr=-(0.75 + 500.2961543/m.x4 + 0.5557*m.x7)/(1.2 - 0.5557*(1659.94/m.x3 - 900.299/m.x4)) + m.x20
                         == 0)

m.c41 = Constraint(expr=-(0.75 + 165.9251057/m.x4 + 0.1843*m.x7)/(1.2 - 0.1843*(1659.94/m.x3 - 900.299/m.x4)) + m.x21
                         == 0)

m.c42 = Constraint(expr=-(0.7 + 340.313022/m.x4 + 0.378*m.x7)/(1.2 - 0.378*(1659.94/m.x3 - 900.299/m.x4)) + m.x22 == 0)

m.c43 = Constraint(expr=-(0.7 + 132.2539231/m.x4 + 0.1469*m.x7)/(1.2 - 0.1469*(1659.94/m.x3 - 900.299/m.x4)) + m.x23
                         == 0)

m.c44 = Constraint(expr=(540 + 687702.39414/m.x4 + 763.86*m.x7)/(1.2 - 1.2731*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.9
                         + 1146.1706569/m.x4 + 1.2731*m.x7)/(1.2 - 1.2731*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         >= 0)

m.c45 = Constraint(expr=(540 + 206294.51286/m.x4 + 229.14*m.x7)/(1.2 - 0.3819*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.9
                         + 343.8241881/m.x4 + 0.3819*m.x7)/(1.2 - 0.3819*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         >= 0)

m.c46 = Constraint(expr=(480 + 411076.5234/m.x4 + 456.6*m.x7)/(1.2 - 0.761*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.8 + 
                        685.127539/m.x4 + 0.761*m.x7)/(1.2 - 0.761*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2) >= 0)

m.c47 = Constraint(expr=(480 + 125807.78226/m.x4 + 139.74*m.x7)/(1.2 - 0.2329*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.8
                         + 209.6796371/m.x4 + 0.2329*m.x7)/(1.2 - 0.2329*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         >= 0)

m.c48 = Constraint(expr=(450 + 300177.69258/m.x4 + 333.42*m.x7)/(1.2 - 0.5557*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.75
                         + 500.2961543/m.x4 + 0.5557*m.x7)/(1.2 - 0.5557*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         >= 0)

m.c49 = Constraint(expr=(450 + 99555.06342/m.x4 + 110.58*m.x7)/(1.2 - 0.1843*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.75
                         + 165.9251057/m.x4 + 0.1843*m.x7)/(1.2 - 0.1843*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2)
                         >= 0)

m.c50 = Constraint(expr=(420 + 204187.8132/m.x4 + 226.8*m.x7)/(1.2 - 0.378*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.7 + 
                        340.313022/m.x4 + 0.378*m.x7)/(1.2 - 0.378*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2) >= 0)

m.c51 = Constraint(expr=(420 + 79352.35386/m.x4 + 88.14*m.x7)/(1.2 - 0.1469*(1659.94/m.x3 - 900.299/m.x4))*(1 - (0.7 + 
                        132.2539231/m.x4 + 0.1469*m.x7)/(1.2 - 0.1469*(1659.94/m.x3 - 900.299/m.x4)))/(m.x1*m.x2) >= 0)

m.c52 = Constraint(expr=-((1.62078361 + 0.333333333333333*(600*m.x16*(1 - m.x16)/(m.x1*m.x2))**2)*(m.x7 + m.x8) + (1.44*
                        m.x3 + 1.44*m.x4)*m.x6*m.x1) + m.x24 == 0)

m.c53 = Constraint(expr=-((0.14584761 + 0.333333333333333*(600*m.x17*(1 - m.x17)/(m.x1*m.x2))**2)*(m.x7 + m.x9) + (1.44*
                        m.x3 + 1.44*m.x4)*m.x6*m.x1) + m.x25 == 0)

m.c54 = Constraint(expr=-((0.579121 + 0.333333333333333*(600*m.x18*(1 - m.x18)/(m.x1*m.x2))**2)*(m.x7 + m.x10) + (1.44*
                        m.x3 + 1.44*m.x4)*m.x6*m.x1) + m.x26 == 0)

m.c55 = Constraint(expr=-((0.05424241 + 0.333333333333333*(600*m.x19*(1 - m.x19)/(m.x1*m.x2))**2)*(m.x7 + m.x11) + (1.44
                        *m.x3 + 1.44*m.x4)*m.x6*m.x1) + m.x27 == 0)

m.c56 = Constraint(expr=-((0.30880249 + 0.333333333333333*(600*m.x20*(1 - m.x20)/(m.x1*m.x2))**2)*(m.x7 + m.x12) + (1.44
                        *m.x3 + 1.44*m.x4)*m.x6*m.x1) + m.x28 == 0)

m.c57 = Constraint(expr=-((0.03396649 + 0.333333333333333*(600*m.x21*(1 - m.x21)/(m.x1*m.x2))**2)*(m.x7 + m.x13) + (1.44
                        *m.x3 + 1.44*m.x4)*m.x6*m.x1) + m.x29 == 0)

m.c58 = Constraint(expr=-((0.142884 + 0.333333333333333*(600*m.x22*(1 - m.x22)/(m.x1*m.x2))**2)*(m.x7 + m.x14) + (1.44*
                        m.x3 + 1.44*m.x4)*m.x6*m.x1) + m.x30 == 0)

m.c59 = Constraint(expr=-((0.02157961 + 0.333333333333333*(600*m.x23*(1 - m.x23)/(m.x1*m.x2))**2)*(m.x7 + m.x15) + (1.44
                        *m.x3 + 1.44*m.x4)*m.x6*m.x1) + m.x31 == 0)
