#  NLP written by GAMS Convert at 05/24/17 14:05:35
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         10       10        0        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         11       11        0        0        0        0        0        0
#  FX     10       10        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         26       18        8        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x2 = Var(within=Reals,bounds=(4,4),initialize=4)
m.x3 = Var(within=Reals,bounds=(4,4),initialize=4)
m.x4 = Var(within=Reals,bounds=(3,3),initialize=3)
m.x5 = Var(within=Reals,bounds=(0,0),initialize=0)
m.x6 = Var(within=Reals,bounds=(0,0),initialize=0)
m.x7 = Var(within=Reals,bounds=(4,4),initialize=4)
m.x8 = Var(within=Reals,bounds=(0,0),initialize=0)
m.x9 = Var(within=Reals,bounds=(19.7064,19.7064),initialize=19.7064)
m.x10 = Var(within=Reals,bounds=(40.4129,40.4129),initialize=40.4129)
m.x11 = Var(within=Reals,bounds=(0,0),initialize=0)

m.obj = Objective(expr= - m.x2 - 3*m.x3, sense=minimize)

m.c2 = Constraint(expr= - m.x2 + m.x3 + m.x4 == 3)

m.c3 = Constraint(expr=   m.x2 + 2*m.x3 + m.x5 == 12)

m.c4 = Constraint(expr=   4*m.x2 - m.x3 + m.x6 == 12)

m.c5 = Constraint(expr= - m.x3 + m.x7 == 0)

m.c6 = Constraint(expr=m.x8*m.x4 == 0)

m.c7 = Constraint(expr=m.x9*m.x5 == 0)

m.c8 = Constraint(expr=m.x10*m.x6 == 0)

m.c9 = Constraint(expr=m.x11*m.x7 == 0)

m.c10 = Constraint(expr=   m.x8 + 2*m.x9 - m.x10 - m.x11 == -1)
