#  NLP written by GAMS Convert at 05/24/17 14:05:42
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          6        6        0        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         15       15        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         41        9       32        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0,1),initialize=0)
m.x2 = Var(within=Reals,bounds=(0,1),initialize=1)
m.x3 = Var(within=Reals,bounds=(0,1),initialize=1)
m.x4 = Var(within=Reals,bounds=(0,1),initialize=0)
m.x5 = Var(within=Reals,bounds=(0,1),initialize=0.7)
m.x6 = Var(within=Reals,bounds=(0,1),initialize=0.7)
m.x7 = Var(within=Reals,bounds=(0,1),initialize=0.233333333333333)
m.x8 = Var(within=Reals,bounds=(0,1),initialize=0.233333333333333)
m.x9 = Var(within=Reals,bounds=(0,1),initialize=0.233333333333333)
m.x10 = Var(within=Reals,bounds=(0,1),initialize=0)
m.x11 = Var(within=Reals,bounds=(0,1),initialize=0)
m.x12 = Var(within=Reals,bounds=(0,1),initialize=0)
m.x13 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x14 = Var(within=Reals,bounds=(None,None),initialize=0)

m.obj = Objective(expr=-m.x13*m.x14, sense=minimize)

m.c1 = Constraint(expr=   m.x7 + m.x8 + m.x9 == 0.7)

m.c2 = Constraint(expr=   m.x10 + m.x11 + m.x12 == -0.4)

m.c3 = Constraint(expr=-((m.x1*m.x1 - m.x1*m.x1*m.x1)*m.x7 + (m.x2*m.x2 - m.x2*m.x2*m.x2)*m.x8 + (m.x3*m.x3 - m.x3*m.x3*
                       m.x3)*m.x9 + (m.x4*m.x4 - m.x4*m.x4*m.x4)*m.x10 + (m.x5*m.x5 - m.x5*m.x5*m.x5)*m.x11 + (m.x6*m.x6
                        - m.x6*m.x6*m.x6)*m.x12) + m.x13 == 0)

m.c4 = Constraint(expr=-(m.x4*m.x4*m.x10 - m.x5*m.x5*m.x11 - m.x6*m.x6*m.x12) + m.x14 == 0)

m.c6 = Constraint(expr=m.x1*m.x7 + m.x2*m.x8 + m.x3*m.x9 + m.x4*m.x10 + m.x5*m.x11 + m.x6*m.x12 == 0.7)
