#  NLP written by GAMS Convert at 05/24/17 14:05:47
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         13        7        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        121       64       57        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.5,2.95),initialize=0.5)
m.x2 = Var(within=Reals,bounds=(0.19,2.38),initialize=0.19)
m.x3 = Var(within=Reals,bounds=(0.61,2.58),initialize=0.61)
m.x4 = Var(within=Reals,bounds=(0.12,2.25),initialize=0.12)
m.x5 = Var(within=Reals,bounds=(0.83,2.78),initialize=0.83)
m.x6 = Var(within=Reals,bounds=(0.58,2.62),initialize=0.58)
m.x7 = Var(within=Reals,bounds=(0.59,2.46),initialize=0.59)
m.x8 = Var(within=Reals,bounds=(0.83,2.36),initialize=0.83)
m.x9 = Var(within=Reals,bounds=(0.87,2.46),initialize=0.87)
m.x10 = Var(within=Reals,bounds=(0.58,2.06),initialize=0.58)
m.x11 = Var(within=Reals,bounds=(0.01,2.67),initialize=0.01)
m.x12 = Var(within=Reals,bounds=(0.84,2.3),initialize=0.84)

m.obj = Objective(expr=7.25*m.x2*m.x12 + 3.46*m.x2 + 3.73*m.x12 + 5.47*m.x3*m.x8 + 1.96*m.x3 + 5.69*m.x8 + 6.71*m.x3*
                       m.x10 + 8.13*m.x10 + 1.07*m.x3*m.x12 + 8.62*m.x4*m.x6 + 3.91*m.x4 + 4.72*m.x6 + 4.15*m.x4*m.x12
                        + 2.51*m.x9*m.x9 + 8.09*m.x9 + 3.45*m.x9*m.x10 + 4.16*m.x9*m.x11 + 1.42*m.x11 + 5.42*m.x11*m.x11
                        + 1.59*m.x1*m.x1*m.x3 + 7.23*m.x1 + 0.57*m.x1*m.x1*m.x4 + 4.26*m.x1*m.x1*m.x7 + 0.7*m.x7 + 8.74*
                       m.x1*m.x3*m.x8 + 3.29*m.x1*m.x4*m.x7 - 3.71*m.x1*m.x4*m.x12 + 5.57*m.x1*m.x6*m.x9 + 2.47*m.x1*
                       m.x6*m.x11 + 9.47*m.x1*m.x10*m.x11 + 9.41*m.x2*m.x2*m.x11 + 5.1*m.x2*m.x2*m.x12 + 0.77*m.x2*m.x4*
                       m.x5 + 5.98*m.x5 + 6.77*m.x2*m.x5*m.x6 + 9.62*m.x2*m.x6*m.x11 + 0.6*m.x2*m.x7*m.x12 - 6.78*m.x2*
                       m.x12*m.x12 + 5.04*m.x3*m.x3*m.x3 + 7.9*m.x3*m.x5*m.x6 + 7.11*m.x3*m.x5*m.x12 + 2.03*m.x3*m.x8*
                       m.x11 + 2.13*m.x3*m.x8*m.x12 + 2.02*m.x4*m.x4*m.x12 + 9.87*m.x4*m.x5*m.x5 + 2.08*m.x4*m.x6*m.x11
                        + 4.8*m.x4*m.x8*m.x12 + 2.71*m.x5*m.x5*m.x8 + 3.37*m.x5*m.x6*m.x12 + 8.46*m.x5*m.x7*m.x7 + 6.01*
                       m.x5*m.x8*m.x11 + 8.71*m.x6*m.x6*m.x10 + 6.75*m.x6*m.x6*m.x11 + 6.84*m.x6*m.x8*m.x11 + 8.32*m.x6*
                       m.x8*m.x12 + 8.09*m.x7*m.x11*m.x11 + 5.36*m.x8*m.x9*m.x10 + 1.42*m.x8*m.x10*m.x10 + 3.72*m.x11*
                       m.x12*m.x12 + 5.72*m.x1*m.x1*m.x2*m.x4 - 8.63*m.x1*m.x1*m.x3*m.x6 + 5.6*m.x1*m.x1*m.x11*m.x12 + 
                       9.49*m.x1*m.x1*m.x12*m.x12 + 7.15*m.x1*m.x2*m.x2*m.x6 + 4.17*m.x1*m.x2*m.x3*m.x12 - 8.92*m.x1*
                       m.x2*m.x4*m.x8 + 0.53*m.x1*m.x2*m.x5*m.x7 + 8.55*m.x1*m.x2*m.x5*m.x8 + 8.13*m.x1*m.x2*m.x5*m.x11
                        + 0.18*m.x1*m.x2*m.x6*m.x6 + 7.76*m.x1*m.x2*m.x7*m.x9 + 3.09*m.x1*m.x2*m.x12*m.x12 + 1.78*m.x1*
                       m.x3*m.x7*m.x7 + 6.89*m.x1*m.x3*m.x8*m.x10 + 2.9*m.x1*m.x3*m.x10*m.x12 + 3.42*m.x1*m.x3*m.x12*
                       m.x12 + 4.39*m.x1*m.x4*m.x5*m.x11 + 0.92*m.x1*m.x4*m.x6*m.x8 + 9.4*m.x1*m.x4*m.x6*m.x12 + 0.48*
                       m.x1*m.x5*m.x5*m.x11 + 2.3*m.x1*m.x5*m.x6*m.x8 + 0.41*m.x1*m.x5*m.x6*m.x9 + 9.72*m.x1*m.x5*m.x6*
                       m.x11 + 8.54*m.x1*m.x5*m.x6*m.x12 + 4.29*m.x1*m.x5*m.x8*m.x12 + 7.96*m.x1*m.x5*m.x9*m.x12 + 8.75*
                       m.x1*m.x5*m.x11*m.x11 + 6.47*m.x1*m.x5*m.x11*m.x12 + 3.21*m.x1*m.x6*m.x9*m.x12 - 4.99*m.x1*m.x7*
                       m.x7*m.x7 + 3.58*m.x1*m.x7*m.x7*m.x8 + 5.31*m.x1*m.x7*m.x7*m.x11 - 3.75*m.x1*m.x9*m.x10*m.x10 + 
                       2.46*m.x1*m.x9*m.x11*m.x11 + 9.45*m.x1*m.x10*m.x10*m.x11 + 2.04*m.x1*m.x10*m.x10*m.x12 + 6.63*
                       m.x2*m.x2*m.x5*m.x12 + 7.77*m.x2*m.x2*m.x9*m.x10 + 2.01*m.x2*m.x3*m.x3*m.x12 + 9.63*m.x2*m.x3*
                       m.x5*m.x6 + 8.89*m.x2*m.x3*m.x6*m.x7 - 7.89*m.x2*m.x3*m.x6*m.x8 + 5.74*m.x2*m.x3*m.x8*m.x9 + 3.31
                       *m.x2*m.x4*m.x5*m.x7 + 0.55*m.x2*m.x4*m.x7*m.x12 + 8.82*m.x2*m.x4*m.x11*m.x11 + 8.73*m.x2*m.x5*
                       m.x5*m.x6 + 3.11*m.x2*m.x5*m.x9*m.x9 + 7.38*m.x2*m.x5*m.x12*m.x12 + 1.23*m.x2*m.x6*m.x6*m.x8 + 
                       3.64*m.x2*m.x6*m.x9*m.x9 + 2.7*m.x2*m.x6*m.x10*m.x12 + 0.09*m.x2*m.x6*m.x11*m.x12 + 2.38*m.x2*
                       m.x8*m.x8*m.x9 + 4.91*m.x2*m.x9*m.x11*m.x11 + 4.35*m.x2*m.x11*m.x11*m.x11 + 9.62*m.x2*m.x11*m.x11
                       *m.x12 + 4.26*m.x3*m.x3*m.x3*m.x6 - 2.26*m.x3*m.x3*m.x4*m.x10 + 0.27*m.x3*m.x3*m.x6*m.x10 + 8.76*
                       m.x3*m.x3*m.x6*m.x11 - 8.06*m.x3*m.x3*m.x7*m.x12 + 0.39*m.x3*m.x3*m.x11*m.x11 + 0.14*m.x3*m.x3*
                       m.x11*m.x12 - 0.01*m.x3*m.x4*m.x6*m.x10 + 4.79*m.x3*m.x4*m.x10*m.x11 - 5.01*m.x3*m.x5*m.x6*m.x9
                        + 4.91*m.x3*m.x5*m.x7*m.x8 + 9.68*m.x3*m.x5*m.x8*m.x8 + 2.18*m.x3*m.x5*m.x8*m.x11 + 4.98*m.x3*
                       m.x6*m.x11*m.x12 + 6.78*m.x3*m.x7*m.x7*m.x9 + 8.23*m.x3*m.x7*m.x7*m.x10 + 7.91*m.x3*m.x7*m.x8*
                       m.x10 + 0.88*m.x3*m.x7*m.x8*m.x11 + 5.59*m.x3*m.x7*m.x9*m.x9 + 6.87*m.x3*m.x8*m.x8*m.x9 - 8.94*
                       m.x3*m.x8*m.x8*m.x10 + 9.66*m.x3*m.x8*m.x10*m.x11 + 1.27*m.x3*m.x9*m.x10*m.x10 + 0.44*m.x4*m.x4*
                       m.x4*m.x6 + 7.25*m.x4*m.x4*m.x5*m.x10 + 5.67*m.x4*m.x5*m.x5*m.x12 - 2.66*m.x4*m.x5*m.x7*m.x11 + 
                       6.46*m.x4*m.x5*m.x10*m.x10 + 1.71*m.x4*m.x5*m.x11*m.x11 + 7.85*m.x4*m.x6*m.x9*m.x12 + 2.57*m.x4*
                       m.x6*m.x10*m.x10 + 0.55*m.x4*m.x6*m.x12*m.x12 + 6.24*m.x4*m.x7*m.x7*m.x12 + 3.24*m.x4*m.x7*m.x8*
                       m.x8 + 9.05*m.x4*m.x7*m.x9*m.x9 + 7.97*m.x4*m.x7*m.x12*m.x12 + 4.26*m.x4*m.x9*m.x9*m.x11 - 6.68*
                       m.x5*m.x5*m.x5*m.x12 + 2.91*m.x5*m.x5*m.x6*m.x8 + 1.51*m.x5*m.x5*m.x10*m.x10 + 9.32*m.x5*m.x6*
                       m.x6*m.x12 + 6.79*m.x5*m.x6*m.x10*m.x11 + 1.53*m.x5*m.x6*m.x10*m.x12 - 5.55*m.x5*m.x7*m.x10*m.x12
                        + 2.03*m.x5*m.x8*m.x8*m.x8 + 8.21*m.x5*m.x8*m.x12*m.x12 + 8.93*m.x5*m.x10*m.x11*m.x12 + 6.47*
                       m.x6*m.x6*m.x6*m.x12 + 3.22*m.x6*m.x6*m.x7*m.x8 + 0.06*m.x6*m.x6*m.x10*m.x12 + 2*m.x6*m.x7*m.x7*
                       m.x10 + 9.22*m.x6*m.x7*m.x10*m.x12 + 3.36*m.x6*m.x8*m.x9*m.x12 - 0.69*m.x6*m.x8*m.x10*m.x10 + 
                       3.05*m.x6*m.x8*m.x11*m.x12 + 0.14*m.x6*m.x9*m.x9*m.x9 + 8.22*m.x6*m.x10*m.x10*m.x10 + 8.62*m.x6*
                       m.x10*m.x10*m.x12 + 8.66*m.x7*m.x7*m.x11*m.x12 + 6.12*m.x7*m.x8*m.x12*m.x12 + 0.78*m.x7*m.x9*
                       m.x12*m.x12 - 9.81*m.x7*m.x10*m.x10*m.x11 + 4.63*m.x8*m.x8*m.x8*m.x9 + 9.94*m.x8*m.x9*m.x10*m.x11
                        + 9.38*m.x8*m.x9*m.x12*m.x12 + 1.11*m.x8*m.x10*m.x10*m.x11 + 7.35*m.x8*m.x10*m.x11*m.x12 + 1.81*
                       m.x8*m.x10*m.x12*m.x12 + 2.18*m.x9*m.x9*m.x10*m.x11 + 9.97*m.x10*m.x11*m.x11*m.x12 + 1.27*m.x1*
                       m.x1*m.x1*m.x1*m.x3 + 7.31*m.x1*m.x1*m.x1*m.x1*m.x6 + 7.79*m.x1*m.x1*m.x1*m.x1*m.x12 + 0.46*m.x1*
                       m.x1*m.x1*m.x2*m.x9 + 2.73*m.x1*m.x1*m.x1*m.x3*m.x12 + 1.43*m.x1*m.x1*m.x1*m.x4*m.x9 + 2.16*m.x1*
                       m.x1*m.x1*m.x7*m.x7 + 5.47*m.x1*m.x1*m.x1*m.x10*m.x11 + 0.01*m.x1*m.x1*m.x1*m.x11*m.x11 + 8.95*
                       m.x1*m.x1*m.x2*m.x2*m.x3 + 1.81*m.x1*m.x1*m.x2*m.x3*m.x6 + 5.2*m.x1*m.x1*m.x2*m.x3*m.x7 + 9.58*
                       m.x1*m.x1*m.x2*m.x3*m.x11 + 1.03*m.x1*m.x1*m.x2*m.x4*m.x10 + 3.2*m.x1*m.x1*m.x2*m.x7*m.x8 + 1.85*
                       m.x1*m.x1*m.x2*m.x7*m.x10 - 8.66*m.x1*m.x1*m.x2*m.x7*m.x12 + 8.06*m.x1*m.x1*m.x2*m.x8*m.x10 + 
                       8.38*m.x1*m.x1*m.x3*m.x3*m.x6 + 0.66*m.x1*m.x1*m.x3*m.x3*m.x8 - 4*m.x1*m.x1*m.x3*m.x5*m.x6 + 8.78
                       *m.x1*m.x1*m.x3*m.x5*m.x7 + 6.94*m.x1*m.x1*m.x3*m.x6*m.x7 - 7.07*m.x1*m.x1*m.x3*m.x6*m.x11 + 6.96
                       *m.x1*m.x1*m.x3*m.x6*m.x12 + 5.6*m.x1*m.x1*m.x3*m.x7*m.x10 + 4.17*m.x1*m.x1*m.x3*m.x9*m.x9 + 0.24
                       *m.x1*m.x1*m.x3*m.x10*m.x10 + 4.72*m.x1*m.x1*m.x4*m.x4*m.x4 + 6.22*m.x1*m.x1*m.x4*m.x4*m.x10 + 
                       5.45*m.x1*m.x1*m.x4*m.x6*m.x7 + 2.76*m.x1*m.x1*m.x5*m.x6*m.x7 + 7.9*m.x1*m.x1*m.x5*m.x9*m.x12 + 
                       1.5*m.x1*m.x1*m.x7*m.x8*m.x12 + 6.93*m.x1*m.x1*m.x7*m.x10*m.x12 + 6.65*m.x1*m.x1*m.x8*m.x8*m.x12
                        + 4.3*m.x1*m.x1*m.x8*m.x9*m.x10 + 9.54*m.x1*m.x1*m.x8*m.x12*m.x12 - 2.45*m.x1*m.x1*m.x10*m.x10*
                       m.x12 - 5.53*m.x1*m.x1*m.x11*m.x11*m.x12 + 8.94*m.x1*m.x2*m.x2*m.x3*m.x12 + 6*m.x1*m.x2*m.x2*m.x4
                       *m.x12 + 6.68*m.x1*m.x2*m.x2*m.x8*m.x9 + 3.17*m.x1*m.x2*m.x2*m.x11*m.x11 + 0.38*m.x1*m.x2*m.x3*
                       m.x5*m.x8 + 0.78*m.x1*m.x2*m.x3*m.x6*m.x7 + 4.56*m.x1*m.x2*m.x3*m.x6*m.x8 + 8.16*m.x1*m.x2*m.x3*
                       m.x7*m.x11 + 3.25*m.x1*m.x2*m.x3*m.x8*m.x8 + 0.8*m.x1*m.x2*m.x3*m.x8*m.x9 + 6.96*m.x1*m.x2*m.x3*
                       m.x9*m.x9 + 4.91*m.x1*m.x2*m.x3*m.x10*m.x12 + 6.99*m.x1*m.x2*m.x4*m.x5*m.x8 - 9.13*m.x1*m.x2*m.x4
                       *m.x5*m.x11 + 2.57*m.x1*m.x2*m.x4*m.x6*m.x9 + 0.88*m.x1*m.x2*m.x4*m.x6*m.x11 + 0.97*m.x1*m.x2*
                       m.x4*m.x8*m.x11 + 0.36*m.x1*m.x2*m.x4*m.x9*m.x9 + 6.11*m.x1*m.x2*m.x4*m.x11*m.x12 + 0.03*m.x1*
                       m.x2*m.x5*m.x5*m.x12 + 5.72*m.x1*m.x2*m.x5*m.x8*m.x8 + 2.17*m.x1*m.x2*m.x5*m.x8*m.x9 + 2.68*m.x1*
                       m.x2*m.x5*m.x9*m.x11 + 2.59*m.x1*m.x2*m.x6*m.x6*m.x11 + 0.49*m.x1*m.x2*m.x6*m.x7*m.x7 + 3.17*m.x1
                       *m.x2*m.x6*m.x8*m.x11 + 8.5*m.x1*m.x2*m.x6*m.x8*m.x12 + m.x1*m.x2*m.x6*m.x11*m.x12 + 7.03*m.x1*
                       m.x2*m.x7*m.x7*m.x12 + 7.07*m.x1*m.x2*m.x7*m.x8*m.x9 + 7.76*m.x1*m.x2*m.x7*m.x10*m.x11 - 2.16*
                       m.x1*m.x2*m.x7*m.x11*m.x12 - 9.65*m.x1*m.x2*m.x8*m.x9*m.x10 + 2.95*m.x1*m.x2*m.x9*m.x11*m.x11 - 
                       5.8*m.x1*m.x2*m.x11*m.x11*m.x11 + 5.89*m.x1*m.x3*m.x3*m.x4*m.x4 + 1.47*m.x1*m.x3*m.x3*m.x5*m.x6
                        + 1.91*m.x1*m.x3*m.x3*m.x6*m.x11 + 8.56*m.x1*m.x3*m.x4*m.x4*m.x10 + 9.64*m.x1*m.x3*m.x4*m.x6*
                       m.x6 - 7*m.x1*m.x3*m.x4*m.x6*m.x12 - 9.92*m.x1*m.x3*m.x4*m.x8*m.x9 + 8.2*m.x1*m.x3*m.x4*m.x9*m.x9
                        + 9.53*m.x1*m.x3*m.x5*m.x5*m.x8 - 0.92*m.x1*m.x3*m.x5*m.x8*m.x9 + 6.9*m.x1*m.x3*m.x5*m.x10*m.x12
                        + 5.02*m.x1*m.x3*m.x5*m.x11*m.x11 + 7.52*m.x1*m.x3*m.x5*m.x12*m.x12 + 3.1*m.x1*m.x3*m.x6*m.x7*
                       m.x8 + 2.07*m.x1*m.x3*m.x6*m.x8*m.x12 + 5.67*m.x1*m.x3*m.x7*m.x9*m.x12 + 4.88*m.x1*m.x3*m.x8*m.x9
                       *m.x9 + 9.9*m.x1*m.x3*m.x9*m.x11*m.x11 + 5.6*m.x1*m.x4*m.x4*m.x5*m.x8 + 7.48*m.x1*m.x4*m.x5*m.x5*
                       m.x10 + 1.97*m.x1*m.x4*m.x5*m.x6*m.x10 + 1.71*m.x1*m.x4*m.x5*m.x7*m.x10 + 6.4*m.x1*m.x4*m.x5*
                       m.x12*m.x12 + 9.23*m.x1*m.x4*m.x6*m.x6*m.x10 + 4.17*m.x1*m.x4*m.x6*m.x8*m.x11 + 6.74*m.x1*m.x4*
                       m.x6*m.x8*m.x12 + 6.24*m.x1*m.x4*m.x7*m.x7*m.x11 + 7.95*m.x1*m.x4*m.x7*m.x8*m.x9 + 4.13*m.x1*m.x4
                       *m.x7*m.x10*m.x11 + 1.05*m.x1*m.x4*m.x9*m.x9*m.x9 + 0.13*m.x1*m.x4*m.x10*m.x10*m.x12 - 2.17*m.x1*
                       m.x4*m.x10*m.x11*m.x12 + 0.23*m.x1*m.x5*m.x5*m.x5*m.x6 + 4.88*m.x1*m.x5*m.x5*m.x6*m.x6 + 2.89*
                       m.x1*m.x5*m.x5*m.x6*m.x8 + 1.31*m.x1*m.x5*m.x5*m.x7*m.x7 + 1.31*m.x1*m.x5*m.x5*m.x7*m.x9 + 5.1*
                       m.x1*m.x5*m.x5*m.x8*m.x11 + 2.01*m.x1*m.x5*m.x5*m.x8*m.x12 + 1.34*m.x1*m.x5*m.x5*m.x9*m.x9 + 7.66
                       *m.x1*m.x5*m.x5*m.x10*m.x11 + 4.1*m.x1*m.x5*m.x5*m.x10*m.x12 + 6.77*m.x1*m.x5*m.x5*m.x12*m.x12 + 
                       6.66*m.x1*m.x5*m.x6*m.x6*m.x8 + 8.26*m.x1*m.x5*m.x6*m.x6*m.x12 + 4.77*m.x1*m.x5*m.x7*m.x9*m.x9 + 
                       3.56*m.x1*m.x5*m.x7*m.x9*m.x11 + 8.34*m.x1*m.x5*m.x7*m.x12*m.x12 + 4.19*m.x1*m.x5*m.x10*m.x11*
                       m.x11 + 1.8*m.x1*m.x6*m.x6*m.x6*m.x11 + 7.49*m.x1*m.x6*m.x6*m.x8*m.x8 + 8.47*m.x1*m.x6*m.x6*m.x8*
                       m.x9 + 8.43*m.x1*m.x6*m.x6*m.x9*m.x9 + 9.23*m.x1*m.x6*m.x6*m.x9*m.x10 + 0.26*m.x1*m.x6*m.x7*m.x7*
                       m.x12 + 0.84*m.x1*m.x6*m.x7*m.x10*m.x10 + 1.8*m.x1*m.x6*m.x8*m.x8*m.x9 + 4.21*m.x1*m.x6*m.x8*m.x8
                       *m.x11 + 4.25*m.x1*m.x6*m.x8*m.x9*m.x10 + 7.88*m.x1*m.x6*m.x8*m.x10*m.x11 + 5.21*m.x1*m.x6*m.x9*
                       m.x10*m.x12 - 7.09*m.x1*m.x7*m.x7*m.x7*m.x10 + 2.87*m.x1*m.x7*m.x8*m.x9*m.x12 + 3.78*m.x1*m.x7*
                       m.x8*m.x10*m.x10 + 8.09*m.x1*m.x8*m.x8*m.x8*m.x11 + 7.66*m.x1*m.x8*m.x9*m.x11*m.x11 - 7.17*m.x1*
                       m.x8*m.x10*m.x12*m.x12 + 3.94*m.x1*m.x9*m.x11*m.x11*m.x12 + 3.18*m.x1*m.x9*m.x12*m.x12*m.x12 + 
                       7.71*m.x1*m.x11*m.x11*m.x11*m.x12 + 8.66*m.x1*m.x12*m.x12*m.x12*m.x12 - 0.62*m.x2*m.x2*m.x2*m.x4*
                       m.x12 + 7.45*m.x2*m.x2*m.x2*m.x5*m.x6 + 9.83*m.x2*m.x2*m.x2*m.x5*m.x11 + 8.47*m.x2*m.x2*m.x2*m.x8
                       *m.x9 - 4.86*m.x2*m.x2*m.x2*m.x12*m.x12 - 9.36*m.x2*m.x2*m.x3*m.x3*m.x10 + 2.41*m.x2*m.x2*m.x3*
                       m.x4*m.x4 + 2.65*m.x2*m.x2*m.x3*m.x6*m.x11 + 4.62*m.x2*m.x2*m.x3*m.x8*m.x8 + 2.34*m.x2*m.x2*m.x3*
                       m.x8*m.x10 - 0.98*m.x2*m.x2*m.x3*m.x8*m.x12 + 3.77*m.x2*m.x2*m.x3*m.x10*m.x10 + 9.26*m.x2*m.x2*
                       m.x3*m.x10*m.x11 - 4.47*m.x2*m.x2*m.x3*m.x10*m.x12 + 5.73*m.x2*m.x2*m.x4*m.x4*m.x12 + 8.84*m.x2*
                       m.x2*m.x4*m.x5*m.x5 + 0.09*m.x2*m.x2*m.x5*m.x6*m.x9 + 4.53*m.x2*m.x2*m.x5*m.x7*m.x8 + 5.26*m.x2*
                       m.x2*m.x5*m.x7*m.x10 + 3.31*m.x2*m.x2*m.x5*m.x8*m.x8 + 7.42*m.x2*m.x2*m.x6*m.x6*m.x10 + 4.16*m.x2
                       *m.x2*m.x6*m.x7*m.x12 - 6.68*m.x2*m.x2*m.x6*m.x8*m.x10 + 1.51*m.x2*m.x2*m.x6*m.x9*m.x11 + 3.61*
                       m.x2*m.x2*m.x7*m.x11*m.x12 + 6.38*m.x2*m.x2*m.x8*m.x9*m.x10 + 1.87*m.x2*m.x2*m.x8*m.x9*m.x12 + 
                       3.2*m.x2*m.x3*m.x3*m.x6*m.x6 + 2.54*m.x2*m.x3*m.x3*m.x9*m.x12 + 0.28*m.x2*m.x3*m.x4*m.x4*m.x4 + 
                       0.02*m.x2*m.x3*m.x4*m.x4*m.x5 + 6.45*m.x2*m.x3*m.x4*m.x8*m.x10 - 5.27*m.x2*m.x3*m.x4*m.x10*m.x10
                        + 2.03*m.x2*m.x3*m.x5*m.x6*m.x12 + 6.4*m.x2*m.x3*m.x5*m.x7*m.x9 + 6.7*m.x2*m.x3*m.x6*m.x6*m.x6
                        - 1.96*m.x2*m.x3*m.x6*m.x6*m.x8 + 2.11*m.x2*m.x3*m.x6*m.x6*m.x11 + 7.44*m.x2*m.x3*m.x6*m.x7*m.x8
                        + 2.17*m.x2*m.x3*m.x6*m.x7*m.x10 + 10*m.x2*m.x3*m.x6*m.x7*m.x12 + 8.73*m.x2*m.x3*m.x6*m.x9*m.x12
                        - 1.99*m.x2*m.x3*m.x6*m.x11*m.x11 + 5.42*m.x2*m.x3*m.x7*m.x7*m.x7 + 8.45*m.x2*m.x3*m.x7*m.x10*
                       m.x11 + 7.63*m.x2*m.x3*m.x8*m.x8*m.x11 + 8.88*m.x2*m.x3*m.x10*m.x12*m.x12 + 1.22*m.x2*m.x4*m.x4*
                       m.x4*m.x12 - 8.72*m.x2*m.x4*m.x4*m.x5*m.x6 + 8.01*m.x2*m.x4*m.x4*m.x5*m.x9 + 0.68*m.x2*m.x4*m.x4*
                       m.x7*m.x8 + 0.63*m.x2*m.x4*m.x4*m.x8*m.x8 + 1.43*m.x2*m.x4*m.x5*m.x5*m.x5 + 4.76*m.x2*m.x4*m.x5*
                       m.x5*m.x10 + 3.76*m.x2*m.x4*m.x5*m.x5*m.x11 + 1.38*m.x2*m.x4*m.x5*m.x6*m.x12 + 9.65*m.x2*m.x4*
                       m.x5*m.x9*m.x11 + 6.97*m.x2*m.x4*m.x5*m.x9*m.x12 + 4.57*m.x2*m.x4*m.x6*m.x7*m.x7 + 4.46*m.x2*m.x4
                       *m.x6*m.x12*m.x12 + 8.23*m.x2*m.x4*m.x7*m.x7*m.x7 - 2.62*m.x2*m.x4*m.x7*m.x7*m.x12 + 2.19*m.x2*
                       m.x4*m.x7*m.x8*m.x11 + 6.95*m.x2*m.x4*m.x7*m.x8*m.x12 + 9.55*m.x2*m.x4*m.x8*m.x8*m.x11 + 9.56*
                       m.x2*m.x4*m.x8*m.x8*m.x12 + 7.12*m.x2*m.x4*m.x8*m.x10*m.x10 + 1.16*m.x2*m.x4*m.x9*m.x9*m.x9 + 
                       5.35*m.x2*m.x4*m.x10*m.x10*m.x10 + 2.76*m.x2*m.x4*m.x10*m.x11*m.x12 + 6.29*m.x2*m.x4*m.x11*m.x12*
                       m.x12 + 9.97*m.x2*m.x5*m.x5*m.x8*m.x10 + 4.95*m.x2*m.x5*m.x5*m.x9*m.x9 + 7.76*m.x2*m.x5*m.x6*m.x6
                       *m.x8 + 4.38*m.x2*m.x5*m.x6*m.x7*m.x10 - 8.39*m.x2*m.x5*m.x6*m.x9*m.x10 + 9.67*m.x2*m.x5*m.x7*
                       m.x7*m.x8 + 0.41*m.x2*m.x5*m.x7*m.x8*m.x9 + 1.37*m.x2*m.x5*m.x9*m.x9*m.x12 + 1.49*m.x2*m.x5*m.x9*
                       m.x10*m.x11 + 3.45*m.x2*m.x5*m.x9*m.x11*m.x11 + 2.87*m.x2*m.x5*m.x10*m.x10*m.x11 + 6.27*m.x2*m.x5
                       *m.x10*m.x11*m.x11 + 8.41*m.x2*m.x5*m.x10*m.x12*m.x12 + 9.78*m.x2*m.x6*m.x6*m.x6*m.x8 + 5.78*m.x2
                       *m.x6*m.x6*m.x6*m.x10 + 7.24*m.x2*m.x6*m.x6*m.x9*m.x9 + 2.81*m.x2*m.x6*m.x6*m.x9*m.x11 + 4.89*
                       m.x2*m.x6*m.x6*m.x10*m.x11 + 6.78*m.x2*m.x6*m.x7*m.x8*m.x11 + 7.79*m.x2*m.x6*m.x7*m.x8*m.x12 + 
                       9.38*m.x2*m.x6*m.x8*m.x8*m.x10 + 7.13*m.x2*m.x6*m.x8*m.x8*m.x11 + 5.23*m.x2*m.x6*m.x10*m.x10*
                       m.x10 + 9.41*m.x2*m.x7*m.x7*m.x8*m.x8 + 6.75*m.x2*m.x7*m.x7*m.x8*m.x10 + 2.67*m.x2*m.x7*m.x7*
                       m.x12*m.x12 + 3.18*m.x2*m.x7*m.x8*m.x10*m.x11 + 0.28*m.x2*m.x7*m.x9*m.x9*m.x9 + 6.57*m.x2*m.x7*
                       m.x9*m.x9*m.x10 - 7.37*m.x2*m.x7*m.x9*m.x9*m.x11 + 2.58*m.x2*m.x7*m.x10*m.x10*m.x10 + 0.38*m.x2*
                       m.x7*m.x10*m.x11*m.x12 + 8.86*m.x2*m.x8*m.x8*m.x9*m.x12 + 4.98*m.x2*m.x8*m.x10*m.x10*m.x11 - 8.82
                       *m.x2*m.x9*m.x9*m.x9*m.x9 + 2.7*m.x2*m.x11*m.x11*m.x12*m.x12 + 3.64*m.x3*m.x3*m.x3*m.x3*m.x5 + 
                       1.53*m.x3*m.x3*m.x3*m.x4*m.x10 - 0.35*m.x3*m.x3*m.x3*m.x6*m.x10 - 0.86*m.x3*m.x3*m.x3*m.x7*m.x9
                        + 8.72*m.x3*m.x3*m.x3*m.x8*m.x12 + 6.03*m.x3*m.x3*m.x3*m.x9*m.x9 - 4.77*m.x3*m.x3*m.x4*m.x4*m.x5
                        + 2.84*m.x3*m.x3*m.x4*m.x5*m.x5 - 3.87*m.x3*m.x3*m.x4*m.x5*m.x11 + 7.32*m.x3*m.x3*m.x4*m.x7*m.x8
                        + 0.98*m.x3*m.x3*m.x4*m.x8*m.x10 + 1.05*m.x3*m.x3*m.x5*m.x5*m.x11 + 1.13*m.x3*m.x3*m.x5*m.x6*
                       m.x11 + 7.32*m.x3*m.x3*m.x6*m.x6*m.x11 + 7.69*m.x3*m.x3*m.x6*m.x7*m.x7 + 8.59*m.x3*m.x3*m.x6*m.x9
                       *m.x9 - 1.43*m.x3*m.x3*m.x6*m.x11*m.x11 + 0.35*m.x3*m.x3*m.x7*m.x7*m.x10 + 8.12*m.x3*m.x3*m.x7*
                       m.x9*m.x12 + 1.84*m.x3*m.x3*m.x7*m.x12*m.x12 + 7.43*m.x3*m.x3*m.x8*m.x8*m.x8 + 8.89*m.x3*m.x3*
                       m.x9*m.x10*m.x10 + 1.02*m.x3*m.x3*m.x11*m.x11*m.x12 + 9.2*m.x3*m.x4*m.x4*m.x4*m.x12 + 2.62*m.x3*
                       m.x4*m.x4*m.x5*m.x11 + 5.4*m.x3*m.x4*m.x4*m.x7*m.x8 + 7.86*m.x3*m.x4*m.x4*m.x8*m.x8 + 6.14*m.x3*
                       m.x4*m.x4*m.x10*m.x10 + 6.69*m.x3*m.x4*m.x5*m.x5*m.x8 + 0.56*m.x3*m.x4*m.x5*m.x6*m.x7 + 6.3*m.x3*
                       m.x4*m.x5*m.x9*m.x12 + 6.5*m.x3*m.x4*m.x5*m.x10*m.x11 + 7.11*m.x3*m.x4*m.x6*m.x6*m.x12 + 7.64*
                       m.x3*m.x4*m.x6*m.x10*m.x10 + 9.96*m.x3*m.x4*m.x7*m.x7*m.x8 + 0.03*m.x3*m.x4*m.x7*m.x9*m.x10 + 7*
                       m.x3*m.x4*m.x7*m.x12*m.x12 + 3.19*m.x3*m.x4*m.x9*m.x11*m.x11 + 4.35*m.x3*m.x5*m.x5*m.x5*m.x9 + 
                       6.18*m.x3*m.x5*m.x5*m.x7*m.x11 + 9.2*m.x3*m.x5*m.x5*m.x11*m.x11 + 3.93*m.x3*m.x5*m.x6*m.x6*m.x10
                        + 9.14*m.x3*m.x5*m.x6*m.x7*m.x8 - 4.11*m.x3*m.x5*m.x6*m.x10*m.x11 + 6.68*m.x3*m.x5*m.x7*m.x7*
                       m.x10 + 9.92*m.x3*m.x5*m.x8*m.x11*m.x11 + 6.6*m.x3*m.x6*m.x6*m.x6*m.x8 + 9.03*m.x3*m.x6*m.x6*
                       m.x11*m.x11 + 9.07*m.x3*m.x6*m.x7*m.x7*m.x11 + 4.01*m.x3*m.x6*m.x7*m.x11*m.x11 + 6.32*m.x3*m.x6*
                       m.x8*m.x8*m.x11 + 4.67*m.x3*m.x6*m.x8*m.x9*m.x9 - 5.58*m.x3*m.x6*m.x9*m.x12*m.x12 + 7.44*m.x3*
                       m.x7*m.x7*m.x9*m.x9 + 6.25*m.x3*m.x7*m.x9*m.x12*m.x12 + 2.17*m.x3*m.x8*m.x8*m.x8*m.x8 + 4.04*m.x3
                       *m.x8*m.x8*m.x11*m.x11 + 1.8*m.x3*m.x8*m.x10*m.x10*m.x12 + 9.85*m.x3*m.x9*m.x9*m.x9*m.x11 + 4.99*
                       m.x3*m.x9*m.x9*m.x10*m.x10 + 6.29*m.x3*m.x9*m.x9*m.x10*m.x12 + 7.19*m.x3*m.x9*m.x10*m.x10*m.x11
                        + 9.6*m.x3*m.x11*m.x11*m.x12*m.x12 + 0.33*m.x3*m.x11*m.x12*m.x12*m.x12 + 9.78*m.x4*m.x4*m.x4*
                       m.x4*m.x5 + 6.62*m.x4*m.x4*m.x4*m.x5*m.x5 - 6.75*m.x4*m.x4*m.x4*m.x9*m.x11 + 6.57*m.x4*m.x4*m.x5*
                       m.x6*m.x9 + 5.41*m.x4*m.x4*m.x5*m.x6*m.x12 + 6.68*m.x4*m.x4*m.x5*m.x9*m.x10 + 7.26*m.x4*m.x4*m.x6
                       *m.x7*m.x7 + 7.1*m.x4*m.x4*m.x6*m.x7*m.x8 + 1.62*m.x4*m.x4*m.x6*m.x9*m.x12 + 4.46*m.x4*m.x4*m.x6*
                       m.x10*m.x11 - 4.03*m.x4*m.x4*m.x7*m.x9*m.x9 + 0.36*m.x4*m.x4*m.x8*m.x10*m.x11 + 4.78*m.x4*m.x4*
                       m.x8*m.x11*m.x12 + 0.7*m.x4*m.x4*m.x10*m.x11*m.x11 + 5.39*m.x4*m.x5*m.x5*m.x5*m.x9 + 6.14*m.x4*
                       m.x5*m.x5*m.x6*m.x9 - 5.76*m.x4*m.x5*m.x5*m.x6*m.x12 - 9.21*m.x4*m.x5*m.x5*m.x7*m.x7 + 9.85*m.x4*
                       m.x5*m.x6*m.x7*m.x8 + 8.08*m.x4*m.x5*m.x6*m.x11*m.x11 + 2.77*m.x4*m.x5*m.x9*m.x9*m.x9 + 2.55*m.x4
                       *m.x5*m.x9*m.x12*m.x12 + 7*m.x4*m.x5*m.x10*m.x10*m.x10 + 2.48*m.x4*m.x5*m.x10*m.x10*m.x11 + 0.51*
                       m.x4*m.x5*m.x10*m.x11*m.x11 + 3.93*m.x4*m.x6*m.x6*m.x8*m.x10 + 4.82*m.x4*m.x6*m.x6*m.x10*m.x11 + 
                       3.37*m.x4*m.x6*m.x7*m.x8*m.x10 + 5.48*m.x4*m.x6*m.x7*m.x8*m.x12 + 5.35*m.x4*m.x6*m.x7*m.x11*m.x12
                        - 3.12*m.x4*m.x6*m.x8*m.x8*m.x8 + 3.74*m.x4*m.x6*m.x8*m.x9*m.x10 - 7.59*m.x4*m.x6*m.x8*m.x11*
                       m.x12 + 2.07*m.x4*m.x7*m.x7*m.x8*m.x10 + 3.26*m.x4*m.x7*m.x8*m.x11*m.x12 + 3.13*m.x4*m.x7*m.x10*
                       m.x11*m.x11 + 8.03*m.x4*m.x8*m.x8*m.x8*m.x10 + 3.23*m.x4*m.x8*m.x8*m.x10*m.x12 + 4.13*m.x4*m.x8*
                       m.x8*m.x11*m.x11 + 1.39*m.x4*m.x8*m.x8*m.x11*m.x12 + 3.33*m.x4*m.x8*m.x8*m.x12*m.x12 - 8.78*m.x4*
                       m.x8*m.x10*m.x11*m.x11 + 4.41*m.x4*m.x9*m.x9*m.x11*m.x11 + 8.72*m.x4*m.x9*m.x10*m.x11*m.x11 + 
                       5.77*m.x4*m.x11*m.x12*m.x12*m.x12 + 2.62*m.x4*m.x12*m.x12*m.x12*m.x12 + 0.98*m.x5*m.x5*m.x5*m.x5*
                       m.x11 + 1.99*m.x5*m.x5*m.x5*m.x6*m.x12 + 9.94*m.x5*m.x5*m.x5*m.x7*m.x10 + 2.07*m.x5*m.x5*m.x5*
                       m.x9*m.x12 + 3.71*m.x5*m.x5*m.x6*m.x8*m.x11 + 7.23*m.x5*m.x5*m.x6*m.x8*m.x12 + 5.59*m.x5*m.x5*
                       m.x7*m.x7*m.x7 + 3.47*m.x5*m.x5*m.x7*m.x11*m.x11 + 6.41*m.x5*m.x5*m.x8*m.x9*m.x12 + 8.45*m.x5*
                       m.x5*m.x9*m.x9*m.x9 + 6.76*m.x5*m.x5*m.x9*m.x10*m.x12 + 4.15*m.x5*m.x6*m.x6*m.x7*m.x8 + 4.05*m.x5
                       *m.x6*m.x6*m.x7*m.x10 + 2.7*m.x5*m.x6*m.x6*m.x7*m.x11 - 7.1*m.x5*m.x6*m.x6*m.x10*m.x10 + 0.54*
                       m.x5*m.x6*m.x6*m.x10*m.x11 + 6.24*m.x5*m.x6*m.x7*m.x7*m.x11 - 1.29*m.x5*m.x6*m.x7*m.x8*m.x9 + 
                       1.51*m.x5*m.x6*m.x8*m.x8*m.x10 + 2.62*m.x5*m.x6*m.x8*m.x9*m.x10 + 6.99*m.x5*m.x6*m.x9*m.x11*m.x11
                        + 7.41*m.x5*m.x6*m.x10*m.x10*m.x10 + 3.94*m.x5*m.x7*m.x7*m.x9*m.x10 + 4.59*m.x5*m.x7*m.x7*m.x9*
                       m.x12 + 0.62*m.x5*m.x7*m.x7*m.x11*m.x12 + 9.86*m.x5*m.x7*m.x8*m.x9*m.x11 + 1.54*m.x5*m.x8*m.x8*
                       m.x8*m.x11 + 1.74*m.x5*m.x8*m.x8*m.x12*m.x12 + 4.05*m.x5*m.x9*m.x9*m.x9*m.x10 + 3.12*m.x5*m.x9*
                       m.x9*m.x12*m.x12 + 4.99*m.x5*m.x9*m.x11*m.x11*m.x12 + 3.69*m.x5*m.x10*m.x10*m.x12*m.x12 + 5.24*
                       m.x6*m.x6*m.x6*m.x8*m.x11 + 3.62*m.x6*m.x6*m.x6*m.x12*m.x12 + 5.08*m.x6*m.x6*m.x7*m.x10*m.x10 + 
                       3.7*m.x6*m.x6*m.x8*m.x11*m.x12 + 7.94*m.x6*m.x6*m.x9*m.x12*m.x12 + 2.3*m.x6*m.x7*m.x7*m.x7*m.x9
                        + 5.62*m.x6*m.x7*m.x7*m.x7*m.x12 + 4.44*m.x6*m.x7*m.x7*m.x8*m.x10 + 2.63*m.x6*m.x7*m.x7*m.x9*
                       m.x10 + 3.37*m.x6*m.x7*m.x7*m.x10*m.x10 + 2.49*m.x6*m.x7*m.x7*m.x10*m.x11 + 9.83*m.x6*m.x7*m.x8*
                       m.x9*m.x10 + 3.8*m.x6*m.x7*m.x8*m.x12*m.x12 + 9.39*m.x6*m.x7*m.x9*m.x9*m.x10 + 8.99*m.x6*m.x7*
                       m.x9*m.x11*m.x11 + 3.23*m.x6*m.x7*m.x9*m.x12*m.x12 + 3.37*m.x6*m.x7*m.x11*m.x11*m.x11 - 2.52*m.x6
                       *m.x9*m.x9*m.x9*m.x12 + 7.49*m.x6*m.x9*m.x10*m.x10*m.x10 - 1.87*m.x6*m.x10*m.x10*m.x12*m.x12 + 
                       0.47*m.x7*m.x7*m.x7*m.x8*m.x12 - 2.07*m.x7*m.x7*m.x8*m.x8*m.x8 + 7.23*m.x7*m.x7*m.x8*m.x11*m.x12
                        + 7.48*m.x7*m.x7*m.x9*m.x12*m.x12 - 7.37*m.x7*m.x7*m.x10*m.x12*m.x12 + 8.31*m.x7*m.x8*m.x8*m.x8*
                       m.x10 - 8.46*m.x7*m.x8*m.x8*m.x10*m.x12 + 3.23*m.x7*m.x8*m.x8*m.x11*m.x11 + 1.73*m.x7*m.x8*m.x9*
                       m.x11*m.x12 + 2.47*m.x7*m.x8*m.x10*m.x11*m.x12 + 2.75*m.x7*m.x8*m.x12*m.x12*m.x12 + 6.88*m.x7*
                       m.x9*m.x11*m.x12*m.x12 + 5.08*m.x8*m.x8*m.x8*m.x8*m.x8 + 3.09*m.x8*m.x8*m.x8*m.x8*m.x9 + 9.64*
                       m.x8*m.x8*m.x8*m.x9*m.x9 + 0.22*m.x8*m.x8*m.x8*m.x9*m.x10 + 7.55*m.x8*m.x8*m.x9*m.x12*m.x12 + 
                       8.47*m.x8*m.x9*m.x9*m.x10*m.x10 + 9.44*m.x8*m.x9*m.x10*m.x10*m.x10 + 4.69*m.x8*m.x9*m.x10*m.x11*
                       m.x11 + 8.81*m.x8*m.x9*m.x10*m.x11*m.x12 + 5.55*m.x8*m.x9*m.x11*m.x11*m.x12 + 2.4*m.x9*m.x9*m.x11
                       *m.x12*m.x12 + 3.33*m.x9*m.x9*m.x12*m.x12*m.x12 + 5.34*m.x9*m.x10*m.x12*m.x12*m.x12 + 4.89*m.x10*
                       m.x10*m.x10*m.x11*m.x11 + 3.97*m.x10*m.x11*m.x11*m.x12*m.x12, sense=minimize)

m.c1 = Constraint(expr=   5.42*m.x3 + 1.98*m.x5 + 6.82*m.x7 + 8.21*m.x8 + 9.7*m.x9 + 1.22*m.x11 == 53.5)

m.c2 = Constraint(expr=   2.39*m.x1 + 0.72*m.x2 + 2.88*m.x3 + 0.62*m.x4 + 2.34*m.x6 + 1.29*m.x10 == 15.823)

m.c3 = Constraint(expr=   0.87*m.x4 + 5.14*m.x6 + 8.64*m.x8 + 2.74*m.x9 + 3.09*m.x11 + 1.66*m.x12 == 34.345)

m.c4 = Constraint(expr=   8.25*m.x3 + 5.61*m.x6 + 2.1*m.x8 + 2.22*m.x10 - 8.83*m.x11 + 4.46*m.x12 == 23.585)

m.c5 = Constraint(expr=   6.57*m.x2 + 6.19*m.x3 + 0.89*m.x4 + 6.41*m.x8 + 0.27*m.x9 - 9.21*m.x12 == 15.584)

m.c6 = Constraint(expr=   5.04*m.x4 + 8.72*m.x5 + 8.62*m.x6 + 7.37*m.x7 + 1.35*m.x9 + 9.79*m.x12 == 64.361)

m.c7 = Constraint(expr=   9.38*m.x1 - 3.93*m.x2 + 8.52*m.x3 + 1.85*m.x4 + 0.57*m.x5 + 0.88*m.x6 - 8.45*m.x7 + 6.49*m.x8
                        + 4.54*m.x9 + 7.8*m.x10 + 8.46*m.x11 + 9.45*m.x12 >= 70.842)

m.c8 = Constraint(expr=7.08*m.x2*m.x12 + 0.56*m.x2 + 5.24*m.x12 + 7.22*m.x3*m.x8 + 5.17*m.x3 + 5.78*m.x8 - 1.15*m.x3*
                       m.x10 + 5*m.x10 + 7.46*m.x3*m.x12 + 0.77*m.x4*m.x6 + 4.81*m.x4 + 0.64*m.x6 + 9.9*m.x4*m.x12 + 
                       1.83*m.x9*m.x9 + 6.64*m.x9 + 1.13*m.x9*m.x10 + 6.02*m.x9*m.x11 + 8.98*m.x11 + 8.26*m.x11*m.x11
                        - 6.58*m.x1 + 3.44*m.x5 + 8.19*m.x7 >= 221.739)

m.c9 = Constraint(expr=2.48*m.x2*m.x12 - 3.6*m.x2 + 0.57*m.x12 + 2.01*m.x3*m.x8 + 1.65*m.x3 + 6.67*m.x8 + 7.35*m.x3*
                       m.x10 + 2.09*m.x10 + 3.84*m.x3*m.x12 + 5.57*m.x4*m.x6 + 5.05*m.x4 + 6.43*m.x6 + 5.82*m.x4*m.x12
                        + 5.28*m.x9*m.x9 + 4.87*m.x9 + 3.15*m.x9*m.x10 + 2.91*m.x9*m.x11 + 0.89*m.x11 + 1.88*m.x11*m.x11
                        + 4.86*m.x1*m.x1*m.x3 - 4.41*m.x1 + 5.85*m.x1*m.x1*m.x4 + 1.91*m.x1*m.x1*m.x7 + 6.64*m.x7 + 8.99
                       *m.x1*m.x3*m.x8 + 3.02*m.x1*m.x4*m.x7 + 2.34*m.x1*m.x4*m.x12 - 0.13*m.x1*m.x6*m.x9 + 9.45*m.x1*
                       m.x6*m.x11 + 0.46*m.x1*m.x10*m.x11 + 9.73*m.x2*m.x2*m.x11 + 7.89*m.x2*m.x2*m.x12 + 3.29*m.x2*m.x4
                       *m.x5 + 2.44*m.x5 - 0.01*m.x2*m.x5*m.x6 + 6.73*m.x2*m.x6*m.x11 + 2.3*m.x2*m.x7*m.x12 + 3.77*m.x2*
                       m.x12*m.x12 + 6.2*m.x3*m.x3*m.x3 + 9.75*m.x3*m.x5*m.x6 + 2.38*m.x3*m.x5*m.x12 + 4.18*m.x3*m.x8*
                       m.x11 + 6.05*m.x3*m.x8*m.x12 + 0.3*m.x4*m.x4*m.x12 + 5.57*m.x4*m.x5*m.x5 + 5.78*m.x4*m.x6*m.x11
                        + 1.2*m.x4*m.x8*m.x12 + 3.61*m.x5*m.x5*m.x8 + 5.38*m.x5*m.x6*m.x12 + 7.14*m.x5*m.x7*m.x7 + 1.15*
                       m.x5*m.x8*m.x11 + 8.55*m.x6*m.x6*m.x10 + 0.33*m.x6*m.x6*m.x11 - 4.57*m.x6*m.x8*m.x11 - 7.89*m.x6*
                       m.x8*m.x12 - 8.72*m.x7*m.x11*m.x11 - 4.21*m.x8*m.x9*m.x10 + 3.94*m.x8*m.x10*m.x10 + 1.71*m.x11*
                       m.x12*m.x12 >= 1167.147)

m.c10 = Constraint(expr=8.38*m.x2*m.x12 + 7.45*m.x2 + 0.03*m.x12 + 3.13*m.x3*m.x8 + 3.62*m.x3 + 6.83*m.x8 + 4.88*m.x3*
                        m.x10 + 4.54*m.x10 + 4.51*m.x3*m.x12 + 1.72*m.x4*m.x6 - 8.25*m.x4 - 9.86*m.x6 + 2.2*m.x4*m.x12
                         + 5.92*m.x9*m.x9 + 6.65*m.x9 - 3.07*m.x9*m.x10 + 2.55*m.x9*m.x11 + 7.07*m.x11 + 0.97*m.x11*
                        m.x11 + 0.14*m.x1*m.x1*m.x3 + 4.85*m.x1 + 7.97*m.x1*m.x1*m.x4 + 4.42*m.x1*m.x1*m.x7 + 8.83*m.x7
                         + 0.27*m.x1*m.x3*m.x8 + 4.35*m.x1*m.x4*m.x7 + 5.49*m.x1*m.x4*m.x12 - 9.69*m.x1*m.x6*m.x9 + 2.69
                        *m.x1*m.x6*m.x11 + 3.94*m.x1*m.x10*m.x11 - 1.8*m.x2*m.x2*m.x11 + 1.93*m.x2*m.x2*m.x12 + 4.07*
                        m.x2*m.x4*m.x5 + 8.45*m.x5 + 5.92*m.x2*m.x5*m.x6 + 9.96*m.x2*m.x6*m.x11 + 9.51*m.x2*m.x7*m.x12
                         + 6.18*m.x2*m.x12*m.x12 + 3.14*m.x3*m.x3*m.x3 + 8.31*m.x3*m.x5*m.x6 + 0.53*m.x3*m.x5*m.x12 + 
                        0.67*m.x3*m.x8*m.x11 + 9.84*m.x3*m.x8*m.x12 + 9.97*m.x4*m.x4*m.x12 + 8.91*m.x4*m.x5*m.x5 + 4.24*
                        m.x4*m.x6*m.x11 + 8.36*m.x4*m.x8*m.x12 - 3.71*m.x5*m.x5*m.x8 + 1.81*m.x5*m.x6*m.x12 - 5.12*m.x5*
                        m.x7*m.x7 + 7.2*m.x5*m.x8*m.x11 + 6.02*m.x6*m.x6*m.x10 + 8.25*m.x6*m.x6*m.x11 + 0.75*m.x6*m.x8*
                        m.x11 + 0.24*m.x6*m.x8*m.x12 + 4.41*m.x7*m.x11*m.x11 + 8.98*m.x8*m.x9*m.x10 + 6.71*m.x8*m.x10*
                        m.x10 - 7.25*m.x11*m.x12*m.x12 - 1.97*m.x1*m.x1*m.x2*m.x4 + 7.61*m.x1*m.x1*m.x3*m.x6 + 6.96*m.x1
                        *m.x1*m.x11*m.x12 + 5.68*m.x1*m.x1*m.x12*m.x12 + 3.22*m.x1*m.x2*m.x2*m.x6 + 3.03*m.x1*m.x2*m.x3*
                        m.x12 + 5.23*m.x1*m.x2*m.x4*m.x8 + 3.63*m.x1*m.x2*m.x5*m.x7 + 1.17*m.x1*m.x2*m.x5*m.x8 + 3.01*
                        m.x1*m.x2*m.x5*m.x11 + 7.75*m.x1*m.x2*m.x6*m.x6 + 4.13*m.x1*m.x2*m.x7*m.x9 + 5.64*m.x1*m.x2*
                        m.x12*m.x12 - 9.08*m.x1*m.x3*m.x7*m.x7 + 7.18*m.x1*m.x3*m.x8*m.x10 + 0.62*m.x1*m.x3*m.x10*m.x12
                         + 2.81*m.x1*m.x3*m.x12*m.x12 + 2.68*m.x1*m.x4*m.x5*m.x11 + 7.83*m.x1*m.x4*m.x6*m.x8 + 3.77*m.x1
                        *m.x4*m.x6*m.x12 + 6.09*m.x1*m.x5*m.x5*m.x11 + 2.55*m.x1*m.x5*m.x6*m.x8 + 2.08*m.x1*m.x5*m.x6*
                        m.x9 + 9.41*m.x1*m.x5*m.x6*m.x11 + 8.13*m.x1*m.x5*m.x6*m.x12 + 3.32*m.x1*m.x5*m.x8*m.x12 + 8.07*
                        m.x1*m.x5*m.x9*m.x12 + 7.84*m.x1*m.x5*m.x11*m.x11 + 4.17*m.x1*m.x5*m.x11*m.x12 + 5.45*m.x1*m.x6*
                        m.x9*m.x12 + 8.67*m.x1*m.x7*m.x7*m.x7 + 4.31*m.x1*m.x7*m.x7*m.x8 + 6.64*m.x1*m.x7*m.x7*m.x11 + 
                        6.32*m.x1*m.x9*m.x10*m.x10 - 1.66*m.x1*m.x9*m.x11*m.x11 + 0.81*m.x1*m.x10*m.x10*m.x11 + 0.91*
                        m.x1*m.x10*m.x10*m.x12 + 2.64*m.x2*m.x2*m.x5*m.x12 + 1.18*m.x2*m.x2*m.x9*m.x10 - 9.04*m.x2*m.x3*
                        m.x3*m.x12 + 2.43*m.x2*m.x3*m.x5*m.x6 + 4.04*m.x2*m.x3*m.x6*m.x7 + 0.43*m.x2*m.x3*m.x6*m.x8 + 
                        4.69*m.x2*m.x3*m.x8*m.x9 + 5.01*m.x2*m.x4*m.x5*m.x7 + 8.03*m.x2*m.x4*m.x7*m.x12 + 5.59*m.x2*m.x4
                        *m.x11*m.x11 + 2.96*m.x2*m.x5*m.x5*m.x6 + 0.39*m.x2*m.x5*m.x9*m.x9 + 6.05*m.x2*m.x5*m.x12*m.x12
                         + 1.05*m.x2*m.x6*m.x6*m.x8 + 5.28*m.x2*m.x6*m.x9*m.x9 + 9.09*m.x2*m.x6*m.x10*m.x12 + 0.89*m.x2*
                        m.x6*m.x11*m.x12 + 5.84*m.x2*m.x8*m.x8*m.x9 - 7.33*m.x2*m.x9*m.x11*m.x11 + 2.44*m.x2*m.x11*m.x11
                        *m.x11 + 5.35*m.x2*m.x11*m.x11*m.x12 + 1.33*m.x3*m.x3*m.x3*m.x6 + 8.35*m.x3*m.x3*m.x4*m.x10 + 
                        5.95*m.x3*m.x3*m.x6*m.x10 + 2.06*m.x3*m.x3*m.x6*m.x11 + 0.15*m.x3*m.x3*m.x7*m.x12 - 1.56*m.x3*
                        m.x3*m.x11*m.x11 + 3.82*m.x3*m.x3*m.x11*m.x12 + 4.68*m.x3*m.x4*m.x6*m.x10 + 6.42*m.x3*m.x4*m.x10
                        *m.x11 + 5.98*m.x3*m.x5*m.x6*m.x9 - 4.82*m.x3*m.x5*m.x7*m.x8 + 0.22*m.x3*m.x5*m.x8*m.x8 + 7.19*
                        m.x3*m.x5*m.x8*m.x11 + 9.43*m.x3*m.x6*m.x11*m.x12 + 9.32*m.x3*m.x7*m.x7*m.x9 + 2.72*m.x3*m.x7*
                        m.x7*m.x10 + 5.1*m.x3*m.x7*m.x8*m.x10 + 2.76*m.x3*m.x7*m.x8*m.x11 + 7.61*m.x3*m.x7*m.x9*m.x9 + 
                        8.11*m.x3*m.x8*m.x8*m.x9 + 2.38*m.x3*m.x8*m.x8*m.x10 + 5.38*m.x3*m.x8*m.x10*m.x11 + 9.51*m.x3*
                        m.x9*m.x10*m.x10 + 0.35*m.x4*m.x4*m.x4*m.x6 + 6.01*m.x4*m.x4*m.x5*m.x10 + 2.03*m.x4*m.x5*m.x5*
                        m.x12 + 5.14*m.x4*m.x5*m.x7*m.x11 + 8.82*m.x4*m.x5*m.x10*m.x10 + 4.15*m.x4*m.x5*m.x11*m.x11 + 
                        0.76*m.x4*m.x6*m.x9*m.x12 + 7.04*m.x4*m.x6*m.x10*m.x10 + 6.94*m.x4*m.x6*m.x12*m.x12 + 3.89*m.x4*
                        m.x7*m.x7*m.x12 + 2.19*m.x4*m.x7*m.x8*m.x8 + 3.43*m.x4*m.x7*m.x9*m.x9 + 2.03*m.x4*m.x7*m.x12*
                        m.x12 + 0.14*m.x4*m.x9*m.x9*m.x11 + 0.03*m.x5*m.x5*m.x5*m.x12 + 2.83*m.x5*m.x5*m.x6*m.x8 + 6.52*
                        m.x5*m.x5*m.x10*m.x10 + 5.86*m.x5*m.x6*m.x6*m.x12 + 2.86*m.x5*m.x6*m.x10*m.x11 + 9.89*m.x5*m.x6*
                        m.x10*m.x12 + 0.24*m.x5*m.x7*m.x10*m.x12 - 3.49*m.x5*m.x8*m.x8*m.x8 + 7.08*m.x5*m.x8*m.x12*m.x12
                         + 2.39*m.x5*m.x10*m.x11*m.x12 + 4.12*m.x6*m.x6*m.x6*m.x12 + 7.65*m.x6*m.x6*m.x7*m.x8 + 1.22*
                        m.x6*m.x6*m.x10*m.x12 + 9.64*m.x6*m.x7*m.x7*m.x10 + 5.03*m.x6*m.x7*m.x10*m.x12 + 9.08*m.x6*m.x8*
                        m.x9*m.x12 + 1.42*m.x6*m.x8*m.x10*m.x10 + 1.99*m.x6*m.x8*m.x11*m.x12 + 1.95*m.x6*m.x9*m.x9*m.x9
                         + 9.85*m.x6*m.x10*m.x10*m.x10 + 8.2*m.x6*m.x10*m.x10*m.x12 + 1.7*m.x7*m.x7*m.x11*m.x12 - 3.31*
                        m.x7*m.x8*m.x12*m.x12 + 9.77*m.x7*m.x9*m.x12*m.x12 + 4.47*m.x7*m.x10*m.x10*m.x11 + 4.98*m.x8*
                        m.x8*m.x8*m.x9 + 5.68*m.x8*m.x9*m.x10*m.x11 + 4.15*m.x8*m.x9*m.x12*m.x12 + 4.76*m.x8*m.x10*m.x10
                        *m.x11 - 5.3*m.x8*m.x10*m.x11*m.x12 + 3.59*m.x8*m.x10*m.x12*m.x12 + 2.67*m.x9*m.x9*m.x10*m.x11
                         + 5.77*m.x10*m.x11*m.x11*m.x12 >= 10730.735)

m.c11 = Constraint(expr=2.28*m.x2*m.x12 + 0.7*m.x2 + 8*m.x12 + 9.52*m.x3*m.x8 + 9.63*m.x3 + 9.29*m.x8 + 2.18*m.x3*m.x10
                         + 8.35*m.x10 + 9.62*m.x3*m.x12 + 4.65*m.x4*m.x6 + 8.11*m.x4 + 2.19*m.x6 + 2.18*m.x4*m.x12 + 
                        4.69*m.x9*m.x9 + 7.22*m.x9 + 2.95*m.x9*m.x10 + 1.21*m.x9*m.x11 + 8.96*m.x11 + 6.33*m.x11*m.x11
                         + 0.45*m.x1*m.x1*m.x3 + 7.99*m.x1 - 8.25*m.x1*m.x1*m.x4 + 4.34*m.x1*m.x1*m.x7 - 5.36*m.x7 + 
                        4.18*m.x1*m.x3*m.x8 + 5.47*m.x1*m.x4*m.x7 + 6.48*m.x1*m.x4*m.x12 + 5.26*m.x1*m.x6*m.x9 + 9.95*
                        m.x1*m.x6*m.x11 + 6.72*m.x1*m.x10*m.x11 + 9.81*m.x2*m.x2*m.x11 + 8.61*m.x2*m.x2*m.x12 - 1.07*
                        m.x2*m.x4*m.x5 - 6.05*m.x5 + 2.33*m.x2*m.x5*m.x6 - 3.39*m.x2*m.x6*m.x11 + 8.26*m.x2*m.x7*m.x12
                         + 0.53*m.x2*m.x12*m.x12 + 3.04*m.x3*m.x3*m.x3 - 8.34*m.x3*m.x5*m.x6 - 4.37*m.x3*m.x5*m.x12 + 
                        0.51*m.x3*m.x8*m.x11 + 4.89*m.x3*m.x8*m.x12 + 6.01*m.x4*m.x4*m.x12 + 1.73*m.x4*m.x5*m.x5 + 7.31*
                        m.x4*m.x6*m.x11 + 3.19*m.x4*m.x8*m.x12 + 3.51*m.x5*m.x5*m.x8 - 9.31*m.x5*m.x6*m.x12 - 7.39*m.x5*
                        m.x7*m.x7 + 7.66*m.x5*m.x8*m.x11 + 0.43*m.x6*m.x6*m.x10 - 1.1*m.x6*m.x6*m.x11 + 4.86*m.x6*m.x8*
                        m.x11 + 8.94*m.x6*m.x8*m.x12 + 6.88*m.x7*m.x11*m.x11 + 8.17*m.x8*m.x9*m.x10 + 0.03*m.x8*m.x10*
                        m.x10 + 6.24*m.x11*m.x12*m.x12 + 2.75*m.x1*m.x1*m.x2*m.x4 + 1.99*m.x1*m.x1*m.x3*m.x6 + 9.34*m.x1
                        *m.x1*m.x11*m.x12 + 6.31*m.x1*m.x1*m.x12*m.x12 + 8.18*m.x1*m.x2*m.x2*m.x6 + 9.01*m.x1*m.x2*m.x3*
                        m.x12 + 6.47*m.x1*m.x2*m.x4*m.x8 + 3.61*m.x1*m.x2*m.x5*m.x7 + 5.36*m.x1*m.x2*m.x5*m.x8 + 6.45*
                        m.x1*m.x2*m.x5*m.x11 + 4.73*m.x1*m.x2*m.x6*m.x6 - 1.78*m.x1*m.x2*m.x7*m.x9 + 1.51*m.x1*m.x2*
                        m.x12*m.x12 + 9.41*m.x1*m.x3*m.x7*m.x7 + 0.7*m.x1*m.x3*m.x8*m.x10 + 6.34*m.x1*m.x3*m.x10*m.x12
                         + 3.15*m.x1*m.x3*m.x12*m.x12 + 9.17*m.x1*m.x4*m.x5*m.x11 + 9.1*m.x1*m.x4*m.x6*m.x8 + 8.61*m.x1*
                        m.x4*m.x6*m.x12 + 1.62*m.x1*m.x5*m.x5*m.x11 + 2.78*m.x1*m.x5*m.x6*m.x8 + 8.94*m.x1*m.x5*m.x6*
                        m.x9 + 0.9*m.x1*m.x5*m.x6*m.x11 + 9.8*m.x1*m.x5*m.x6*m.x12 + 3.82*m.x1*m.x5*m.x8*m.x12 + 0.86*
                        m.x1*m.x5*m.x9*m.x12 + 3*m.x1*m.x5*m.x11*m.x11 + 0.16*m.x1*m.x5*m.x11*m.x12 - 4.56*m.x1*m.x6*
                        m.x9*m.x12 + 5.83*m.x1*m.x7*m.x7*m.x7 + 9.84*m.x1*m.x7*m.x7*m.x8 + 3.99*m.x1*m.x7*m.x7*m.x11 + 
                        9.2*m.x1*m.x9*m.x10*m.x10 + 4.98*m.x1*m.x9*m.x11*m.x11 + 0.43*m.x1*m.x10*m.x10*m.x11 + 1.92*m.x1
                        *m.x10*m.x10*m.x12 - 8.5*m.x2*m.x2*m.x5*m.x12 + 0.75*m.x2*m.x2*m.x9*m.x10 + 8.09*m.x2*m.x3*m.x3*
                        m.x12 + 5.68*m.x2*m.x3*m.x5*m.x6 + 5.56*m.x2*m.x3*m.x6*m.x7 + 9.27*m.x2*m.x3*m.x6*m.x8 + 1.85*
                        m.x2*m.x3*m.x8*m.x9 + 1.09*m.x2*m.x4*m.x5*m.x7 + 2.9*m.x2*m.x4*m.x7*m.x12 + 4.01*m.x2*m.x4*m.x11
                        *m.x11 + 9.18*m.x2*m.x5*m.x5*m.x6 + 2.34*m.x2*m.x5*m.x9*m.x9 + 0.81*m.x2*m.x5*m.x12*m.x12 + 0.64
                        *m.x2*m.x6*m.x6*m.x8 + 9.94*m.x2*m.x6*m.x9*m.x9 + 7.49*m.x2*m.x6*m.x10*m.x12 + 6.87*m.x2*m.x6*
                        m.x11*m.x12 + 3.16*m.x2*m.x8*m.x8*m.x9 + 1.53*m.x2*m.x9*m.x11*m.x11 + 5.23*m.x2*m.x11*m.x11*
                        m.x11 + 6.81*m.x2*m.x11*m.x11*m.x12 + 1.31*m.x3*m.x3*m.x3*m.x6 + 5.38*m.x3*m.x3*m.x4*m.x10 + 
                        2.86*m.x3*m.x3*m.x6*m.x10 + 6.55*m.x3*m.x3*m.x6*m.x11 + 9.17*m.x3*m.x3*m.x7*m.x12 + 4.64*m.x3*
                        m.x3*m.x11*m.x11 + 5.6*m.x3*m.x3*m.x11*m.x12 + 5.56*m.x3*m.x4*m.x6*m.x10 + 5.09*m.x3*m.x4*m.x10*
                        m.x11 + 3.1*m.x3*m.x5*m.x6*m.x9 + 7.06*m.x3*m.x5*m.x7*m.x8 + 1.4*m.x3*m.x5*m.x8*m.x8 - 2.75*m.x3
                        *m.x5*m.x8*m.x11 + 5.4*m.x3*m.x6*m.x11*m.x12 + m.x3*m.x7*m.x7*m.x9 + 5.53*m.x3*m.x7*m.x7*m.x10
                         + 3.62*m.x3*m.x7*m.x8*m.x10 + 8.48*m.x3*m.x7*m.x8*m.x11 + 4.36*m.x3*m.x7*m.x9*m.x9 + 0.42*m.x3*
                        m.x8*m.x8*m.x9 + 0.54*m.x3*m.x8*m.x8*m.x10 + 4.29*m.x3*m.x8*m.x10*m.x11 + 1.48*m.x3*m.x9*m.x10*
                        m.x10 + 7.83*m.x4*m.x4*m.x4*m.x6 + 2.63*m.x4*m.x4*m.x5*m.x10 + 3.69*m.x4*m.x5*m.x5*m.x12 + 9.66*
                        m.x4*m.x5*m.x7*m.x11 + 8.41*m.x4*m.x5*m.x10*m.x10 + 1.41*m.x4*m.x5*m.x11*m.x11 + 1.68*m.x4*m.x6*
                        m.x9*m.x12 + 5.87*m.x4*m.x6*m.x10*m.x10 + 2.5*m.x4*m.x6*m.x12*m.x12 + 8.18*m.x4*m.x7*m.x7*m.x12
                         + 3.84*m.x4*m.x7*m.x8*m.x8 + 4.77*m.x4*m.x7*m.x9*m.x9 + 2.23*m.x4*m.x7*m.x12*m.x12 + 2.67*m.x4*
                        m.x9*m.x9*m.x11 + 4.03*m.x5*m.x5*m.x5*m.x12 + 8*m.x5*m.x5*m.x6*m.x8 + 4.78*m.x5*m.x5*m.x10*m.x10
                         + 2.9*m.x5*m.x6*m.x6*m.x12 + 3.31*m.x5*m.x6*m.x10*m.x11 + 4.64*m.x5*m.x6*m.x10*m.x12 + 7.03*
                        m.x5*m.x7*m.x10*m.x12 + 6.33*m.x5*m.x8*m.x8*m.x8 + 0.17*m.x5*m.x8*m.x12*m.x12 + 3*m.x5*m.x10*
                        m.x11*m.x12 - 1.31*m.x6*m.x6*m.x6*m.x12 + 2.26*m.x6*m.x6*m.x7*m.x8 + 1.95*m.x6*m.x6*m.x10*m.x12
                         - 3.61*m.x6*m.x7*m.x7*m.x10 + 2.52*m.x6*m.x7*m.x10*m.x12 + 5.39*m.x6*m.x8*m.x9*m.x12 + 7.55*
                        m.x6*m.x8*m.x10*m.x10 + 3.49*m.x6*m.x8*m.x11*m.x12 - 6.42*m.x6*m.x9*m.x9*m.x9 + 0.81*m.x6*m.x10*
                        m.x10*m.x10 + 1.36*m.x6*m.x10*m.x10*m.x12 + 1.66*m.x7*m.x7*m.x11*m.x12 + 9.21*m.x7*m.x8*m.x12*
                        m.x12 + 0.04*m.x7*m.x9*m.x12*m.x12 + 8.48*m.x7*m.x10*m.x10*m.x11 + 5.88*m.x8*m.x8*m.x8*m.x9 + 
                        8.35*m.x8*m.x9*m.x10*m.x11 + 8.45*m.x8*m.x9*m.x12*m.x12 + 1.13*m.x8*m.x10*m.x10*m.x11 + 0.68*
                        m.x8*m.x10*m.x11*m.x12 + 4.65*m.x8*m.x10*m.x12*m.x12 + 3.9*m.x9*m.x9*m.x10*m.x11 + 6.37*m.x10*
                        m.x11*m.x11*m.x12 + 6.6*m.x1*m.x1*m.x1*m.x1*m.x3 + 5.54*m.x1*m.x1*m.x1*m.x1*m.x6 + 6.62*m.x1*
                        m.x1*m.x1*m.x1*m.x12 + 5.07*m.x1*m.x1*m.x1*m.x2*m.x9 + 0.7*m.x1*m.x1*m.x1*m.x3*m.x12 + 9.7*m.x1*
                        m.x1*m.x1*m.x4*m.x9 + 0.34*m.x1*m.x1*m.x1*m.x7*m.x7 + 2.03*m.x1*m.x1*m.x1*m.x10*m.x11 + 8.32*
                        m.x1*m.x1*m.x1*m.x11*m.x11 + 2.84*m.x1*m.x1*m.x2*m.x2*m.x3 + 4.65*m.x1*m.x1*m.x2*m.x3*m.x6 + 7.5
                        *m.x1*m.x1*m.x2*m.x3*m.x7 + 6.12*m.x1*m.x1*m.x2*m.x3*m.x11 - 4.78*m.x1*m.x1*m.x2*m.x4*m.x10 + 
                        8.66*m.x1*m.x1*m.x2*m.x7*m.x8 + 9.83*m.x1*m.x1*m.x2*m.x7*m.x10 + 6.28*m.x1*m.x1*m.x2*m.x7*m.x12
                         + 7.77*m.x1*m.x1*m.x2*m.x8*m.x10 + 5.89*m.x1*m.x1*m.x3*m.x3*m.x6 + 9.46*m.x1*m.x1*m.x3*m.x3*
                        m.x8 + 2.03*m.x1*m.x1*m.x3*m.x5*m.x6 + 6.08*m.x1*m.x1*m.x3*m.x5*m.x7 + 0.38*m.x1*m.x1*m.x3*m.x6*
                        m.x7 + 4.05*m.x1*m.x1*m.x3*m.x6*m.x11 + 4.43*m.x1*m.x1*m.x3*m.x6*m.x12 + 6.79*m.x1*m.x1*m.x3*
                        m.x7*m.x10 + 4.08*m.x1*m.x1*m.x3*m.x9*m.x9 + 5*m.x1*m.x1*m.x3*m.x10*m.x10 - 0.37*m.x1*m.x1*m.x4*
                        m.x4*m.x4 + 1.88*m.x1*m.x1*m.x4*m.x4*m.x10 + 5.47*m.x1*m.x1*m.x4*m.x6*m.x7 + 5.06*m.x1*m.x1*m.x5
                        *m.x6*m.x7 + 1.8*m.x1*m.x1*m.x5*m.x9*m.x12 + 1.54*m.x1*m.x1*m.x7*m.x8*m.x12 - 9.49*m.x1*m.x1*
                        m.x7*m.x10*m.x12 + 7.38*m.x1*m.x1*m.x8*m.x8*m.x12 + 6.26*m.x1*m.x1*m.x8*m.x9*m.x10 + 8.73*m.x1*
                        m.x1*m.x8*m.x12*m.x12 + 8.61*m.x1*m.x1*m.x10*m.x10*m.x12 + 5.6*m.x1*m.x1*m.x11*m.x11*m.x12 + 
                        8.64*m.x1*m.x2*m.x2*m.x3*m.x12 + 5.05*m.x1*m.x2*m.x2*m.x4*m.x12 + 5.26*m.x1*m.x2*m.x2*m.x8*m.x9
                         + 5.38*m.x1*m.x2*m.x2*m.x11*m.x11 + 4.18*m.x1*m.x2*m.x3*m.x5*m.x8 + 7.75*m.x1*m.x2*m.x3*m.x6*
                        m.x7 + 5.44*m.x1*m.x2*m.x3*m.x6*m.x8 + 7.02*m.x1*m.x2*m.x3*m.x7*m.x11 + 2.75*m.x1*m.x2*m.x3*m.x8
                        *m.x8 + 8.08*m.x1*m.x2*m.x3*m.x8*m.x9 + 3.6*m.x1*m.x2*m.x3*m.x9*m.x9 + 9.49*m.x1*m.x2*m.x3*m.x10
                        *m.x12 + 4.3*m.x1*m.x2*m.x4*m.x5*m.x8 - 0.85*m.x1*m.x2*m.x4*m.x5*m.x11 + 8.8*m.x1*m.x2*m.x4*m.x6
                        *m.x9 + 5.54*m.x1*m.x2*m.x4*m.x6*m.x11 + 5.68*m.x1*m.x2*m.x4*m.x8*m.x11 + 5.27*m.x1*m.x2*m.x4*
                        m.x9*m.x9 + 2.05*m.x1*m.x2*m.x4*m.x11*m.x12 + 8.2*m.x1*m.x2*m.x5*m.x5*m.x12 + 8.63*m.x1*m.x2*
                        m.x5*m.x8*m.x8 + 6.99*m.x1*m.x2*m.x5*m.x8*m.x9 + 4.98*m.x1*m.x2*m.x5*m.x9*m.x11 + 8.47*m.x1*m.x2
                        *m.x6*m.x6*m.x11 + 9.02*m.x1*m.x2*m.x6*m.x7*m.x7 + 1.46*m.x1*m.x2*m.x6*m.x8*m.x11 - 9.72*m.x1*
                        m.x2*m.x6*m.x8*m.x12 + 4.25*m.x1*m.x2*m.x6*m.x11*m.x12 + 7.36*m.x1*m.x2*m.x7*m.x7*m.x12 + 8.44*
                        m.x1*m.x2*m.x7*m.x8*m.x9 + 0.01*m.x1*m.x2*m.x7*m.x10*m.x11 + 0.53*m.x1*m.x2*m.x7*m.x11*m.x12 + 
                        0.6*m.x1*m.x2*m.x8*m.x9*m.x10 + 7.9*m.x1*m.x2*m.x9*m.x11*m.x11 + 3.58*m.x1*m.x2*m.x11*m.x11*
                        m.x11 + 0.85*m.x1*m.x3*m.x3*m.x4*m.x4 + 5.08*m.x1*m.x3*m.x3*m.x5*m.x6 + 7.02*m.x1*m.x3*m.x3*m.x6
                        *m.x11 + 5.83*m.x1*m.x3*m.x4*m.x4*m.x10 + 10*m.x1*m.x3*m.x4*m.x6*m.x6 + 0.81*m.x1*m.x3*m.x4*m.x6
                        *m.x12 + 8.54*m.x1*m.x3*m.x4*m.x8*m.x9 + 4.66*m.x1*m.x3*m.x4*m.x9*m.x9 + 7.95*m.x1*m.x3*m.x5*
                        m.x5*m.x8 + 7*m.x1*m.x3*m.x5*m.x8*m.x9 - 0.33*m.x1*m.x3*m.x5*m.x10*m.x12 + 6.63*m.x1*m.x3*m.x5*
                        m.x11*m.x11 + 5.06*m.x1*m.x3*m.x5*m.x12*m.x12 + 8.78*m.x1*m.x3*m.x6*m.x7*m.x8 + 6.22*m.x1*m.x3*
                        m.x6*m.x8*m.x12 + 4.33*m.x1*m.x3*m.x7*m.x9*m.x12 + 8.5*m.x1*m.x3*m.x8*m.x9*m.x9 + 5.24*m.x1*m.x3
                        *m.x9*m.x11*m.x11 + 8.05*m.x1*m.x4*m.x4*m.x5*m.x8 + 5.03*m.x1*m.x4*m.x5*m.x5*m.x10 + 9.98*m.x1*
                        m.x4*m.x5*m.x6*m.x10 + 8.66*m.x1*m.x4*m.x5*m.x7*m.x10 + 8.99*m.x1*m.x4*m.x5*m.x12*m.x12 + 0.54*
                        m.x1*m.x4*m.x6*m.x6*m.x10 + 4.68*m.x1*m.x4*m.x6*m.x8*m.x11 + 5.05*m.x1*m.x4*m.x6*m.x8*m.x12 + 
                        8.14*m.x1*m.x4*m.x7*m.x7*m.x11 + 8.37*m.x1*m.x4*m.x7*m.x8*m.x9 + 1.42*m.x1*m.x4*m.x7*m.x10*m.x11
                         + 5.88*m.x1*m.x4*m.x9*m.x9*m.x9 + 6.32*m.x1*m.x4*m.x10*m.x10*m.x12 + 4.08*m.x1*m.x4*m.x10*m.x11
                        *m.x12 + 4.16*m.x1*m.x5*m.x5*m.x5*m.x6 + 1.1*m.x1*m.x5*m.x5*m.x6*m.x6 + 3.13*m.x1*m.x5*m.x5*m.x6
                        *m.x8 + 4.93*m.x1*m.x5*m.x5*m.x7*m.x7 + 4.64*m.x1*m.x5*m.x5*m.x7*m.x9 + 3.39*m.x1*m.x5*m.x5*m.x8
                        *m.x11 + 5.33*m.x1*m.x5*m.x5*m.x8*m.x12 + 4.8*m.x1*m.x5*m.x5*m.x9*m.x9 - 6.35*m.x1*m.x5*m.x5*
                        m.x10*m.x11 - 3.68*m.x1*m.x5*m.x5*m.x10*m.x12 + 6.33*m.x1*m.x5*m.x5*m.x12*m.x12 + 0.23*m.x1*m.x5
                        *m.x6*m.x6*m.x8 - 9.74*m.x1*m.x5*m.x6*m.x6*m.x12 + 7.89*m.x1*m.x5*m.x7*m.x9*m.x9 + 7.09*m.x1*
                        m.x5*m.x7*m.x9*m.x11 + 7.9*m.x1*m.x5*m.x7*m.x12*m.x12 - 8.64*m.x1*m.x5*m.x10*m.x11*m.x11 + 4.98*
                        m.x1*m.x6*m.x6*m.x6*m.x11 + 8.12*m.x1*m.x6*m.x6*m.x8*m.x8 + 3.21*m.x1*m.x6*m.x6*m.x8*m.x9 + 7.97
                        *m.x1*m.x6*m.x6*m.x9*m.x9 - 6.14*m.x1*m.x6*m.x6*m.x9*m.x10 - 2.84*m.x1*m.x6*m.x7*m.x7*m.x12 + 
                        0.17*m.x1*m.x6*m.x7*m.x10*m.x10 - 2.68*m.x1*m.x6*m.x8*m.x8*m.x9 + 5.35*m.x1*m.x6*m.x8*m.x8*m.x11
                         - 2.16*m.x1*m.x6*m.x8*m.x9*m.x10 + 2.54*m.x1*m.x6*m.x8*m.x10*m.x11 + 7.93*m.x1*m.x6*m.x9*m.x10*
                        m.x12 + 1.12*m.x1*m.x7*m.x7*m.x7*m.x10 + 0.25*m.x1*m.x7*m.x8*m.x9*m.x12 + 6.21*m.x1*m.x7*m.x8*
                        m.x10*m.x10 + 0.57*m.x1*m.x8*m.x8*m.x8*m.x11 + 9.52*m.x1*m.x8*m.x9*m.x11*m.x11 + 1.67*m.x1*m.x8*
                        m.x10*m.x12*m.x12 + 2.84*m.x1*m.x9*m.x11*m.x11*m.x12 + 1.82*m.x1*m.x9*m.x12*m.x12*m.x12 + 8.38*
                        m.x1*m.x11*m.x11*m.x11*m.x12 + 9.65*m.x1*m.x12*m.x12*m.x12*m.x12 + 4.72*m.x2*m.x2*m.x2*m.x4*
                        m.x12 + 1.19*m.x2*m.x2*m.x2*m.x5*m.x6 + 2.86*m.x2*m.x2*m.x2*m.x5*m.x11 + 5.68*m.x2*m.x2*m.x2*
                        m.x8*m.x9 + 0.94*m.x2*m.x2*m.x2*m.x12*m.x12 + 1.72*m.x2*m.x2*m.x3*m.x3*m.x10 + 2.18*m.x2*m.x2*
                        m.x3*m.x4*m.x4 + 0.32*m.x2*m.x2*m.x3*m.x6*m.x11 + 4.73*m.x2*m.x2*m.x3*m.x8*m.x8 + 6.38*m.x2*m.x2
                        *m.x3*m.x8*m.x10 + 7.65*m.x2*m.x2*m.x3*m.x8*m.x12 + 5.26*m.x2*m.x2*m.x3*m.x10*m.x10 - 2.12*m.x2*
                        m.x2*m.x3*m.x10*m.x11 + 5.82*m.x2*m.x2*m.x3*m.x10*m.x12 + 1.86*m.x2*m.x2*m.x4*m.x4*m.x12 + 6.69*
                        m.x2*m.x2*m.x4*m.x5*m.x5 - 1.83*m.x2*m.x2*m.x5*m.x6*m.x9 - 7.24*m.x2*m.x2*m.x5*m.x7*m.x8 + 9.3*
                        m.x2*m.x2*m.x5*m.x7*m.x10 + 9.79*m.x2*m.x2*m.x5*m.x8*m.x8 + 6.38*m.x2*m.x2*m.x6*m.x6*m.x10 + 
                        4.66*m.x2*m.x2*m.x6*m.x7*m.x12 + 8*m.x2*m.x2*m.x6*m.x8*m.x10 + 4.63*m.x2*m.x2*m.x6*m.x9*m.x11 + 
                        4.47*m.x2*m.x2*m.x7*m.x11*m.x12 + 0.33*m.x2*m.x2*m.x8*m.x9*m.x10 + 2.63*m.x2*m.x2*m.x8*m.x9*
                        m.x12 + 3.19*m.x2*m.x3*m.x3*m.x6*m.x6 - 4.65*m.x2*m.x3*m.x3*m.x9*m.x12 + 7.42*m.x2*m.x3*m.x4*
                        m.x4*m.x4 + 8.69*m.x2*m.x3*m.x4*m.x4*m.x5 + 7.69*m.x2*m.x3*m.x4*m.x8*m.x10 + 0.17*m.x2*m.x3*m.x4
                        *m.x10*m.x10 + 3.98*m.x2*m.x3*m.x5*m.x6*m.x12 + 8.08*m.x2*m.x3*m.x5*m.x7*m.x9 - 0.19*m.x2*m.x3*
                        m.x6*m.x6*m.x6 + 5.11*m.x2*m.x3*m.x6*m.x6*m.x8 + 8.12*m.x2*m.x3*m.x6*m.x6*m.x11 + 5.81*m.x2*m.x3
                        *m.x6*m.x7*m.x8 + 3.34*m.x2*m.x3*m.x6*m.x7*m.x10 - 1.78*m.x2*m.x3*m.x6*m.x7*m.x12 + 4.48*m.x2*
                        m.x3*m.x6*m.x9*m.x12 + 8.02*m.x2*m.x3*m.x6*m.x11*m.x11 + 2.55*m.x2*m.x3*m.x7*m.x7*m.x7 + 9.36*
                        m.x2*m.x3*m.x7*m.x10*m.x11 + 1.9*m.x2*m.x3*m.x8*m.x8*m.x11 + 1.25*m.x2*m.x3*m.x10*m.x12*m.x12 + 
                        9.23*m.x2*m.x4*m.x4*m.x4*m.x12 + 3.75*m.x2*m.x4*m.x4*m.x5*m.x6 + 2.38*m.x2*m.x4*m.x4*m.x5*m.x9
                         + 2.93*m.x2*m.x4*m.x4*m.x7*m.x8 + 5.37*m.x2*m.x4*m.x4*m.x8*m.x8 - 8.72*m.x2*m.x4*m.x5*m.x5*m.x5
                         + 1.26*m.x2*m.x4*m.x5*m.x5*m.x10 - 3.17*m.x2*m.x4*m.x5*m.x5*m.x11 - 9.41*m.x2*m.x4*m.x5*m.x6*
                        m.x12 + 8.32*m.x2*m.x4*m.x5*m.x9*m.x11 + 8.7*m.x2*m.x4*m.x5*m.x9*m.x12 + 7.71*m.x2*m.x4*m.x6*
                        m.x7*m.x7 + 3.26*m.x2*m.x4*m.x6*m.x12*m.x12 - 0.47*m.x2*m.x4*m.x7*m.x7*m.x7 + 2.33*m.x2*m.x4*
                        m.x7*m.x7*m.x12 + 2.24*m.x2*m.x4*m.x7*m.x8*m.x11 + 0.65*m.x2*m.x4*m.x7*m.x8*m.x12 + 1.86*m.x2*
                        m.x4*m.x8*m.x8*m.x11 + 1.22*m.x2*m.x4*m.x8*m.x8*m.x12 + 7.88*m.x2*m.x4*m.x8*m.x10*m.x10 + 6.67*
                        m.x2*m.x4*m.x9*m.x9*m.x9 - 4.09*m.x2*m.x4*m.x10*m.x10*m.x10 + 1.07*m.x2*m.x4*m.x10*m.x11*m.x12
                         - 7.93*m.x2*m.x4*m.x11*m.x12*m.x12 - 8.61*m.x2*m.x5*m.x5*m.x8*m.x10 + 1.04*m.x2*m.x5*m.x5*m.x9*
                        m.x9 + 0.68*m.x2*m.x5*m.x6*m.x6*m.x8 + 5.88*m.x2*m.x5*m.x6*m.x7*m.x10 + 8.05*m.x2*m.x5*m.x6*m.x9
                        *m.x10 + 7.53*m.x2*m.x5*m.x7*m.x7*m.x8 + 9.6*m.x2*m.x5*m.x7*m.x8*m.x9 + 4.7*m.x2*m.x5*m.x9*m.x9*
                        m.x12 + 4.15*m.x2*m.x5*m.x9*m.x10*m.x11 + 9.14*m.x2*m.x5*m.x9*m.x11*m.x11 + 7.09*m.x2*m.x5*m.x10
                        *m.x10*m.x11 + 7.29*m.x2*m.x5*m.x10*m.x11*m.x11 - 8.21*m.x2*m.x5*m.x10*m.x12*m.x12 + 3.42*m.x2*
                        m.x6*m.x6*m.x6*m.x8 + 2.35*m.x2*m.x6*m.x6*m.x6*m.x10 + 8.28*m.x2*m.x6*m.x6*m.x9*m.x9 + 9.53*m.x2
                        *m.x6*m.x6*m.x9*m.x11 + 2.23*m.x2*m.x6*m.x6*m.x10*m.x11 + 5.92*m.x2*m.x6*m.x7*m.x8*m.x11 + 7.05*
                        m.x2*m.x6*m.x7*m.x8*m.x12 - 2.46*m.x2*m.x6*m.x8*m.x8*m.x10 + 5.38*m.x2*m.x6*m.x8*m.x8*m.x11 + 
                        2.41*m.x2*m.x6*m.x10*m.x10*m.x10 + 1.94*m.x2*m.x7*m.x7*m.x8*m.x8 + 4.71*m.x2*m.x7*m.x7*m.x8*
                        m.x10 + 5.51*m.x2*m.x7*m.x7*m.x12*m.x12 + 4.41*m.x2*m.x7*m.x8*m.x10*m.x11 + 5.8*m.x2*m.x7*m.x9*
                        m.x9*m.x9 + 6.94*m.x2*m.x7*m.x9*m.x9*m.x10 + 4.22*m.x2*m.x7*m.x9*m.x9*m.x11 + 7.71*m.x2*m.x7*
                        m.x10*m.x10*m.x10 + 2.71*m.x2*m.x7*m.x10*m.x11*m.x12 + 3.56*m.x2*m.x8*m.x8*m.x9*m.x12 + 9.48*
                        m.x2*m.x8*m.x10*m.x10*m.x11 + 7.74*m.x2*m.x9*m.x9*m.x9*m.x9 + 6.03*m.x2*m.x11*m.x11*m.x12*m.x12
                         + 4.83*m.x3*m.x3*m.x3*m.x3*m.x5 + 4.21*m.x3*m.x3*m.x3*m.x4*m.x10 + 7.29*m.x3*m.x3*m.x3*m.x6*
                        m.x10 + 7.62*m.x3*m.x3*m.x3*m.x7*m.x9 + 0.14*m.x3*m.x3*m.x3*m.x8*m.x12 + 6.23*m.x3*m.x3*m.x3*
                        m.x9*m.x9 + 5.38*m.x3*m.x3*m.x4*m.x4*m.x5 + 8.39*m.x3*m.x3*m.x4*m.x5*m.x5 + 2.62*m.x3*m.x3*m.x4*
                        m.x5*m.x11 - 9.33*m.x3*m.x3*m.x4*m.x7*m.x8 + 7.56*m.x3*m.x3*m.x4*m.x8*m.x10 + 0.01*m.x3*m.x3*
                        m.x5*m.x5*m.x11 + 4.92*m.x3*m.x3*m.x5*m.x6*m.x11 + 5.68*m.x3*m.x3*m.x6*m.x6*m.x11 + 7.26*m.x3*
                        m.x3*m.x6*m.x7*m.x7 + 7.94*m.x3*m.x3*m.x6*m.x9*m.x9 + 6.34*m.x3*m.x3*m.x6*m.x11*m.x11 + 9.5*m.x3
                        *m.x3*m.x7*m.x7*m.x10 + 8.55*m.x3*m.x3*m.x7*m.x9*m.x12 + 5.7*m.x3*m.x3*m.x7*m.x12*m.x12 + 1.06*
                        m.x3*m.x3*m.x8*m.x8*m.x8 + 1.85*m.x3*m.x3*m.x9*m.x10*m.x10 + 0.05*m.x3*m.x3*m.x11*m.x11*m.x12 + 
                        0.36*m.x3*m.x4*m.x4*m.x4*m.x12 + 7.82*m.x3*m.x4*m.x4*m.x5*m.x11 + 6.86*m.x3*m.x4*m.x4*m.x7*m.x8
                         + 0.15*m.x3*m.x4*m.x4*m.x8*m.x8 - 9.3*m.x3*m.x4*m.x4*m.x10*m.x10 + 0.64*m.x3*m.x4*m.x5*m.x5*
                        m.x8 - 9.06*m.x3*m.x4*m.x5*m.x6*m.x7 - 3.42*m.x3*m.x4*m.x5*m.x9*m.x12 + 8.23*m.x3*m.x4*m.x5*
                        m.x10*m.x11 - 0.95*m.x3*m.x4*m.x6*m.x6*m.x12 + 2.02*m.x3*m.x4*m.x6*m.x10*m.x10 - 8.35*m.x3*m.x4*
                        m.x7*m.x7*m.x8 + 0.44*m.x3*m.x4*m.x7*m.x9*m.x10 + 0.9*m.x3*m.x4*m.x7*m.x12*m.x12 + 8.24*m.x3*
                        m.x4*m.x9*m.x11*m.x11 - 6.26*m.x3*m.x5*m.x5*m.x5*m.x9 + 7.29*m.x3*m.x5*m.x5*m.x7*m.x11 - 7.92*
                        m.x3*m.x5*m.x5*m.x11*m.x11 + 0.28*m.x3*m.x5*m.x6*m.x6*m.x10 + 1.52*m.x3*m.x5*m.x6*m.x7*m.x8 + 
                        0.01*m.x3*m.x5*m.x6*m.x10*m.x11 + 0.54*m.x3*m.x5*m.x7*m.x7*m.x10 + 3.14*m.x3*m.x5*m.x8*m.x11*
                        m.x11 + 2.97*m.x3*m.x6*m.x6*m.x6*m.x8 - 2.66*m.x3*m.x6*m.x6*m.x11*m.x11 + 5.47*m.x3*m.x6*m.x7*
                        m.x7*m.x11 + 7.9*m.x3*m.x6*m.x7*m.x11*m.x11 + 6.63*m.x3*m.x6*m.x8*m.x8*m.x11 + 6.42*m.x3*m.x6*
                        m.x8*m.x9*m.x9 - 5.9*m.x3*m.x6*m.x9*m.x12*m.x12 + 6.6*m.x3*m.x7*m.x7*m.x9*m.x9 + 9.66*m.x3*m.x7*
                        m.x9*m.x12*m.x12 + 5.1*m.x3*m.x8*m.x8*m.x8*m.x8 + 1.12*m.x3*m.x8*m.x8*m.x11*m.x11 + 8.35*m.x3*
                        m.x8*m.x10*m.x10*m.x12 - 5.53*m.x3*m.x9*m.x9*m.x9*m.x11 - 1.87*m.x3*m.x9*m.x9*m.x10*m.x10 + 7.28
                        *m.x3*m.x9*m.x9*m.x10*m.x12 + 6.77*m.x3*m.x9*m.x10*m.x10*m.x11 + 0.47*m.x3*m.x11*m.x11*m.x12*
                        m.x12 + 7.28*m.x3*m.x11*m.x12*m.x12*m.x12 + 9.48*m.x4*m.x4*m.x4*m.x4*m.x5 - 8.55*m.x4*m.x4*m.x4*
                        m.x5*m.x5 + 1.17*m.x4*m.x4*m.x4*m.x9*m.x11 + 8.55*m.x4*m.x4*m.x5*m.x6*m.x9 + 5.12*m.x4*m.x4*m.x5
                        *m.x6*m.x12 + 3.4*m.x4*m.x4*m.x5*m.x9*m.x10 + 3.73*m.x4*m.x4*m.x6*m.x7*m.x7 + 0.01*m.x4*m.x4*
                        m.x6*m.x7*m.x8 + 8.43*m.x4*m.x4*m.x6*m.x9*m.x12 + 5.14*m.x4*m.x4*m.x6*m.x10*m.x11 + 3.85*m.x4*
                        m.x4*m.x7*m.x9*m.x9 + 4.94*m.x4*m.x4*m.x8*m.x10*m.x11 + 6.32*m.x4*m.x4*m.x8*m.x11*m.x12 + 4.08*
                        m.x4*m.x4*m.x10*m.x11*m.x11 + 8.29*m.x4*m.x5*m.x5*m.x5*m.x9 + 8.49*m.x4*m.x5*m.x5*m.x6*m.x9 + 
                        5.41*m.x4*m.x5*m.x5*m.x6*m.x12 + 0.7*m.x4*m.x5*m.x5*m.x7*m.x7 + 7.53*m.x4*m.x5*m.x6*m.x7*m.x8 + 
                        2.02*m.x4*m.x5*m.x6*m.x11*m.x11 + 0.42*m.x4*m.x5*m.x9*m.x9*m.x9 + 0.47*m.x4*m.x5*m.x9*m.x12*
                        m.x12 + 9.74*m.x4*m.x5*m.x10*m.x10*m.x10 + 8.56*m.x4*m.x5*m.x10*m.x10*m.x11 + 3.67*m.x4*m.x5*
                        m.x10*m.x11*m.x11 + 0.04*m.x4*m.x6*m.x6*m.x8*m.x10 + 5.98*m.x4*m.x6*m.x6*m.x10*m.x11 - 9.57*m.x4
                        *m.x6*m.x7*m.x8*m.x10 - 5.92*m.x4*m.x6*m.x7*m.x8*m.x12 + 4.56*m.x4*m.x6*m.x7*m.x11*m.x12 + 6.63*
                        m.x4*m.x6*m.x8*m.x8*m.x8 + 2.97*m.x4*m.x6*m.x8*m.x9*m.x10 + 8.49*m.x4*m.x6*m.x8*m.x11*m.x12 + 
                        6.4*m.x4*m.x7*m.x7*m.x8*m.x10 + 9.11*m.x4*m.x7*m.x8*m.x11*m.x12 + 2.37*m.x4*m.x7*m.x10*m.x11*
                        m.x11 + 6.49*m.x4*m.x8*m.x8*m.x8*m.x10 + 4.93*m.x4*m.x8*m.x8*m.x10*m.x12 + 6.79*m.x4*m.x8*m.x8*
                        m.x11*m.x11 + 7.6*m.x4*m.x8*m.x8*m.x11*m.x12 + 3.47*m.x4*m.x8*m.x8*m.x12*m.x12 - 7.74*m.x4*m.x8*
                        m.x10*m.x11*m.x11 - 9.2*m.x4*m.x9*m.x9*m.x11*m.x11 + 6.46*m.x4*m.x9*m.x10*m.x11*m.x11 + 7.19*
                        m.x4*m.x11*m.x12*m.x12*m.x12 + 2.98*m.x4*m.x12*m.x12*m.x12*m.x12 + 3.49*m.x5*m.x5*m.x5*m.x5*
                        m.x11 + 7.73*m.x5*m.x5*m.x5*m.x6*m.x12 + 6.74*m.x5*m.x5*m.x5*m.x7*m.x10 + 2.99*m.x5*m.x5*m.x5*
                        m.x9*m.x12 + 7.12*m.x5*m.x5*m.x6*m.x8*m.x11 + 5.41*m.x5*m.x5*m.x6*m.x8*m.x12 + 0.81*m.x5*m.x5*
                        m.x7*m.x7*m.x7 + 9.21*m.x5*m.x5*m.x7*m.x11*m.x11 + 1.78*m.x5*m.x5*m.x8*m.x9*m.x12 + 4.28*m.x5*
                        m.x5*m.x9*m.x9*m.x9 + 7.27*m.x5*m.x5*m.x9*m.x10*m.x12 + 8.27*m.x5*m.x6*m.x6*m.x7*m.x8 + 8.62*
                        m.x5*m.x6*m.x6*m.x7*m.x10 + 6.58*m.x5*m.x6*m.x6*m.x7*m.x11 + 4.02*m.x5*m.x6*m.x6*m.x10*m.x10 + 
                        9.43*m.x5*m.x6*m.x6*m.x10*m.x11 - 4.68*m.x5*m.x6*m.x7*m.x7*m.x11 - 0.07*m.x5*m.x6*m.x7*m.x8*m.x9
                         + 1.04*m.x5*m.x6*m.x8*m.x8*m.x10 + 3.16*m.x5*m.x6*m.x8*m.x9*m.x10 + 0.57*m.x5*m.x6*m.x9*m.x11*
                        m.x11 + 7.3*m.x5*m.x6*m.x10*m.x10*m.x10 + 3.69*m.x5*m.x7*m.x7*m.x9*m.x10 + 1.05*m.x5*m.x7*m.x7*
                        m.x9*m.x12 + 9.44*m.x5*m.x7*m.x7*m.x11*m.x12 + 6.08*m.x5*m.x7*m.x8*m.x9*m.x11 + 7.34*m.x5*m.x8*
                        m.x8*m.x8*m.x11 + 6.94*m.x5*m.x8*m.x8*m.x12*m.x12 + 7.18*m.x5*m.x9*m.x9*m.x9*m.x10 + 1.23*m.x5*
                        m.x9*m.x9*m.x12*m.x12 + 3.12*m.x5*m.x9*m.x11*m.x11*m.x12 + 9.3*m.x5*m.x10*m.x10*m.x12*m.x12 + 
                        3.82*m.x6*m.x6*m.x6*m.x8*m.x11 + 7.64*m.x6*m.x6*m.x6*m.x12*m.x12 + 5.03*m.x6*m.x6*m.x7*m.x10*
                        m.x10 + 4.87*m.x6*m.x6*m.x8*m.x11*m.x12 + 6.28*m.x6*m.x6*m.x9*m.x12*m.x12 - 4.5*m.x6*m.x7*m.x7*
                        m.x7*m.x9 + 8.26*m.x6*m.x7*m.x7*m.x7*m.x12 + 3.51*m.x6*m.x7*m.x7*m.x8*m.x10 + 2.3*m.x6*m.x7*m.x7
                        *m.x9*m.x10 + 0.78*m.x6*m.x7*m.x7*m.x10*m.x10 + 8.75*m.x6*m.x7*m.x7*m.x10*m.x11 + 4.4*m.x6*m.x7*
                        m.x8*m.x9*m.x10 + 5.59*m.x6*m.x7*m.x8*m.x12*m.x12 + 2.03*m.x6*m.x7*m.x9*m.x9*m.x10 + 4.01*m.x6*
                        m.x7*m.x9*m.x11*m.x11 + 3.33*m.x6*m.x7*m.x9*m.x12*m.x12 + 2.35*m.x6*m.x7*m.x11*m.x11*m.x11 + 
                        8.38*m.x6*m.x9*m.x9*m.x9*m.x12 + 5.19*m.x6*m.x9*m.x10*m.x10*m.x10 + 1.43*m.x6*m.x10*m.x10*m.x12*
                        m.x12 + 8.91*m.x7*m.x7*m.x7*m.x8*m.x12 + 3.77*m.x7*m.x7*m.x8*m.x8*m.x8 + 0.43*m.x7*m.x7*m.x8*
                        m.x11*m.x12 + 4.98*m.x7*m.x7*m.x9*m.x12*m.x12 - 0.69*m.x7*m.x7*m.x10*m.x12*m.x12 + 6.49*m.x7*
                        m.x8*m.x8*m.x8*m.x10 - 9.37*m.x7*m.x8*m.x8*m.x10*m.x12 + 6.58*m.x7*m.x8*m.x8*m.x11*m.x11 + 2.42*
                        m.x7*m.x8*m.x9*m.x11*m.x12 - 0.91*m.x7*m.x8*m.x10*m.x11*m.x12 + 9.03*m.x7*m.x8*m.x12*m.x12*m.x12
                         + 7.53*m.x7*m.x9*m.x11*m.x12*m.x12 + 9.53*m.x8*m.x8*m.x8*m.x8*m.x8 + 0.53*m.x8*m.x8*m.x8*m.x8*
                        m.x9 + 0.83*m.x8*m.x8*m.x8*m.x9*m.x9 + 1.43*m.x8*m.x8*m.x8*m.x9*m.x10 + 0.9*m.x8*m.x8*m.x9*m.x12
                        *m.x12 + 2.19*m.x8*m.x9*m.x9*m.x10*m.x10 + 8.96*m.x8*m.x9*m.x10*m.x10*m.x10 + 9.12*m.x8*m.x9*
                        m.x10*m.x11*m.x11 + 2.79*m.x8*m.x9*m.x10*m.x11*m.x12 + 1.61*m.x8*m.x9*m.x11*m.x11*m.x12 + 9.91*
                        m.x9*m.x9*m.x11*m.x12*m.x12 + 4.76*m.x9*m.x9*m.x12*m.x12*m.x12 + 4.01*m.x9*m.x10*m.x12*m.x12*
                        m.x12 + 0.11*m.x10*m.x10*m.x10*m.x11*m.x11 - 3.32*m.x10*m.x11*m.x11*m.x12*m.x12 >= 96175.52)

m.c12 = Constraint(expr=   3.24*m.x1 - 2.41*m.x2 + 2.67*m.x3 + 4.03*m.x4 + 8.81*m.x5 + 2.52*m.x6 + 7.17*m.x7 + 5.39*m.x8
                         + 4.95*m.x9 + 4.55*m.x10 + 4.86*m.x11 + 3.88*m.x12 >= 77.843)
