#  MINLP written by GAMS Convert at 05/24/17 14:04:25
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#        174        1       94       79        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          5        1        0        4        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        673        9      664        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.i1 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i2 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i3 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i4 = Var(within=Integers,bounds=(0,100),initialize=0)

m.obj = Objective(expr=4*m.i1*m.i2 - 712*m.i1 - 9*m.i2 - 6*m.i1*m.i3 - 11*m.i1*m.i4 + 437*m.i4 - 162*m.i2*m.i3 + 171*
                       m.i2*m.i4 - 3*m.i3*m.i4 + 24*m.i1**2 + 4*m.i2**2 + 140*m.i3**2 - 187*m.i4**2
                        + 5197, sense=minimize)

m.c2 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                       180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c3 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                       180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c4 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                       180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c5 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                       180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c6 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                       180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c7 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                       180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c8 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                       180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c9 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                       180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c10 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c11 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c12 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c13 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c14 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c15 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c16 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -264)

m.c17 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c18 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c19 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c20 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c21 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c22 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c23 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c24 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c25 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c26 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c27 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c28 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c29 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c30 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c31 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 27)

m.c32 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c33 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c34 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c35 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c36 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c37 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c38 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c39 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c40 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c41 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c42 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c43 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c44 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c45 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c46 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25578)

m.c47 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c48 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c49 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c50 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c51 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c52 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c53 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c54 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c55 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c56 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c57 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c58 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c59 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c60 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c61 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c62 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c63 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c64 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c65 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c66 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c67 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c68 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c69 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c70 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c71 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c72 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c73 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c74 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c75 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c76 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 6.87)

m.c77 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c78 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c79 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c80 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c81 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c82 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c83 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c84 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c85 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c86 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c87 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c88 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c89 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c90 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c91 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                        180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 >= -464)

m.c92 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c93 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c94 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c95 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c96 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c97 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c98 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c99 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c100 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                         798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c101 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                         798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c102 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                         798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c103 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                         798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c104 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                         798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c105 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                         798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c106 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                         798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 >= -173)

m.c107 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c108 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c109 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c110 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c111 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c112 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c113 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c114 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c115 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c116 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c117 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c118 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c119 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c120 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c121 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                         274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 >= -25778)

m.c122 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c123 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c124 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c125 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c126 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c127 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c128 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c129 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c130 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c131 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c132 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c133 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c134 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c135 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c136 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 
                         0.89*m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                          >= -0.7772)

m.c137 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c138 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c139 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c140 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c141 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c142 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c143 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c144 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c145 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c146 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c147 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c148 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c149 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c150 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c151 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                         m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2
                          >= 1.87)

m.c152 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c153 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c154 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c155 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c156 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c157 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c158 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c159 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c160 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c161 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c162 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c163 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c164 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c165 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c166 = Constraint(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                          - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                          >= 99655)

m.c167 = Constraint(expr=   m.i1 >= 14)

m.c168 = Constraint(expr=   m.i1 <= 16)

m.c169 = Constraint(expr=   m.i2 >= 1)

m.c170 = Constraint(expr=   m.i2 <= 3)

m.c171 = Constraint(expr=   m.i3 >= 1)

m.c172 = Constraint(expr=   m.i3 <= 3)

m.c173 = Constraint(expr=   m.i4 >= 1)

m.c174 = Constraint(expr=   m.i4 <= 3)
