#  MINLP written by GAMS Convert at 05/24/17 14:04:39
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          8        2        2        4        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          3        1        0        2        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         18        2       16        0


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(None,None),initialize=0)
m.i2 = Var(within=Integers,bounds=(1,100),initialize=1)
m.i3 = Var(within=Integers,bounds=(1,100),initialize=1)

m.obj = Objective(expr=m.x1, sense=minimize)

m.c1 = Constraint(expr=-(0.333333333333333*(0.545*(exp(0.25*m.i2) + m.i2) + 0.55*(exp(0.25*m.i3) + m.i3) + 7*exp(0.25*
                       m.i2)*m.i2 + 12*exp(0.25*m.i3)*m.i3) - ((0.5 - 0.5*0.1**m.i2)*(1 - 0.05**m.i3) + (0.8 - 0.8*0.55
                       **m.i2)*(1 - 0.5**m.i3) + (1 - 0.8**m.i2)*(1 - 0.8**m.i3))) + m.x1 == 0)

m.c2 = Constraint(expr=-(0.333333333333333*(0.875*(exp(0.25*m.i2) + m.i2) + 0.25*(exp(0.25*m.i3) + m.i3) + 17*exp(0.25*
                       m.i2)*m.i2 + 10*exp(0.25*m.i3)*m.i3) - ((0.5 - 0.5*0.038**m.i2)*(1 - 0.145**m.i3) + (0.8 - 0.8*
                       0.273**m.i2)*(1 - 0.77**m.i3) + (1 - 0.513**m.i2)*(1 - 0.9**m.i3))) + m.x1 == 0)

m.c3 = Constraint(expr=0.545*(exp(0.25*m.i2) + m.i2) + 0.55*(exp(0.25*m.i3) + m.i3) <= 200)

m.c4 = Constraint(expr=0.875*(exp(0.25*m.i2) + m.i2) + 0.25*(exp(0.25*m.i3) + m.i3) <= 200)

m.c5 = Constraint(expr=7*exp(0.25*m.i2)*m.i2 + 12*exp(0.25*m.i3)*m.i3 <= 1000)

m.c6 = Constraint(expr=17*exp(0.25*m.i2)*m.i2 + 10*exp(0.25*m.i3)*m.i3 <= 1000)

m.c7 = Constraint(expr=(0.5 - 0.5*0.1**m.i2)*(1 - 0.05**m.i3) + (0.8 - 0.8*0.55**m.i2)*(1 - 0.5**m.i3) + (1 - 0.8**m.i2)
                       *(1 - 0.8**m.i3) >= 0.5)

m.c8 = Constraint(expr=(0.5 - 0.5*0.038**m.i2)*(1 - 0.145**m.i3) + (0.8 - 0.8*0.273**m.i2)*(1 - 0.77**m.i3) + (1 - 0.513
                       **m.i2)*(1 - 0.9**m.i3) >= 0.5)
