#  MINLP written by GAMS Convert at 05/24/17 14:04:39
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          4        1        1        2        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         10        1        9        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         28       10       18        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.b1 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b2 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b3 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b4 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b5 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b6 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b7 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b8 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b9 = Var(within=Binary,bounds=(0,1),initialize=0)

m.obj = Objective(expr=(-2.7181*m.b1*m.b7) - 3.7378*m.b1 + 3*m.b7 - 4.23136*m.b1*m.b9 + 10*m.b9 + 2.11568*m.b1*m.b7*m.b9
                        - 2.94976*m.b2*m.b7 - 6.6741*m.b2 - 5.04658*m.b2*m.b9 + 2.018632*m.b2*m.b7*m.b9 - 0.1464*m.b3*
                       m.b7 - 2.679*m.b3 - 0.0954*m.b3*m.b9 + 0.07632*m.b3*m.b7*m.b9 - 0.899232*m.b4*m.b6 - 3.31916*m.b4
                        + 3*m.b6 - 0.717808*m.b4*m.b7 - 0.545664*m.b4*m.b8 + 5*m.b8 - 0.38512*m.b4*m.b9 + 0.5742464*m.b4
                       *m.b6*m.b7 + 0.4365312*m.b4*m.b6*m.b8 + 0.308096*m.b4*m.b6*m.b9 + 0.3819648*m.b4*m.b7*m.b8 + 
                       0.269584*m.b4*m.b7*m.b9 + 0.231072*m.b4*m.b8*m.b9 - 0.30557184*m.b4*m.b6*m.b7*m.b8 - 0.2156672*
                       m.b4*m.b6*m.b7*m.b9 - 0.1848576*m.b4*m.b6*m.b8*m.b9 - 0.1617504*m.b4*m.b7*m.b8*m.b9 + 0.12940032*
                       m.b4*m.b6*m.b7*m.b8*m.b9 - 0.727552*m.b5*m.b7 - 3.31916*m.b5 - 0.462144*m.b5*m.b9 + 0.3697152*
                       m.b5*m.b7*m.b9, sense=minimize)

m.c2 = Constraint(expr= - 3.7378*m.b1 - 6.6741*m.b2 - 2.679*m.b3 - 3.31916*m.b4 - 3.31916*m.b5 >= 13)

m.c3 = Constraint(expr=0.413*m.b1*m.b7 + 0.7784*m.b1*m.b9 - 0.3892*m.b1*m.b7*m.b9 + 0.3806*m.b2*m.b7 + 0.78155*m.b2*m.b9
                        - 0.31262*m.b2*m.b7*m.b9 + 0.1104*m.b3*m.b7 + 0.0972*m.b3*m.b9 - 0.07776*m.b3*m.b7*m.b9 + 
                       0.44544*m.b4*m.b6 + 0.45878*m.b4*m.b7 + 0.46284*m.b4*m.b8 + 0.4553*m.b4*m.b9 - 0.367024*m.b4*m.b6
                       *m.b7 - 0.370272*m.b4*m.b6*m.b8 - 0.36424*m.b4*m.b6*m.b9 - 0.323988*m.b4*m.b7*m.b8 - 0.31871*m.b4
                       *m.b7*m.b9 - 0.27318*m.b4*m.b8*m.b9 + 0.2591904*m.b4*m.b6*m.b7*m.b8 + 0.254968*m.b4*m.b6*m.b7*
                       m.b9 + 0.218544*m.b4*m.b6*m.b8*m.b9 + 0.191226*m.b4*m.b7*m.b8*m.b9 - 0.1529808*m.b4*m.b6*m.b7*
                       m.b8*m.b9 + 0.61712*m.b5*m.b7 + 0.54636*m.b5*m.b9 - 0.437088*m.b5*m.b7*m.b9 <= 20)

m.c4 = Constraint(expr=   3*m.b6 + 3*m.b7 + 5*m.b8 + 10*m.b9 <= 12)
