#  MINLP written by GAMS Convert at 05/24/17 14:04:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         24        6        6       12        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          5        1        0        4        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         92        6       86        0


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(None,None),initialize=0)
m.i2 = Var(within=Integers,bounds=(1,100),initialize=1)
m.i3 = Var(within=Integers,bounds=(1,100),initialize=1)
m.i4 = Var(within=Integers,bounds=(1,100),initialize=1)
m.i5 = Var(within=Integers,bounds=(1,100),initialize=1)

m.obj = Objective(expr=m.x1, sense=minimize)

m.c1 = Constraint(expr=-(0.333333333333333*(0.25*(exp(0.25*m.i2) + m.i2) + 0.545*(exp(0.25*m.i3) + m.i3) + 0.55*(exp(
                       0.25*m.i4) + m.i4) + 0.545*(exp(0.25*m.i5) + m.i5) + 10*exp(0.25*m.i2)*m.i2 + 7*exp(0.25*m.i3)*
                       m.i3 + 12*exp(0.25*m.i4)*m.i4 + 10*exp(0.25*m.i5)*m.i5) - ((0.5 - 0.5*0.145**m.i2)*(1 - 0.1**m.i3
                       )*(1 - 0.05**m.i4)*(1 - 0.115**m.i5) + (0.8 - 0.8*0.77**m.i2)*(1 - 0.55**m.i3)*(1 - 0.5**m.i4)*(1
                        - 0.65**m.i5) + (1 - 0.9**m.i2)*(1 - 0.8**m.i3)*(1 - 0.8**m.i4)*(1 - 0.85**m.i5))) + m.x1 == 0)

m.c2 = Constraint(expr=-(0.333333333333333*(0.38*(exp(0.25*m.i2) + m.i2) + 0.826*(exp(0.25*m.i3) + m.i3) + 0.63*(exp(
                       0.25*m.i4) + m.i4) + 0.62*(exp(0.25*m.i5) + m.i5) + 12*exp(0.25*m.i2)*m.i2 + 3*exp(0.25*m.i3)*
                       m.i3 + 5*exp(0.25*m.i4)*m.i4 + 15*exp(0.25*m.i5)*m.i5) - ((0.5 - 0.5*0.11**m.i2)*(1 - 
                       0.0600000000000001**m.i3)*(1 - 0.04**m.i4)*(1 - 0.074**m.i5) + (0.8 - 0.8*0.51**m.i2)*(1 - 0.51**
                       m.i3)*(1 - 0.44**m.i4)*(1 - 0.624**m.i5) + (1 - 0.76**m.i2)*(1 - 0.71**m.i3)*(1 - 0.74**m.i4)*(1
                        - 0.81**m.i5))) + m.x1 == 0)

m.c3 = Constraint(expr=-(0.333333333333333*(0.494*(exp(0.25*m.i2) + m.i2) + 0.975*(exp(0.25*m.i3) + m.i3) + 0.74*(exp(
                       0.25*m.i4) + m.i4) + 0.78*(exp(0.25*m.i5) + m.i5) + 13*exp(0.25*m.i2)*m.i2 + 10*exp(0.25*m.i3)*
                       m.i3 + 8*exp(0.25*m.i4)*m.i4 + 12*exp(0.25*m.i5)*m.i5) - ((0.5 - 0.5*0.0650000000000001**m.i2)*(1
                        - 0.0449999999999999**m.i3)*(1 - 0.0399999999999999**m.i4)*(1 - 0.0450000000000001**m.i5) + (0.8
                        - 0.8*0.515**m.i2)*(1 - 0.445**m.i3)*(1 - 0.34**m.i4)*(1 - 0.485**m.i5) + (1 - 0.745**m.i2)*(1
                        - 0.595**m.i3)*(1 - 0.66**m.i4)*(1 - 0.7**m.i5))) + m.x1 == 0)

m.c4 = Constraint(expr=-(0.333333333333333*(0.625*(exp(0.25*m.i2) + m.i2) + 1.08*(exp(0.25*m.i3) + m.i3) + 0.9*(exp(0.25
                       *m.i4) + m.i4) + 1.12*(exp(0.25*m.i5) + m.i5) + 15*exp(0.25*m.i2)*m.i2 + 8*exp(0.25*m.i3)*m.i3 + 
                       10*exp(0.25*m.i4)*m.i4 + 14*exp(0.25*m.i5)*m.i5) - ((0.5 - 0.5*0.08**m.i2)*(1 - 0.038**m.i3)*(1
                        - 0.03**m.i4)*(1 - 0.0349999999999999**m.i5) + (0.8 - 0.8*0.38**m.i2)*(1 - 0.388**m.i3)*(1 - 
                       0.28**m.i4)*(1 - 0.365**m.i5) + (1 - 0.68**m.i2)*(1 - 0.548**m.i3)*(1 - 0.53**m.i4)*(1 - 0.615**
                       m.i5))) + m.x1 == 0)

m.c5 = Constraint(expr=-(0.333333333333333*(0.79*(exp(0.25*m.i2) + m.i2) + 1.15*(exp(0.25*m.i4) + m.i4) + 13*exp(0.25*
                       m.i2)*m.i2 + 12*exp(0.25*m.i4)*m.i4) - ((0.5 - 0.5*0.05**m.i2)*(1 - 1**m.i3)*(1 - 0.025**m.i4)*(1
                        - 1**m.i5) + (0.8 - 0.8*0.3**m.i2)*(1 - 1**m.i3)*(1 - 0.24**m.i4)*(1 - 1**m.i5) + (1 - 0.55**
                       m.i2)*(1 - 1**m.i3)*(1 - 0.42**m.i4)*(1 - 1**m.i5))) + m.x1 == 0)

m.c6 = Constraint(expr=-(0.333333333333333*(0.875*(exp(0.25*m.i2) + m.i2) + 17*exp(0.25*m.i2)*m.i2) - ((0.5 - 0.5*0.038
                       **m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*0.273**m.i2)*(1 - 1**m.i3)*(1 - 1
                       **m.i4)*(1 - 1**m.i5) + (1 - 0.513**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5))) + m.x1
                        == 0)

m.c7 = Constraint(expr=0.25*(exp(0.25*m.i2) + m.i2) + 0.545*(exp(0.25*m.i3) + m.i3) + 0.55*(exp(0.25*m.i4) + m.i4) + 
                       0.545*(exp(0.25*m.i5) + m.i5) <= 20)

m.c8 = Constraint(expr=0.38*(exp(0.25*m.i2) + m.i2) + 0.826*(exp(0.25*m.i3) + m.i3) + 0.63*(exp(0.25*m.i4) + m.i4) + 
                       0.62*(exp(0.25*m.i5) + m.i5) <= 20)

m.c9 = Constraint(expr=0.494*(exp(0.25*m.i2) + m.i2) + 0.975*(exp(0.25*m.i3) + m.i3) + 0.74*(exp(0.25*m.i4) + m.i4) + 
                       0.78*(exp(0.25*m.i5) + m.i5) <= 20)

m.c10 = Constraint(expr=0.625*(exp(0.25*m.i2) + m.i2) + 1.08*(exp(0.25*m.i3) + m.i3) + 0.9*(exp(0.25*m.i4) + m.i4) + 
                        1.12*(exp(0.25*m.i5) + m.i5) <= 20)

m.c11 = Constraint(expr=0.79*(exp(0.25*m.i2) + m.i2) + 1.15*(exp(0.25*m.i4) + m.i4) <= 20)

m.c12 = Constraint(expr=0.875*(exp(0.25*m.i2) + m.i2) <= 20)

m.c13 = Constraint(expr=10*exp(0.25*m.i2)*m.i2 + 7*exp(0.25*m.i3)*m.i3 + 12*exp(0.25*m.i4)*m.i4 + 10*exp(0.25*m.i5)*m.i5
                         <= 500)

m.c14 = Constraint(expr=12*exp(0.25*m.i2)*m.i2 + 3*exp(0.25*m.i3)*m.i3 + 5*exp(0.25*m.i4)*m.i4 + 15*exp(0.25*m.i5)*m.i5
                         <= 500)

m.c15 = Constraint(expr=13*exp(0.25*m.i2)*m.i2 + 10*exp(0.25*m.i3)*m.i3 + 8*exp(0.25*m.i4)*m.i4 + 12*exp(0.25*m.i5)*m.i5
                         <= 500)

m.c16 = Constraint(expr=15*exp(0.25*m.i2)*m.i2 + 8*exp(0.25*m.i3)*m.i3 + 10*exp(0.25*m.i4)*m.i4 + 14*exp(0.25*m.i5)*m.i5
                         <= 500)

m.c17 = Constraint(expr=13*exp(0.25*m.i2)*m.i2 + 12*exp(0.25*m.i4)*m.i4 <= 500)

m.c18 = Constraint(expr=17*exp(0.25*m.i2)*m.i2 <= 500)

m.c19 = Constraint(expr=(0.5 - 0.5*0.145**m.i2)*(1 - 0.1**m.i3)*(1 - 0.05**m.i4)*(1 - 0.115**m.i5) + (0.8 - 0.8*0.77**
                        m.i2)*(1 - 0.55**m.i3)*(1 - 0.5**m.i4)*(1 - 0.65**m.i5) + (1 - 0.9**m.i2)*(1 - 0.8**m.i3)*(1 - 
                        0.8**m.i4)*(1 - 0.85**m.i5) >= 0.9)

m.c20 = Constraint(expr=(0.5 - 0.5*0.11**m.i2)*(1 - 0.0600000000000001**m.i3)*(1 - 0.04**m.i4)*(1 - 0.074**m.i5) + (0.8
                         - 0.8*0.51**m.i2)*(1 - 0.51**m.i3)*(1 - 0.44**m.i4)*(1 - 0.624**m.i5) + (1 - 0.76**m.i2)*(1 - 
                        0.71**m.i3)*(1 - 0.74**m.i4)*(1 - 0.81**m.i5) >= 0.9)

m.c21 = Constraint(expr=(0.5 - 0.5*0.0650000000000001**m.i2)*(1 - 0.0449999999999999**m.i3)*(1 - 0.0399999999999999**
                        m.i4)*(1 - 0.0450000000000001**m.i5) + (0.8 - 0.8*0.515**m.i2)*(1 - 0.445**m.i3)*(1 - 0.34**m.i4
                        )*(1 - 0.485**m.i5) + (1 - 0.745**m.i2)*(1 - 0.595**m.i3)*(1 - 0.66**m.i4)*(1 - 0.7**m.i5)
                         >= 0.9)

m.c22 = Constraint(expr=(0.5 - 0.5*0.08**m.i2)*(1 - 0.038**m.i3)*(1 - 0.03**m.i4)*(1 - 0.0349999999999999**m.i5) + (0.8
                         - 0.8*0.38**m.i2)*(1 - 0.388**m.i3)*(1 - 0.28**m.i4)*(1 - 0.365**m.i5) + (1 - 0.68**m.i2)*(1 - 
                        0.548**m.i3)*(1 - 0.53**m.i4)*(1 - 0.615**m.i5) >= 0.9)

m.c23 = Constraint(expr=(0.5 - 0.5*0.05**m.i2)*(1 - 1**m.i3)*(1 - 0.025**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*0.3**m.i2)*(1
                         - 1**m.i3)*(1 - 0.24**m.i4)*(1 - 1**m.i5) + (1 - 0.55**m.i2)*(1 - 1**m.i3)*(1 - 0.42**m.i4)*(1
                         - 1**m.i5) >= 0.9)

m.c24 = Constraint(expr=(0.5 - 0.5*0.038**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (0.8 - 0.8*0.273**m.i2)*(1
                         - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**m.i5) + (1 - 0.513**m.i2)*(1 - 1**m.i3)*(1 - 1**m.i4)*(1 - 1**
                        m.i5) >= 0.9)
