#  NLP written by GAMS Convert at 05/24/17 14:05:35
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          7        7        0        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          6        6        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         16       11        5        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x2 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x3 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x4 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x5 = Var(within=Reals,bounds=(0,None),initialize=0)

m.obj = Objective(expr=   0.8*m.x1 + 0.7*m.x2 + 0.1*m.x3 + 0.9*m.x4 + 0.4*m.x5, sense=minimize)

m.c2 = Constraint(expr=   m.x1 + m.x2 + m.x3 + m.x4 + m.x5 == 3)

m.c3 = Constraint(expr=m.x1*m.x1 == 1)

m.c4 = Constraint(expr=m.x2*m.x2 == 1)

m.c5 = Constraint(expr=m.x3*m.x3 == 1)

m.c6 = Constraint(expr=m.x4*m.x4 == 1)

m.c7 = Constraint(expr=m.x5*m.x5 == 1)
