#  NLP written by GAMS Convert at 05/24/17 14:05:42
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         13        7        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        121       65       56        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.65,2.11),initialize=0.65)
m.x2 = Var(within=Reals,bounds=(0.08,2.81),initialize=0.08)
m.x3 = Var(within=Reals,bounds=(0.37,2.99),initialize=0.37)
m.x4 = Var(within=Reals,bounds=(0.13,2.33),initialize=0.13)
m.x5 = Var(within=Reals,bounds=(0.48,2.6),initialize=0.48)
m.x6 = Var(within=Reals,bounds=(0.79,2.12),initialize=0.79)
m.x7 = Var(within=Reals,bounds=(0.28,2.2),initialize=0.28)
m.x8 = Var(within=Reals,bounds=(0.31,2.7),initialize=0.31)
m.x9 = Var(within=Reals,bounds=(0.89,2.02),initialize=0.89)
m.x10 = Var(within=Reals,bounds=(0.75,2.17),initialize=0.75)
m.x11 = Var(within=Reals,bounds=(0.64,2.72),initialize=0.64)
m.x12 = Var(within=Reals,bounds=(0.64,2.9),initialize=0.64)

m.obj = Objective(expr=7.11*m.x2*m.x4 + 5.64*m.x2 + 7.19*m.x4 + 2.43*m.x3*m.x4 + 4.3*m.x3 + 6.45*m.x5*m.x9 + 5.1*m.x5 + 
                       4.83*m.x9 + 2.94*m.x6*m.x7 + 0.27*m.x6 + 0.01*m.x7 + 5.35*m.x7*m.x12 + 3.51*m.x12 + 3.04*m.x1*
                       m.x1*m.x1 + 7.32*m.x1 + 8.25*m.x1*m.x1*m.x7 + 4.96*m.x1*m.x3*m.x4 - 5.41*m.x1*m.x5*m.x8 - 8.69*
                       m.x8 + 1.98*m.x1*m.x5*m.x9 - 6.62*m.x2*m.x3*m.x4 - 4.87*m.x2*m.x3*m.x6 + 1.67*m.x2*m.x4*m.x6 + 
                       8.24*m.x2*m.x4*m.x7 + 0.26*m.x2*m.x4*m.x10 + 9.93*m.x10 + 2.22*m.x2*m.x7*m.x11 + 3.77*m.x11 - 
                       9.17*m.x2*m.x8*m.x11 + 9.6*m.x4*m.x6*m.x8 + 9.56*m.x4*m.x7*m.x12 + 3.95*m.x5*m.x6*m.x9 + 2.15*
                       m.x5*m.x9*m.x10 + 8.9*m.x6*m.x10*m.x10 + 3.16*m.x7*m.x7*m.x7 + 3.86*m.x7*m.x7*m.x10 - 8.75*m.x7*
                       m.x11*m.x12 + 6.65*m.x8*m.x11*m.x12 + 0.82*m.x1*m.x1*m.x3*m.x4 + 8.2*m.x1*m.x1*m.x3*m.x5 + 1.98*
                       m.x1*m.x1*m.x5*m.x12 + 9.73*m.x1*m.x1*m.x6*m.x11 + 2.48*m.x1*m.x2*m.x2*m.x12 - 7.63*m.x1*m.x3*
                       m.x3*m.x12 + 6.95*m.x1*m.x3*m.x6*m.x6 + 6.49*m.x1*m.x4*m.x5*m.x6 + 3.69*m.x1*m.x4*m.x5*m.x10 + 
                       5.39*m.x1*m.x4*m.x6*m.x9 + 4.38*m.x1*m.x4*m.x8*m.x12 + 8.02*m.x1*m.x5*m.x6*m.x7 + 7.11*m.x1*m.x6*
                       m.x6*m.x8 + 1.69*m.x1*m.x6*m.x6*m.x9 + 0.28*m.x1*m.x6*m.x12*m.x12 + 5.7*m.x1*m.x7*m.x7*m.x7 + 
                       0.47*m.x2*m.x2*m.x4*m.x4 + 4.37*m.x2*m.x2*m.x4*m.x9 + 1.93*m.x2*m.x2*m.x5*m.x5 - 4.95*m.x2*m.x2*
                       m.x5*m.x8 + 0.57*m.x2*m.x2*m.x6*m.x6 + 5.84*m.x2*m.x3*m.x3*m.x5 + 0.16*m.x2*m.x3*m.x5*m.x12 + 
                       5.32*m.x2*m.x3*m.x6*m.x6 + 3.71*m.x2*m.x3*m.x6*m.x11 + 6.23*m.x2*m.x3*m.x7*m.x8 + 7.75*m.x2*m.x3*
                       m.x7*m.x10 + 6.75*m.x2*m.x3*m.x12*m.x12 + 2.26*m.x2*m.x4*m.x7*m.x8 + 2.8*m.x2*m.x5*m.x6*m.x11 + 
                       4.22*m.x2*m.x5*m.x7*m.x7 + 2.13*m.x2*m.x7*m.x7*m.x7 + 7.48*m.x2*m.x7*m.x10*m.x10 + 5.62*m.x2*m.x8
                       *m.x9*m.x12 + 6.77*m.x3*m.x3*m.x3*m.x10 - 6.04*m.x3*m.x3*m.x6*m.x9 + 8.7*m.x3*m.x3*m.x6*m.x12 + 
                       9.46*m.x3*m.x4*m.x7*m.x11 + 7.53*m.x3*m.x4*m.x10*m.x11 + 9.86*m.x3*m.x5*m.x9*m.x11 + 8.59*m.x3*
                       m.x6*m.x6*m.x9 + 1.98*m.x3*m.x6*m.x6*m.x11 + 7.02*m.x3*m.x12*m.x12*m.x12 + 3*m.x4*m.x4*m.x4*m.x9
                        + 4.81*m.x4*m.x4*m.x9*m.x12 + 8.12*m.x4*m.x4*m.x11*m.x11 + 3.86*m.x4*m.x5*m.x5*m.x6 + 0.48*m.x4*
                       m.x5*m.x7*m.x9 + 7.85*m.x4*m.x5*m.x8*m.x11 + 0.77*m.x4*m.x5*m.x10*m.x11 + 0.8*m.x4*m.x6*m.x9*
                       m.x12 + 6.69*m.x5*m.x5*m.x12*m.x12 + 5.12*m.x5*m.x6*m.x7*m.x12 - 7.72*m.x5*m.x6*m.x8*m.x8 + 6.9*
                       m.x5*m.x6*m.x10*m.x11 + 5.44*m.x5*m.x7*m.x7*m.x11 + 1.32*m.x5*m.x7*m.x8*m.x8 + 4.75*m.x5*m.x7*
                       m.x11*m.x11 + 6.01*m.x5*m.x8*m.x8*m.x12 + 6.25*m.x5*m.x10*m.x10*m.x12 + 5.04*m.x5*m.x10*m.x12*
                       m.x12 - 5.13*m.x6*m.x6*m.x9*m.x10 + 1.54*m.x6*m.x6*m.x9*m.x11 + 6.89*m.x6*m.x6*m.x11*m.x12 + 1.6*
                       m.x6*m.x10*m.x12*m.x12 + 5.2*m.x7*m.x7*m.x7*m.x8 + 7.37*m.x7*m.x7*m.x8*m.x9 + 2.16*m.x7*m.x7*m.x8
                       *m.x11 + 2.13*m.x7*m.x9*m.x10*m.x10 + 6.36*m.x8*m.x10*m.x10*m.x11 - 5.12*m.x8*m.x11*m.x12*m.x12
                        + 8.96*m.x9*m.x9*m.x10*m.x10 - 8.99*m.x10*m.x10*m.x10*m.x11 + 3.19*m.x10*m.x10*m.x10*m.x12 + 
                       7.64*m.x1*m.x1*m.x1*m.x1*m.x11 + 7.53*m.x1*m.x1*m.x1*m.x5*m.x12 + 7.3*m.x1*m.x1*m.x1*m.x6*m.x9 + 
                       7.86*m.x1*m.x1*m.x1*m.x8*m.x10 + 8.67*m.x1*m.x1*m.x2*m.x3*m.x8 + 9.02*m.x1*m.x1*m.x2*m.x6*m.x11
                        + 2.84*m.x1*m.x1*m.x2*m.x9*m.x9 + 0.83*m.x1*m.x1*m.x3*m.x4*m.x10 + 8.91*m.x1*m.x1*m.x3*m.x7*m.x7
                        + 9.27*m.x1*m.x1*m.x4*m.x4*m.x12 + 6.11*m.x1*m.x1*m.x4*m.x8*m.x8 + 7.72*m.x1*m.x1*m.x4*m.x9*m.x9
                        + 8.15*m.x1*m.x1*m.x5*m.x6*m.x9 + 8.88*m.x1*m.x1*m.x6*m.x9*m.x12 + 2.72*m.x1*m.x1*m.x7*m.x7*
                       m.x12 + 2.52*m.x1*m.x1*m.x7*m.x9*m.x9 + 3.84*m.x1*m.x1*m.x8*m.x10*m.x10 + 9.44*m.x1*m.x1*m.x10*
                       m.x12*m.x12 + 9.98*m.x1*m.x2*m.x2*m.x2*m.x12 + 6.94*m.x1*m.x2*m.x2*m.x3*m.x8 + 5.73*m.x1*m.x2*
                       m.x2*m.x4*m.x8 + 6.11*m.x1*m.x2*m.x2*m.x9*m.x11 + 9.73*m.x1*m.x2*m.x2*m.x10*m.x10 + 6.17*m.x1*
                       m.x2*m.x3*m.x3*m.x5 + 6.9*m.x1*m.x2*m.x3*m.x3*m.x7 + 6.4*m.x1*m.x2*m.x3*m.x4*m.x6 - 7.48*m.x1*
                       m.x2*m.x4*m.x7*m.x11 + 0.69*m.x1*m.x2*m.x4*m.x9*m.x10 + 0.99*m.x1*m.x2*m.x5*m.x8*m.x8 + 5.22*m.x1
                       *m.x2*m.x6*m.x6*m.x8 - 7.72*m.x1*m.x2*m.x6*m.x7*m.x8 + 4.51*m.x1*m.x2*m.x6*m.x7*m.x9 + 5.64*m.x1*
                       m.x2*m.x6*m.x7*m.x11 + 6.14*m.x1*m.x3*m.x4*m.x5*m.x12 + 5.55*m.x1*m.x3*m.x5*m.x5*m.x10 + 9.54*
                       m.x1*m.x3*m.x5*m.x8*m.x12 + 2.24*m.x1*m.x3*m.x6*m.x6*m.x7 + 8.97*m.x1*m.x3*m.x6*m.x6*m.x10 + 4.52
                       *m.x1*m.x3*m.x8*m.x8*m.x10 + 6.28*m.x1*m.x3*m.x8*m.x10*m.x11 + 1.9*m.x1*m.x3*m.x8*m.x11*m.x12 + 
                       3.49*m.x1*m.x3*m.x9*m.x10*m.x12 + 0.74*m.x1*m.x4*m.x4*m.x5*m.x11 + 0.72*m.x1*m.x4*m.x5*m.x6*m.x10
                        + 7.7*m.x1*m.x4*m.x6*m.x6*m.x10 + 9.57*m.x1*m.x4*m.x8*m.x8*m.x12 + 3.24*m.x1*m.x4*m.x9*m.x9*m.x9
                        + 7.51*m.x1*m.x4*m.x9*m.x10*m.x10 + 3.12*m.x1*m.x5*m.x5*m.x5*m.x5 + 3.37*m.x1*m.x5*m.x5*m.x5*
                       m.x7 + 0.52*m.x1*m.x5*m.x5*m.x6*m.x10 + 9.37*m.x1*m.x5*m.x7*m.x8*m.x9 + 6.8*m.x1*m.x5*m.x8*m.x11*
                       m.x12 - 9.96*m.x1*m.x6*m.x7*m.x7*m.x9 - 3.48*m.x1*m.x6*m.x8*m.x9*m.x12 + 2.77*m.x1*m.x6*m.x10*
                       m.x12*m.x12 + 3.52*m.x1*m.x7*m.x8*m.x8*m.x10 + 2.05*m.x1*m.x10*m.x10*m.x10*m.x12 + 4.46*m.x2*m.x2
                       *m.x2*m.x4*m.x4 + 9.81*m.x2*m.x2*m.x2*m.x12*m.x12 + 1.4*m.x2*m.x2*m.x3*m.x3*m.x4 + 5.06*m.x2*m.x2
                       *m.x3*m.x5*m.x11 + 2.6*m.x2*m.x2*m.x3*m.x9*m.x12 + 6.42*m.x2*m.x2*m.x4*m.x6*m.x6 + 5.41*m.x2*m.x2
                       *m.x4*m.x7*m.x9 + 8.41*m.x2*m.x2*m.x5*m.x5*m.x7 + 5.5*m.x2*m.x2*m.x5*m.x5*m.x11 + 6.75*m.x2*m.x2*
                       m.x7*m.x8*m.x10 + 7.07*m.x2*m.x2*m.x7*m.x8*m.x12 + 3.02*m.x2*m.x2*m.x7*m.x9*m.x10 + 6.97*m.x2*
                       m.x2*m.x7*m.x10*m.x10 - 3.84*m.x2*m.x2*m.x7*m.x10*m.x12 + 0.43*m.x2*m.x2*m.x9*m.x11*m.x11 + 5.15*
                       m.x2*m.x2*m.x11*m.x11*m.x12 + 1.24*m.x2*m.x3*m.x3*m.x5*m.x9 + 6.56*m.x2*m.x3*m.x3*m.x6*m.x6 + 4.3
                       *m.x2*m.x3*m.x3*m.x6*m.x8 + 6.42*m.x2*m.x3*m.x3*m.x8*m.x10 + 3.2*m.x2*m.x3*m.x5*m.x6*m.x7 - 2.72*
                       m.x2*m.x3*m.x5*m.x7*m.x12 + 0.74*m.x2*m.x3*m.x6*m.x10*m.x12 + 0.1*m.x2*m.x3*m.x7*m.x7*m.x12 + 
                       5.13*m.x2*m.x3*m.x7*m.x10*m.x12 + 8.52*m.x2*m.x4*m.x4*m.x6*m.x7 + 9.78*m.x2*m.x4*m.x4*m.x7*m.x7
                        + 3.62*m.x2*m.x4*m.x4*m.x9*m.x9 + 9.42*m.x2*m.x4*m.x5*m.x8*m.x12 + 4.24*m.x2*m.x4*m.x6*m.x9*m.x9
                        + 0.36*m.x2*m.x4*m.x7*m.x7*m.x11 - 7.42*m.x2*m.x4*m.x7*m.x9*m.x9 + 7.76*m.x2*m.x4*m.x8*m.x8*m.x9
                        + 6.09*m.x2*m.x4*m.x9*m.x9*m.x10 + 7.63*m.x2*m.x4*m.x11*m.x11*m.x11 + 9.92*m.x2*m.x5*m.x5*m.x7*
                       m.x8 + 6.48*m.x2*m.x5*m.x5*m.x7*m.x9 + 4.42*m.x2*m.x5*m.x5*m.x9*m.x10 + 6.36*m.x2*m.x5*m.x6*m.x9*
                       m.x10 + 8.86*m.x2*m.x5*m.x7*m.x10*m.x12 + 8.12*m.x2*m.x5*m.x7*m.x11*m.x12 + 8.12*m.x2*m.x5*m.x10*
                       m.x10*m.x12 + 0.7*m.x2*m.x6*m.x7*m.x7*m.x7 + 8.84*m.x2*m.x6*m.x7*m.x9*m.x11 - 9.29*m.x2*m.x6*m.x8
                       *m.x9*m.x11 + 5.28*m.x2*m.x7*m.x9*m.x9*m.x10 + 0.13*m.x2*m.x8*m.x8*m.x9*m.x9 + 5.05*m.x2*m.x8*
                       m.x8*m.x11*m.x11 + 4.79*m.x2*m.x8*m.x9*m.x9*m.x11 + 0.11*m.x2*m.x8*m.x10*m.x10*m.x12 + 1.73*m.x2*
                       m.x9*m.x9*m.x10*m.x10 + 3.38*m.x2*m.x9*m.x10*m.x10*m.x10 + 7.96*m.x3*m.x3*m.x3*m.x5*m.x11 + 6.13*
                       m.x3*m.x3*m.x3*m.x9*m.x10 + 8.61*m.x3*m.x3*m.x4*m.x4*m.x12 + 6.67*m.x3*m.x3*m.x4*m.x11*m.x11 + 
                       7.25*m.x3*m.x3*m.x5*m.x5*m.x12 - 5.51*m.x3*m.x3*m.x5*m.x10*m.x12 + 4.68*m.x3*m.x3*m.x6*m.x6*m.x10
                        - 7.27*m.x3*m.x3*m.x6*m.x8*m.x8 + 9.13*m.x3*m.x3*m.x6*m.x10*m.x12 + 4.82*m.x3*m.x3*m.x7*m.x9*
                       m.x11 + 5.58*m.x3*m.x3*m.x11*m.x11*m.x11 + 5.8*m.x3*m.x4*m.x4*m.x4*m.x4 + 7.11*m.x3*m.x4*m.x4*
                       m.x4*m.x5 + 6.89*m.x3*m.x4*m.x4*m.x5*m.x7 + 5.95*m.x3*m.x4*m.x5*m.x10*m.x12 + 6.21*m.x3*m.x4*m.x6
                       *m.x6*m.x7 + 7.19*m.x3*m.x4*m.x6*m.x9*m.x9 - 8.99*m.x3*m.x4*m.x8*m.x8*m.x11 + 2.88*m.x3*m.x4*m.x9
                       *m.x9*m.x10 + 7.07*m.x3*m.x4*m.x10*m.x10*m.x10 + 9.36*m.x3*m.x5*m.x5*m.x5*m.x9 - 7.25*m.x3*m.x5*
                       m.x6*m.x6*m.x12 + 5.63*m.x3*m.x5*m.x6*m.x9*m.x9 + 9.1*m.x3*m.x5*m.x6*m.x11*m.x12 + 5.54*m.x3*m.x5
                       *m.x7*m.x11*m.x12 + 7.31*m.x3*m.x5*m.x9*m.x9*m.x10 + 1.65*m.x3*m.x5*m.x9*m.x9*m.x12 + 8.98*m.x3*
                       m.x5*m.x10*m.x11*m.x12 + 3.61*m.x3*m.x6*m.x6*m.x6*m.x9 + 1.25*m.x3*m.x6*m.x6*m.x7*m.x7 + 8.75*
                       m.x3*m.x6*m.x7*m.x7*m.x12 + 9.36*m.x3*m.x6*m.x8*m.x8*m.x10 + 7.82*m.x3*m.x6*m.x8*m.x10*m.x11 + 
                       0.73*m.x3*m.x6*m.x8*m.x11*m.x12 + 3.62*m.x3*m.x6*m.x9*m.x11*m.x11 + 5.14*m.x3*m.x6*m.x9*m.x11*
                       m.x12 + 5.35*m.x3*m.x6*m.x11*m.x12*m.x12 + 6.44*m.x3*m.x7*m.x7*m.x7*m.x7 + 6.53*m.x3*m.x7*m.x7*
                       m.x11*m.x11 - 6.08*m.x3*m.x7*m.x9*m.x12*m.x12 + 9.19*m.x3*m.x8*m.x8*m.x8*m.x10 + 3.74*m.x3*m.x8*
                       m.x9*m.x9*m.x12 + 2.32*m.x3*m.x9*m.x9*m.x9*m.x12 + 5.49*m.x3*m.x9*m.x10*m.x10*m.x11 + 7.21*m.x4*
                       m.x4*m.x5*m.x5*m.x9 + 4.57*m.x4*m.x4*m.x8*m.x9*m.x10 + 7.63*m.x4*m.x4*m.x9*m.x10*m.x11 - 5.35*
                       m.x4*m.x5*m.x5*m.x5*m.x8 + 7.55*m.x4*m.x5*m.x5*m.x6*m.x9 - 5.62*m.x4*m.x5*m.x5*m.x8*m.x11 + 4.35*
                       m.x4*m.x5*m.x5*m.x8*m.x12 + 7.57*m.x4*m.x5*m.x6*m.x9*m.x10 + 0.19*m.x4*m.x5*m.x6*m.x10*m.x10 + 
                       2.76*m.x4*m.x5*m.x7*m.x11*m.x12 + 9.4*m.x4*m.x5*m.x9*m.x9*m.x9 + 1.5*m.x4*m.x5*m.x9*m.x10*m.x10
                        - 4.81*m.x4*m.x5*m.x9*m.x10*m.x11 + 1.68*m.x4*m.x6*m.x6*m.x9*m.x11 + 0.64*m.x4*m.x6*m.x8*m.x9*
                       m.x9 + 7.76*m.x4*m.x6*m.x10*m.x11*m.x11 + 4.91*m.x4*m.x7*m.x9*m.x9*m.x12 + 4.82*m.x4*m.x8*m.x8*
                       m.x12*m.x12 + 9.14*m.x4*m.x8*m.x10*m.x11*m.x11 - 8.28*m.x4*m.x8*m.x11*m.x11*m.x11 + 8.13*m.x4*
                       m.x9*m.x12*m.x12*m.x12 + 4.52*m.x5*m.x5*m.x5*m.x5*m.x8 - 7.66*m.x5*m.x5*m.x5*m.x6*m.x10 + 2.56*
                       m.x5*m.x5*m.x5*m.x8*m.x9 + 2.89*m.x5*m.x5*m.x5*m.x10*m.x10 + 2.44*m.x5*m.x6*m.x7*m.x9*m.x10 + 
                       5.34*m.x5*m.x6*m.x8*m.x8*m.x9 + 0.22*m.x5*m.x6*m.x8*m.x8*m.x10 + 1.19*m.x5*m.x6*m.x8*m.x8*m.x11
                        + 5.25*m.x5*m.x7*m.x7*m.x9*m.x10 + 8.72*m.x5*m.x7*m.x7*m.x9*m.x12 + 9.8*m.x5*m.x7*m.x8*m.x10*
                       m.x12 + 7.76*m.x5*m.x8*m.x8*m.x9*m.x12 + 6.5*m.x5*m.x8*m.x10*m.x11*m.x12 + 8.93*m.x5*m.x8*m.x10*
                       m.x12*m.x12 + 3.79*m.x5*m.x9*m.x9*m.x11*m.x12 + 5.4*m.x5*m.x9*m.x10*m.x11*m.x11 + 4.81*m.x5*m.x12
                       *m.x12*m.x12*m.x12 + 5.18*m.x6*m.x6*m.x7*m.x8*m.x9 + 9.92*m.x6*m.x6*m.x10*m.x11*m.x11 + 6.55*m.x6
                       *m.x7*m.x7*m.x7*m.x8 + 8.27*m.x6*m.x7*m.x7*m.x11*m.x12 + 4.51*m.x6*m.x7*m.x12*m.x12*m.x12 + 8.69*
                       m.x6*m.x8*m.x8*m.x11*m.x12 + 1.18*m.x6*m.x10*m.x10*m.x10*m.x10 + 5.13*m.x6*m.x11*m.x11*m.x12*
                       m.x12 + 7.73*m.x7*m.x7*m.x7*m.x9*m.x12 + 7.18*m.x7*m.x7*m.x8*m.x9*m.x9 + 0.89*m.x7*m.x7*m.x9*m.x9
                       *m.x11 + 0.69*m.x8*m.x9*m.x12*m.x12*m.x12 + 1.67*m.x8*m.x11*m.x11*m.x12*m.x12 + 9.09*m.x9*m.x9*
                       m.x11*m.x11*m.x12 + 9.23*m.x10*m.x11*m.x11*m.x12*m.x12 + 0.47*m.x11*m.x11*m.x11*m.x11*m.x11 - 
                       7.63*m.x11*m.x11*m.x12*m.x12*m.x12, sense=minimize)

m.c1 = Constraint(expr=   8.58*m.x3 + 4.37*m.x5 + 4.88*m.x8 - 3.48*m.x9 - 9.61*m.x10 + 3.38*m.x11 == 15.073)

m.c2 = Constraint(expr=   4.63*m.x2 + 3.18*m.x3 + 2.03*m.x5 + 6.1*m.x9 + 9.4*m.x11 + 6.01*m.x12 == 50.464)

m.c3 = Constraint(expr=   5.53*m.x1 - 8.52*m.x6 + 6.43*m.x7 + 4.15*m.x9 + 1.84*m.x10 + 3.74*m.x11 == 18.216)

m.c4 = Constraint(expr=   4.06*m.x1 + 7.45*m.x7 + 2.66*m.x8 + 8.08*m.x10 + 0.23*m.x11 - 5.02*m.x12 == 22.142)

m.c5 = Constraint(expr=   9.23*m.x1 - 2.3*m.x5 + 8.72*m.x6 - 7.48*m.x10 + 3.52*m.x11 + 6.48*m.x12 == 28.345)

m.c6 = Constraint(expr=   3.81*m.x1 + 3.83*m.x2 + 6.57*m.x4 + 8.46*m.x7 + 0.08*m.x9 + 3.38*m.x11 == 35.158)

m.c7 = Constraint(expr=   5.84*m.x1 + 7.92*m.x2 + 4.01*m.x3 - 1.67*m.x4 + 6.94*m.x5 + 8.76*m.x6 + 1.44*m.x7 + 9.63*m.x8
                        + 2.66*m.x9 + 2.33*m.x10 + 8.44*m.x11 + 4.21*m.x12 >= 92.801)

m.c8 = Constraint(expr=2.34*m.x2*m.x4 + 8.27*m.x2 + 7.19*m.x4 + 9.13*m.x3*m.x4 + 4.08*m.x3 + 2.3*m.x5*m.x9 + 7.54*m.x5
                        + 5.89*m.x9 + 4*m.x6*m.x7 + 2.74*m.x6 + 8.56*m.x7 + 5.77*m.x7*m.x12 + 8.74*m.x12 + 6.4*m.x1
                        + 3.43*m.x8 + 8.15*m.x10 + 0.82*m.x11 >= 180.091)

m.c9 = Constraint(expr=8.83*m.x2*m.x4 + 7*m.x2 + 6.23*m.x4 + 4.23*m.x3*m.x4 + 5.5*m.x3 + 3.65*m.x5*m.x9 + 7.03*m.x5 + 
                       5.63*m.x9 + 8.95*m.x6*m.x7 + 7.73*m.x6 + 1.51*m.x7 + 0.77*m.x7*m.x12 + 6.89*m.x12 - 3.92*m.x1*
                       m.x1*m.x1 + 4.75*m.x1 + 3.31*m.x1*m.x1*m.x7 + 1.8*m.x1*m.x3*m.x4 + 4.94*m.x1*m.x5*m.x8 + 4.31*
                       m.x8 + 3.81*m.x1*m.x5*m.x9 + 1.51*m.x2*m.x3*m.x4 + 7.51*m.x2*m.x3*m.x6 + 3.86*m.x2*m.x4*m.x6 + 
                       3.97*m.x2*m.x4*m.x7 + 4.34*m.x2*m.x4*m.x10 + 8.69*m.x10 + 9.49*m.x2*m.x7*m.x11 + 5.19*m.x11 + 
                       5.11*m.x2*m.x8*m.x11 + 2.3*m.x4*m.x6*m.x8 + 0.79*m.x4*m.x7*m.x12 + 9.49*m.x5*m.x6*m.x9 + 3.52*
                       m.x5*m.x9*m.x10 + 4.56*m.x6*m.x10*m.x10 + 3.03*m.x7*m.x7*m.x7 - 0.74*m.x7*m.x7*m.x10 + 9.65*m.x7*
                       m.x11*m.x12 + 0.64*m.x8*m.x11*m.x12 >= 777.627)

m.c10 = Constraint(expr=1.08*m.x2*m.x4 + 7.32*m.x2 + 7.15*m.x4 + 6.06*m.x3*m.x4 + 4.56*m.x3 + 3.46*m.x5*m.x9 + 5.61*m.x5
                         + 7.08*m.x9 + 3.66*m.x6*m.x7 + 9.89*m.x6 + 0.7*m.x7 + 9.91*m.x7*m.x12 + 0.18*m.x12 + 2.18*m.x1*
                        m.x1*m.x1 + 3.07*m.x1 + 8.51*m.x1*m.x1*m.x7 + 0.29*m.x1*m.x3*m.x4 + 2.46*m.x1*m.x5*m.x8 + 6.14*
                        m.x8 + 4.4*m.x1*m.x5*m.x9 + 7.42*m.x2*m.x3*m.x4 + 6.94*m.x2*m.x3*m.x6 + 8.29*m.x2*m.x4*m.x6 + 
                        9.83*m.x2*m.x4*m.x7 + 3.26*m.x2*m.x4*m.x10 + 7.56*m.x10 + 3.62*m.x2*m.x7*m.x11 + 9.24*m.x11 + 
                        7.99*m.x2*m.x8*m.x11 + 7.36*m.x4*m.x6*m.x8 + 7.67*m.x4*m.x7*m.x12 + 9.81*m.x5*m.x6*m.x9 + 9.81*
                        m.x5*m.x9*m.x10 + 7.07*m.x6*m.x10*m.x10 + 5.57*m.x7*m.x7*m.x7 + 7.01*m.x7*m.x7*m.x10 + 2.45*m.x7
                        *m.x11*m.x12 + 5.9*m.x8*m.x11*m.x12 + 6.11*m.x1*m.x1*m.x3*m.x4 + 7.46*m.x1*m.x1*m.x3*m.x5 + 4.21
                        *m.x1*m.x1*m.x5*m.x12 + 9.59*m.x1*m.x1*m.x6*m.x11 + 9.95*m.x1*m.x2*m.x2*m.x12 - 9.28*m.x1*m.x3*
                        m.x3*m.x12 + 8.33*m.x1*m.x3*m.x6*m.x6 + 0.8*m.x1*m.x4*m.x5*m.x6 - 2.7*m.x1*m.x4*m.x5*m.x10 + 
                        7.66*m.x1*m.x4*m.x6*m.x9 + 4.6*m.x1*m.x4*m.x8*m.x12 + 3.53*m.x1*m.x5*m.x6*m.x7 + 4.63*m.x1*m.x6*
                        m.x6*m.x8 - 2.47*m.x1*m.x6*m.x6*m.x9 - 7.17*m.x1*m.x6*m.x12*m.x12 + 3.83*m.x1*m.x7*m.x7*m.x7 + 
                        6.71*m.x2*m.x2*m.x4*m.x4 + 2.03*m.x2*m.x2*m.x4*m.x9 + 8.71*m.x2*m.x2*m.x5*m.x5 + 6.66*m.x2*m.x2*
                        m.x5*m.x8 + 2.76*m.x2*m.x2*m.x6*m.x6 + 3.11*m.x2*m.x3*m.x3*m.x5 - 0.73*m.x2*m.x3*m.x5*m.x12 + 
                        9.08*m.x2*m.x3*m.x6*m.x6 + 7.99*m.x2*m.x3*m.x6*m.x11 - 7.29*m.x2*m.x3*m.x7*m.x8 - 0.18*m.x2*m.x3
                        *m.x7*m.x10 + 9.67*m.x2*m.x3*m.x12*m.x12 + 3.68*m.x2*m.x4*m.x7*m.x8 - 3.43*m.x2*m.x5*m.x6*m.x11
                         + 2.3*m.x2*m.x5*m.x7*m.x7 + 4.17*m.x2*m.x7*m.x7*m.x7 + 8.19*m.x2*m.x7*m.x10*m.x10 - 6.51*m.x2*
                        m.x8*m.x9*m.x12 - 9.74*m.x3*m.x3*m.x3*m.x10 + 7.42*m.x3*m.x3*m.x6*m.x9 + 4.18*m.x3*m.x3*m.x6*
                        m.x12 + 2.64*m.x3*m.x4*m.x7*m.x11 + 7.9*m.x3*m.x4*m.x10*m.x11 + 1.5*m.x3*m.x5*m.x9*m.x11 + 2.06*
                        m.x3*m.x6*m.x6*m.x9 + 0.36*m.x3*m.x6*m.x6*m.x11 + 6.52*m.x3*m.x12*m.x12*m.x12 + 0.16*m.x4*m.x4*
                        m.x4*m.x9 + 9.74*m.x4*m.x4*m.x9*m.x12 + 8.18*m.x4*m.x4*m.x11*m.x11 + 7.56*m.x4*m.x5*m.x5*m.x6 + 
                        9.5*m.x4*m.x5*m.x7*m.x9 + 8.62*m.x4*m.x5*m.x8*m.x11 + 8.36*m.x4*m.x5*m.x10*m.x11 + 9.27*m.x4*
                        m.x6*m.x9*m.x12 + 4.83*m.x5*m.x5*m.x12*m.x12 + 5.78*m.x5*m.x6*m.x7*m.x12 + 6.96*m.x5*m.x6*m.x8*
                        m.x8 + 6.58*m.x5*m.x6*m.x10*m.x11 + 3.89*m.x5*m.x7*m.x7*m.x11 + 2.49*m.x5*m.x7*m.x8*m.x8 + 0.11*
                        m.x5*m.x7*m.x11*m.x11 + 7.64*m.x5*m.x8*m.x8*m.x12 + 6.24*m.x5*m.x10*m.x10*m.x12 + 8.91*m.x5*
                        m.x10*m.x12*m.x12 + 6.6*m.x6*m.x6*m.x9*m.x10 + 6.74*m.x6*m.x6*m.x9*m.x11 + 8.93*m.x6*m.x6*m.x11*
                        m.x12 + 5.09*m.x6*m.x10*m.x12*m.x12 + 6.58*m.x7*m.x7*m.x7*m.x8 + 3.38*m.x7*m.x7*m.x8*m.x9 + 8.4*
                        m.x7*m.x7*m.x8*m.x11 + 8.19*m.x7*m.x9*m.x10*m.x10 + 6.7*m.x8*m.x10*m.x10*m.x11 + 7.6*m.x8*m.x11*
                        m.x12*m.x12 + 8.66*m.x9*m.x9*m.x10*m.x10 + 5.93*m.x10*m.x10*m.x10*m.x11 + 1.32*m.x10*m.x10*m.x10
                        *m.x12 >= 7075.896)

m.c11 = Constraint(expr=5.86*m.x2*m.x4 + 5.7*m.x2 + 0.1*m.x4 - 4.77*m.x3*m.x4 + 6.35*m.x3 + 8.07*m.x5*m.x9 + 7.71*m.x5
                         + 2.17*m.x9 + 0.35*m.x6*m.x7 + 8.15*m.x6 - 3.79*m.x7 + 0.65*m.x7*m.x12 + 4.09*m.x12 + 2.9*m.x1*
                        m.x1*m.x1 + 1.63*m.x1 + 6.28*m.x1*m.x1*m.x7 + 1.68*m.x1*m.x3*m.x4 + 2.36*m.x1*m.x5*m.x8 - 1.74*
                        m.x8 + 9.42*m.x1*m.x5*m.x9 + 9.96*m.x2*m.x3*m.x4 - 5.98*m.x2*m.x3*m.x6 + 9.84*m.x2*m.x4*m.x6 + 
                        4.89*m.x2*m.x4*m.x7 - 3.25*m.x2*m.x4*m.x10 - 4.21*m.x10 - 2.88*m.x2*m.x7*m.x11 + 1.09*m.x11 + 
                        0.29*m.x2*m.x8*m.x11 - 7.76*m.x4*m.x6*m.x8 + 3.7*m.x4*m.x7*m.x12 + 5.09*m.x5*m.x6*m.x9 + 0.9*
                        m.x5*m.x9*m.x10 + 8.75*m.x6*m.x10*m.x10 - 1.99*m.x7*m.x7*m.x7 + 5.9*m.x7*m.x7*m.x10 + 6.69*m.x7*
                        m.x11*m.x12 + 1.53*m.x8*m.x11*m.x12 + 7.88*m.x1*m.x1*m.x3*m.x4 + 2.98*m.x1*m.x1*m.x3*m.x5 + 4.62
                        *m.x1*m.x1*m.x5*m.x12 - 9.66*m.x1*m.x1*m.x6*m.x11 + 2.47*m.x1*m.x2*m.x2*m.x12 + 8.42*m.x1*m.x3*
                        m.x3*m.x12 + 3.9*m.x1*m.x3*m.x6*m.x6 + 9.72*m.x1*m.x4*m.x5*m.x6 + 6.64*m.x1*m.x4*m.x5*m.x10 + 
                        5.03*m.x1*m.x4*m.x6*m.x9 + 2.66*m.x1*m.x4*m.x8*m.x12 + 0.74*m.x1*m.x5*m.x6*m.x7 + 5.82*m.x1*m.x6
                        *m.x6*m.x8 + 8.86*m.x1*m.x6*m.x6*m.x9 + 0.74*m.x1*m.x6*m.x12*m.x12 + 9.87*m.x1*m.x7*m.x7*m.x7 + 
                        0.93*m.x2*m.x2*m.x4*m.x4 + 8*m.x2*m.x2*m.x4*m.x9 + 8.82*m.x2*m.x2*m.x5*m.x5 + 4.27*m.x2*m.x2*
                        m.x5*m.x8 + 5.63*m.x2*m.x2*m.x6*m.x6 + 7.6*m.x2*m.x3*m.x3*m.x5 - 3.78*m.x2*m.x3*m.x5*m.x12 + 9.3
                        *m.x2*m.x3*m.x6*m.x6 + 9.78*m.x2*m.x3*m.x6*m.x11 + 1.21*m.x2*m.x3*m.x7*m.x8 + 0.27*m.x2*m.x3*
                        m.x7*m.x10 + 2.92*m.x2*m.x3*m.x12*m.x12 + 9.17*m.x2*m.x4*m.x7*m.x8 + 8.25*m.x2*m.x5*m.x6*m.x11
                         - 8.6*m.x2*m.x5*m.x7*m.x7 + 6.37*m.x2*m.x7*m.x7*m.x7 + 1.52*m.x2*m.x7*m.x10*m.x10 + 7.86*m.x2*
                        m.x8*m.x9*m.x12 + 8.82*m.x3*m.x3*m.x3*m.x10 - 1.05*m.x3*m.x3*m.x6*m.x9 - 8.67*m.x3*m.x3*m.x6*
                        m.x12 + 8.89*m.x3*m.x4*m.x7*m.x11 + 1.05*m.x3*m.x4*m.x10*m.x11 + 1.72*m.x3*m.x5*m.x9*m.x11 + 
                        5.07*m.x3*m.x6*m.x6*m.x9 + 6.23*m.x3*m.x6*m.x6*m.x11 - 2.13*m.x3*m.x12*m.x12*m.x12 + 5.9*m.x4*
                        m.x4*m.x4*m.x9 + 2.53*m.x4*m.x4*m.x9*m.x12 + 3.31*m.x4*m.x4*m.x11*m.x11 - 8.45*m.x4*m.x5*m.x5*
                        m.x6 - 9.53*m.x4*m.x5*m.x7*m.x9 + 1.15*m.x4*m.x5*m.x8*m.x11 + 0.94*m.x4*m.x5*m.x10*m.x11 - 5.03*
                        m.x4*m.x6*m.x9*m.x12 + 8.89*m.x5*m.x5*m.x12*m.x12 + 6.6*m.x5*m.x6*m.x7*m.x12 + 2.3*m.x5*m.x6*
                        m.x8*m.x8 + 0.91*m.x5*m.x6*m.x10*m.x11 + 8.76*m.x5*m.x7*m.x7*m.x11 + 3.54*m.x5*m.x7*m.x8*m.x8 + 
                        4.24*m.x5*m.x7*m.x11*m.x11 + 0.71*m.x5*m.x8*m.x8*m.x12 + 6.84*m.x5*m.x10*m.x10*m.x12 + 5.42*m.x5
                        *m.x10*m.x12*m.x12 + 4.84*m.x6*m.x6*m.x9*m.x10 + 2.52*m.x6*m.x6*m.x9*m.x11 + 4.41*m.x6*m.x6*
                        m.x11*m.x12 + 0.36*m.x6*m.x10*m.x12*m.x12 + 7.19*m.x7*m.x7*m.x7*m.x8 + 1.97*m.x7*m.x7*m.x8*m.x9
                         + 3.24*m.x7*m.x7*m.x8*m.x11 + 3.47*m.x7*m.x9*m.x10*m.x10 + 9.41*m.x8*m.x10*m.x10*m.x11 - 2.62*
                        m.x8*m.x11*m.x12*m.x12 + 8.76*m.x9*m.x9*m.x10*m.x10 + 5.27*m.x10*m.x10*m.x10*m.x11 + 0.97*m.x10*
                        m.x10*m.x10*m.x12 + 2.52*m.x1*m.x1*m.x1*m.x1*m.x11 + 9.48*m.x1*m.x1*m.x1*m.x5*m.x12 + 6.44*m.x1*
                        m.x1*m.x1*m.x6*m.x9 - 5.21*m.x1*m.x1*m.x1*m.x8*m.x10 + 7.09*m.x1*m.x1*m.x2*m.x3*m.x8 + 2.63*m.x1
                        *m.x1*m.x2*m.x6*m.x11 + 8.77*m.x1*m.x1*m.x2*m.x9*m.x9 + 8.11*m.x1*m.x1*m.x3*m.x4*m.x10 - 8.19*
                        m.x1*m.x1*m.x3*m.x7*m.x7 + 6.11*m.x1*m.x1*m.x4*m.x4*m.x12 - 2.43*m.x1*m.x1*m.x4*m.x8*m.x8 + 3.39
                        *m.x1*m.x1*m.x4*m.x9*m.x9 + 9.51*m.x1*m.x1*m.x5*m.x6*m.x9 + 6.62*m.x1*m.x1*m.x6*m.x9*m.x12 + 9.4
                        *m.x1*m.x1*m.x7*m.x7*m.x12 + 3.72*m.x1*m.x1*m.x7*m.x9*m.x9 + 8.17*m.x1*m.x1*m.x8*m.x10*m.x10 + 
                        4.11*m.x1*m.x1*m.x10*m.x12*m.x12 + 3.25*m.x1*m.x2*m.x2*m.x2*m.x12 + 8.34*m.x1*m.x2*m.x2*m.x3*
                        m.x8 + 2.52*m.x1*m.x2*m.x2*m.x4*m.x8 - 2.38*m.x1*m.x2*m.x2*m.x9*m.x11 + 5.05*m.x1*m.x2*m.x2*
                        m.x10*m.x10 + 6.77*m.x1*m.x2*m.x3*m.x3*m.x5 + 6.3*m.x1*m.x2*m.x3*m.x3*m.x7 + 6.09*m.x1*m.x2*m.x3
                        *m.x4*m.x6 + 5.65*m.x1*m.x2*m.x4*m.x7*m.x11 + 8.92*m.x1*m.x2*m.x4*m.x9*m.x10 + 8.97*m.x1*m.x2*
                        m.x5*m.x8*m.x8 + 3.82*m.x1*m.x2*m.x6*m.x6*m.x8 + 4.14*m.x1*m.x2*m.x6*m.x7*m.x8 + 1.33*m.x1*m.x2*
                        m.x6*m.x7*m.x9 + 2.29*m.x1*m.x2*m.x6*m.x7*m.x11 + 7.59*m.x1*m.x3*m.x4*m.x5*m.x12 - 2.57*m.x1*
                        m.x3*m.x5*m.x5*m.x10 + 9.73*m.x1*m.x3*m.x5*m.x8*m.x12 + 3.23*m.x1*m.x3*m.x6*m.x6*m.x7 + 8.41*
                        m.x1*m.x3*m.x6*m.x6*m.x10 + 6.93*m.x1*m.x3*m.x8*m.x8*m.x10 + 7.81*m.x1*m.x3*m.x8*m.x10*m.x11 + 
                        2.99*m.x1*m.x3*m.x8*m.x11*m.x12 + 8.3*m.x1*m.x3*m.x9*m.x10*m.x12 + 4.39*m.x1*m.x4*m.x4*m.x5*
                        m.x11 - 2.3*m.x1*m.x4*m.x5*m.x6*m.x10 + 2.42*m.x1*m.x4*m.x6*m.x6*m.x10 + 8.39*m.x1*m.x4*m.x8*
                        m.x8*m.x12 + 6.74*m.x1*m.x4*m.x9*m.x9*m.x9 + 4.22*m.x1*m.x4*m.x9*m.x10*m.x10 + 3.61*m.x1*m.x5*
                        m.x5*m.x5*m.x5 + 3.34*m.x1*m.x5*m.x5*m.x5*m.x7 + 0.18*m.x1*m.x5*m.x5*m.x6*m.x10 + 6.42*m.x1*m.x5
                        *m.x7*m.x8*m.x9 + 7.69*m.x1*m.x5*m.x8*m.x11*m.x12 + 2.03*m.x1*m.x6*m.x7*m.x7*m.x9 + 1.22*m.x1*
                        m.x6*m.x8*m.x9*m.x12 + 7.41*m.x1*m.x6*m.x10*m.x12*m.x12 + 9*m.x1*m.x7*m.x8*m.x8*m.x10 + 4.46*
                        m.x1*m.x10*m.x10*m.x10*m.x12 + 8.96*m.x2*m.x2*m.x2*m.x4*m.x4 + 1.34*m.x2*m.x2*m.x2*m.x12*m.x12
                         + 5.4*m.x2*m.x2*m.x3*m.x3*m.x4 + 4.91*m.x2*m.x2*m.x3*m.x5*m.x11 + 3.56*m.x2*m.x2*m.x3*m.x9*
                        m.x12 + 4.35*m.x2*m.x2*m.x4*m.x6*m.x6 + 4.89*m.x2*m.x2*m.x4*m.x7*m.x9 + 1.35*m.x2*m.x2*m.x5*m.x5
                        *m.x7 + 0.93*m.x2*m.x2*m.x5*m.x5*m.x11 + 7.04*m.x2*m.x2*m.x7*m.x8*m.x10 + 8.45*m.x2*m.x2*m.x7*
                        m.x8*m.x12 + 1.12*m.x2*m.x2*m.x7*m.x9*m.x10 + 3.78*m.x2*m.x2*m.x7*m.x10*m.x10 + 3.33*m.x2*m.x2*
                        m.x7*m.x10*m.x12 + 9.14*m.x2*m.x2*m.x9*m.x11*m.x11 + 2.83*m.x2*m.x2*m.x11*m.x11*m.x12 + 8.75*
                        m.x2*m.x3*m.x3*m.x5*m.x9 + 5.46*m.x2*m.x3*m.x3*m.x6*m.x6 + 7.47*m.x2*m.x3*m.x3*m.x6*m.x8 + 4.54*
                        m.x2*m.x3*m.x3*m.x8*m.x10 + 9.96*m.x2*m.x3*m.x5*m.x6*m.x7 + 5.27*m.x2*m.x3*m.x5*m.x7*m.x12 - 
                        2.98*m.x2*m.x3*m.x6*m.x10*m.x12 + 8.15*m.x2*m.x3*m.x7*m.x7*m.x12 + 8.74*m.x2*m.x3*m.x7*m.x10*
                        m.x12 + 1.76*m.x2*m.x4*m.x4*m.x6*m.x7 + 2.11*m.x2*m.x4*m.x4*m.x7*m.x7 + 0.1*m.x2*m.x4*m.x4*m.x9*
                        m.x9 + 9.52*m.x2*m.x4*m.x5*m.x8*m.x12 + 4.9*m.x2*m.x4*m.x6*m.x9*m.x9 + 2.28*m.x2*m.x4*m.x7*m.x7*
                        m.x11 + 8.23*m.x2*m.x4*m.x7*m.x9*m.x9 + 2.18*m.x2*m.x4*m.x8*m.x8*m.x9 + 5.6*m.x2*m.x4*m.x9*m.x9*
                        m.x10 + 2.27*m.x2*m.x4*m.x11*m.x11*m.x11 + 5*m.x2*m.x5*m.x5*m.x7*m.x8 + 0.43*m.x2*m.x5*m.x5*m.x7
                        *m.x9 + 2.07*m.x2*m.x5*m.x5*m.x9*m.x10 + 8.78*m.x2*m.x5*m.x6*m.x9*m.x10 + 6.87*m.x2*m.x5*m.x7*
                        m.x10*m.x12 + 6.56*m.x2*m.x5*m.x7*m.x11*m.x12 + 2.33*m.x2*m.x5*m.x10*m.x10*m.x12 + 9.34*m.x2*
                        m.x6*m.x7*m.x7*m.x7 + 9.98*m.x2*m.x6*m.x7*m.x9*m.x11 + 2.45*m.x2*m.x6*m.x8*m.x9*m.x11 + 2.99*
                        m.x2*m.x7*m.x9*m.x9*m.x10 + 1.35*m.x2*m.x8*m.x8*m.x9*m.x9 + 2.05*m.x2*m.x8*m.x8*m.x11*m.x11 + 
                        6.77*m.x2*m.x8*m.x9*m.x9*m.x11 + 4.29*m.x2*m.x8*m.x10*m.x10*m.x12 - 7.48*m.x2*m.x9*m.x9*m.x10*
                        m.x10 + 0.56*m.x2*m.x9*m.x10*m.x10*m.x10 - 8.46*m.x3*m.x3*m.x3*m.x5*m.x11 + 1.43*m.x3*m.x3*m.x3*
                        m.x9*m.x10 + 7.25*m.x3*m.x3*m.x4*m.x4*m.x12 - 7.16*m.x3*m.x3*m.x4*m.x11*m.x11 + 6.43*m.x3*m.x3*
                        m.x5*m.x5*m.x12 + 2.04*m.x3*m.x3*m.x5*m.x10*m.x12 - 4.86*m.x3*m.x3*m.x6*m.x6*m.x10 - 8.31*m.x3*
                        m.x3*m.x6*m.x8*m.x8 + 5.61*m.x3*m.x3*m.x6*m.x10*m.x12 + 0.04*m.x3*m.x3*m.x7*m.x9*m.x11 + 3.35*
                        m.x3*m.x3*m.x11*m.x11*m.x11 + 2.25*m.x3*m.x4*m.x4*m.x4*m.x4 + 9.08*m.x3*m.x4*m.x4*m.x4*m.x5 + 
                        5.62*m.x3*m.x4*m.x4*m.x5*m.x7 + 4.89*m.x3*m.x4*m.x5*m.x10*m.x12 - 2.08*m.x3*m.x4*m.x6*m.x6*m.x7
                         - 6.64*m.x3*m.x4*m.x6*m.x9*m.x9 + 1.56*m.x3*m.x4*m.x8*m.x8*m.x11 + 7.42*m.x3*m.x4*m.x9*m.x9*
                        m.x10 + 5.26*m.x3*m.x4*m.x10*m.x10*m.x10 + 9.46*m.x3*m.x5*m.x5*m.x5*m.x9 + 5.77*m.x3*m.x5*m.x6*
                        m.x6*m.x12 + 7.48*m.x3*m.x5*m.x6*m.x9*m.x9 - 9.24*m.x3*m.x5*m.x6*m.x11*m.x12 + 1.1*m.x3*m.x5*
                        m.x7*m.x11*m.x12 - 0.07*m.x3*m.x5*m.x9*m.x9*m.x10 + 9.33*m.x3*m.x5*m.x9*m.x9*m.x12 - 3.33*m.x3*
                        m.x5*m.x10*m.x11*m.x12 + 4.74*m.x3*m.x6*m.x6*m.x6*m.x9 + 5.22*m.x3*m.x6*m.x6*m.x7*m.x7 + 0.3*
                        m.x3*m.x6*m.x7*m.x7*m.x12 + 6.95*m.x3*m.x6*m.x8*m.x8*m.x10 + 6.62*m.x3*m.x6*m.x8*m.x10*m.x11 + 
                        2.25*m.x3*m.x6*m.x8*m.x11*m.x12 + 2.37*m.x3*m.x6*m.x9*m.x11*m.x11 + 3.97*m.x3*m.x6*m.x9*m.x11*
                        m.x12 + 5.79*m.x3*m.x6*m.x11*m.x12*m.x12 + 9.93*m.x3*m.x7*m.x7*m.x7*m.x7 + 0.03*m.x3*m.x7*m.x7*
                        m.x11*m.x11 + 3.42*m.x3*m.x7*m.x9*m.x12*m.x12 + 0.11*m.x3*m.x8*m.x8*m.x8*m.x10 + 8.64*m.x3*m.x8*
                        m.x9*m.x9*m.x12 - 4.42*m.x3*m.x9*m.x9*m.x9*m.x12 + 6.38*m.x3*m.x9*m.x10*m.x10*m.x11 + 8.43*m.x4*
                        m.x4*m.x5*m.x5*m.x9 + 0.32*m.x4*m.x4*m.x8*m.x9*m.x10 + 3.6*m.x4*m.x4*m.x9*m.x10*m.x11 + 9.14*
                        m.x4*m.x5*m.x5*m.x5*m.x8 + 9.09*m.x4*m.x5*m.x5*m.x6*m.x9 + 4.85*m.x4*m.x5*m.x5*m.x8*m.x11 - 9.25
                        *m.x4*m.x5*m.x5*m.x8*m.x12 + 2.65*m.x4*m.x5*m.x6*m.x9*m.x10 + 4.66*m.x4*m.x5*m.x6*m.x10*m.x10 + 
                        2.53*m.x4*m.x5*m.x7*m.x11*m.x12 + 9.45*m.x4*m.x5*m.x9*m.x9*m.x9 + 8.13*m.x4*m.x5*m.x9*m.x10*
                        m.x10 + 2.87*m.x4*m.x5*m.x9*m.x10*m.x11 + 2.88*m.x4*m.x6*m.x6*m.x9*m.x11 + 7.79*m.x4*m.x6*m.x8*
                        m.x9*m.x9 + 9.03*m.x4*m.x6*m.x10*m.x11*m.x11 + 3.91*m.x4*m.x7*m.x9*m.x9*m.x12 + 9.68*m.x4*m.x8*
                        m.x8*m.x12*m.x12 + 8.75*m.x4*m.x8*m.x10*m.x11*m.x11 + 9.19*m.x4*m.x8*m.x11*m.x11*m.x11 + 3.84*
                        m.x4*m.x9*m.x12*m.x12*m.x12 + 2.28*m.x5*m.x5*m.x5*m.x5*m.x8 - 9.29*m.x5*m.x5*m.x5*m.x6*m.x10 - 
                        7.2*m.x5*m.x5*m.x5*m.x8*m.x9 + 4.33*m.x5*m.x5*m.x5*m.x10*m.x10 + 3.11*m.x5*m.x6*m.x7*m.x9*m.x10
                         + 6.7*m.x5*m.x6*m.x8*m.x8*m.x9 + 7.16*m.x5*m.x6*m.x8*m.x8*m.x10 + 8.68*m.x5*m.x6*m.x8*m.x8*
                        m.x11 + 1.49*m.x5*m.x7*m.x7*m.x9*m.x10 + 2.68*m.x5*m.x7*m.x7*m.x9*m.x12 + 5.49*m.x5*m.x7*m.x8*
                        m.x10*m.x12 + 4*m.x5*m.x8*m.x8*m.x9*m.x12 + 3.64*m.x5*m.x8*m.x10*m.x11*m.x12 + 3.74*m.x5*m.x8*
                        m.x10*m.x12*m.x12 + 4.17*m.x5*m.x9*m.x9*m.x11*m.x12 + 9.68*m.x5*m.x9*m.x10*m.x11*m.x11 + 9.01*
                        m.x5*m.x12*m.x12*m.x12*m.x12 + 7.75*m.x6*m.x6*m.x7*m.x8*m.x9 + 0.13*m.x6*m.x6*m.x10*m.x11*m.x11
                         + 2.17*m.x6*m.x7*m.x7*m.x7*m.x8 + 2.8*m.x6*m.x7*m.x7*m.x11*m.x12 + 6.83*m.x6*m.x7*m.x12*m.x12*
                        m.x12 - 0.89*m.x6*m.x8*m.x8*m.x11*m.x12 + 5.91*m.x6*m.x10*m.x10*m.x10*m.x10 + 4.72*m.x6*m.x11*
                        m.x11*m.x12*m.x12 + 6.42*m.x7*m.x7*m.x7*m.x9*m.x12 + 6.52*m.x7*m.x7*m.x8*m.x9*m.x9 + 0.56*m.x7*
                        m.x7*m.x9*m.x9*m.x11 + 4.09*m.x8*m.x9*m.x12*m.x12*m.x12 + 0.66*m.x8*m.x11*m.x11*m.x12*m.x12 + 
                        7.76*m.x9*m.x9*m.x11*m.x11*m.x12 + 4.52*m.x10*m.x11*m.x11*m.x12*m.x12 + 1.08*m.x11*m.x11*m.x11*
                        m.x11*m.x11 + 3.98*m.x11*m.x11*m.x12*m.x12*m.x12 >= 44531.87)

m.c12 = Constraint(expr=   0.47*m.x1 - 4.58*m.x2 + 4.26*m.x3 + 8.94*m.x4 + 6.26*m.x5 + 1.97*m.x6 + 4.4*m.x7 + 0.36*m.x8
                         - 9.45*m.x9 + 4.55*m.x10 + 4.5*m.x11 + 5.64*m.x12 >= 41.124)
