#  NLP written by GAMS Convert at 05/24/17 14:05:44
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          9        1        8        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          9        9        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         73       21       52        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.54,2.13),initialize=0.54)
m.x2 = Var(within=Reals,bounds=(0.2,2.71),initialize=0.2)
m.x3 = Var(within=Reals,bounds=(0.81,2.75),initialize=0.81)
m.x4 = Var(within=Reals,bounds=(0.57,2.68),initialize=0.57)
m.x5 = Var(within=Reals,bounds=(0.67,2.05),initialize=0.67)
m.x6 = Var(within=Reals,bounds=(0.6,2.97),initialize=0.6)
m.x7 = Var(within=Reals,bounds=(0.03,2.13),initialize=0.03)
m.x8 = Var(within=Reals,bounds=(0.05,2.79),initialize=0.05)

m.obj = Objective(expr=7.88*m.x1*m.x4 + 9.79*m.x1 + 2.94*m.x4 + 2.52*m.x3*m.x3 + 2.92*m.x3 + 4.65*m.x4*m.x7 + 5.71*m.x7
                        + 3.34*m.x6*m.x8 + 9.81*m.x6 + 5.98*m.x8 + 7.93*m.x1*m.x6*m.x6 + 5.6*m.x1*m.x6*m.x7 + 0.81*m.x2*
                       m.x7*m.x7 + 2.92*m.x2 + 5.25*m.x4*m.x8*m.x8 + 0.04*m.x5*m.x5*m.x5 + 1.47*m.x5 + 1.82*m.x5*m.x6*
                       m.x7 + 1.6*m.x1*m.x1*m.x1*m.x5 + 1.5*m.x1*m.x1*m.x2*m.x6 + 1.09*m.x1*m.x1*m.x3*m.x5 + 2.64*m.x1*
                       m.x1*m.x5*m.x6 + 5.31*m.x1*m.x1*m.x7*m.x8 + 2.57*m.x1*m.x2*m.x4*m.x5 + 6.65*m.x1*m.x3*m.x3*m.x6
                        + 10*m.x1*m.x3*m.x4*m.x8 + 6.98*m.x1*m.x4*m.x5*m.x5 + 1.97*m.x1*m.x5*m.x5*m.x7 + 2.38*m.x1*m.x6*
                       m.x8*m.x8 + 9.33*m.x2*m.x2*m.x3*m.x5 + 5.46*m.x2*m.x2*m.x3*m.x8 + 9.97*m.x2*m.x2*m.x4*m.x6 + 6.74
                       *m.x2*m.x3*m.x6*m.x8 + 3.77*m.x2*m.x5*m.x5*m.x7 + 1.69*m.x2*m.x6*m.x8*m.x8 + 8.36*m.x2*m.x7*m.x7*
                       m.x7 + 4.95*m.x3*m.x3*m.x6*m.x8 + 9.72*m.x3*m.x4*m.x6*m.x8 + 8.33*m.x3*m.x5*m.x6*m.x6 + 6.7*m.x4*
                       m.x4*m.x5*m.x6 + 4.17*m.x4*m.x5*m.x6*m.x6 + 3.58*m.x5*m.x5*m.x6*m.x8 - 0.54*m.x7*m.x8*m.x8*m.x8
                        + 9.62*m.x1*m.x1*m.x1*m.x2*m.x4 + 9.95*m.x1*m.x1*m.x1*m.x3*m.x3 + 9.75*m.x1*m.x1*m.x2*m.x5*m.x5
                        + 8.05*m.x1*m.x1*m.x3*m.x3*m.x3 + 5.48*m.x1*m.x1*m.x3*m.x3*m.x8 - 3.93*m.x1*m.x1*m.x3*m.x5*m.x8
                        + 9.92*m.x1*m.x1*m.x5*m.x5*m.x5 + 8.51*m.x1*m.x1*m.x5*m.x7*m.x7 + 6.26*m.x1*m.x1*m.x7*m.x7*m.x7
                        + 2.76*m.x1*m.x2*m.x2*m.x3*m.x6 + 3.52*m.x1*m.x2*m.x2*m.x5*m.x7 + 2.04*m.x1*m.x2*m.x4*m.x7*m.x7
                        + 8.71*m.x1*m.x2*m.x5*m.x6*m.x7 + 8.36*m.x1*m.x2*m.x7*m.x7*m.x7 + 9.54*m.x1*m.x2*m.x7*m.x7*m.x8
                        + 7.03*m.x1*m.x3*m.x7*m.x7*m.x7 + 6.66*m.x1*m.x4*m.x4*m.x5*m.x8 - 9.26*m.x1*m.x4*m.x5*m.x6*m.x7
                        + 9.5*m.x1*m.x5*m.x6*m.x8*m.x8 + 7.26*m.x2*m.x2*m.x3*m.x3*m.x5 - 4.76*m.x2*m.x2*m.x3*m.x8*m.x8
                        + 3.42*m.x2*m.x2*m.x4*m.x4*m.x7 + 1.72*m.x2*m.x2*m.x4*m.x5*m.x7 - 0.18*m.x2*m.x2*m.x5*m.x6*m.x6
                        + 3.26*m.x2*m.x2*m.x5*m.x6*m.x7 - 2.06*m.x2*m.x3*m.x3*m.x3*m.x7 - 6.82*m.x2*m.x3*m.x3*m.x6*m.x8
                        + 6.49*m.x2*m.x3*m.x4*m.x6*m.x8 - 4.22*m.x2*m.x3*m.x7*m.x7*m.x8 + 4.94*m.x2*m.x4*m.x5*m.x8*m.x8
                        + 4.5*m.x2*m.x4*m.x6*m.x6*m.x6 + 0.98*m.x3*m.x3*m.x4*m.x7*m.x7 + 8.84*m.x3*m.x3*m.x5*m.x7*m.x8
                        + 6.76*m.x3*m.x5*m.x5*m.x8*m.x8 + 1.51*m.x3*m.x5*m.x6*m.x6*m.x7 + 4.56*m.x4*m.x4*m.x4*m.x5*m.x7
                        + 6.12*m.x4*m.x4*m.x5*m.x8*m.x8 + 4.86*m.x4*m.x4*m.x6*m.x6*m.x8 + 0.95*m.x4*m.x5*m.x7*m.x7*m.x8
                        + 7.62*m.x4*m.x6*m.x7*m.x8*m.x8 + 2.74*m.x5*m.x5*m.x5*m.x7*m.x8 + 8.19*m.x6*m.x7*m.x7*m.x8*m.x8
                        + 2.74*m.x7*m.x7*m.x7*m.x7*m.x7 + 4.58*m.x7*m.x7*m.x7*m.x8*m.x8 + 4.19*m.x1*m.x1*m.x1*m.x1*m.x2*
                       m.x7 + 7.48*m.x1*m.x1*m.x1*m.x1*m.x4*m.x6 + 5.39*m.x1*m.x1*m.x1*m.x2*m.x3*m.x6 + 9.72*m.x1*m.x1*
                       m.x1*m.x2*m.x5*m.x6 + 7.16*m.x1*m.x1*m.x1*m.x2*m.x5*m.x7 + 6.69*m.x1*m.x1*m.x1*m.x3*m.x5*m.x8 + 
                       9.05*m.x1*m.x1*m.x1*m.x3*m.x6*m.x7 + 4.24*m.x1*m.x1*m.x1*m.x3*m.x6*m.x8 + 3.15*m.x1*m.x1*m.x1*
                       m.x4*m.x4*m.x5 + 5.71*m.x1*m.x1*m.x1*m.x4*m.x5*m.x5 + 9.69*m.x1*m.x1*m.x1*m.x5*m.x6*m.x6 + 4.57*
                       m.x1*m.x1*m.x1*m.x8*m.x8*m.x8 + 3.37*m.x1*m.x1*m.x2*m.x2*m.x3*m.x7 - 4.31*m.x1*m.x1*m.x2*m.x2*
                       m.x7*m.x7 + 4.66*m.x1*m.x1*m.x2*m.x3*m.x3*m.x7 + 2*m.x1*m.x1*m.x2*m.x4*m.x4*m.x7 + 4.89*m.x1*m.x1
                       *m.x2*m.x4*m.x5*m.x8 + 7.32*m.x1*m.x1*m.x3*m.x3*m.x3*m.x5 + 9.45*m.x1*m.x1*m.x3*m.x3*m.x5*m.x8 + 
                       3.4*m.x1*m.x1*m.x3*m.x3*m.x6*m.x7 + 7.98*m.x1*m.x1*m.x3*m.x5*m.x5*m.x5 + 1.11*m.x1*m.x1*m.x3*m.x5
                       *m.x7*m.x8 + 5.67*m.x1*m.x1*m.x4*m.x4*m.x5*m.x5 + 3.39*m.x1*m.x1*m.x4*m.x4*m.x5*m.x8 + 4.78*m.x1*
                       m.x1*m.x5*m.x5*m.x5*m.x6 + 1.22*m.x1*m.x1*m.x5*m.x7*m.x7*m.x8 + 0.33*m.x1*m.x1*m.x5*m.x7*m.x8*
                       m.x8 + 7.6*m.x1*m.x1*m.x6*m.x6*m.x6*m.x6 + 9.16*m.x1*m.x1*m.x6*m.x6*m.x6*m.x8 + 1.38*m.x1*m.x1*
                       m.x6*m.x7*m.x7*m.x8 + 6.32*m.x1*m.x2*m.x2*m.x2*m.x3*m.x5 + 7.25*m.x1*m.x2*m.x2*m.x2*m.x3*m.x7 - 
                       7.88*m.x1*m.x2*m.x2*m.x2*m.x7*m.x7 + 3.65*m.x1*m.x2*m.x2*m.x3*m.x4*m.x4 + 4.23*m.x1*m.x2*m.x2*
                       m.x3*m.x4*m.x7 - 4.99*m.x1*m.x2*m.x2*m.x3*m.x5*m.x8 - 2.94*m.x1*m.x2*m.x2*m.x3*m.x6*m.x7 + 9.9*
                       m.x1*m.x2*m.x2*m.x3*m.x7*m.x8 + 5.26*m.x1*m.x2*m.x3*m.x3*m.x4*m.x5 + 1.95*m.x1*m.x2*m.x3*m.x4*
                       m.x6*m.x8 - 5.23*m.x1*m.x2*m.x4*m.x4*m.x5*m.x7 + 4.48*m.x1*m.x2*m.x4*m.x6*m.x7*m.x8 - 5.58*m.x1*
                       m.x2*m.x4*m.x7*m.x8*m.x8 + 6.07*m.x1*m.x2*m.x5*m.x5*m.x8*m.x8 + 9.41*m.x1*m.x2*m.x5*m.x6*m.x8*
                       m.x8 + 8.19*m.x1*m.x3*m.x3*m.x3*m.x4*m.x5 + 1.76*m.x1*m.x3*m.x3*m.x3*m.x4*m.x6 + 1.67*m.x1*m.x3*
                       m.x3*m.x3*m.x5*m.x6 + 0.05*m.x1*m.x3*m.x3*m.x3*m.x7*m.x8 + 3.44*m.x1*m.x3*m.x3*m.x3*m.x8*m.x8 + 
                       7.58*m.x1*m.x3*m.x3*m.x4*m.x4*m.x7 + 0.26*m.x1*m.x3*m.x3*m.x4*m.x5*m.x7 + 9.01*m.x1*m.x3*m.x3*
                       m.x6*m.x6*m.x7 + 0.75*m.x1*m.x3*m.x3*m.x6*m.x6*m.x8 + 2.01*m.x1*m.x3*m.x3*m.x7*m.x7*m.x7 + 2.63*
                       m.x1*m.x3*m.x4*m.x4*m.x4*m.x8 + 4.05*m.x1*m.x3*m.x4*m.x5*m.x6*m.x8 - 6.38*m.x1*m.x3*m.x4*m.x6*
                       m.x8*m.x8 + 8.46*m.x1*m.x3*m.x4*m.x8*m.x8*m.x8 - 2.16*m.x1*m.x3*m.x5*m.x6*m.x6*m.x8 - 8.75*m.x1*
                       m.x4*m.x4*m.x4*m.x4*m.x6 + 1.33*m.x1*m.x4*m.x4*m.x4*m.x6*m.x7 + 5.32*m.x1*m.x4*m.x4*m.x5*m.x6*
                       m.x7 + 9.37*m.x1*m.x4*m.x4*m.x5*m.x7*m.x8 + 3.61*m.x1*m.x4*m.x5*m.x5*m.x5*m.x7 + 1.5*m.x1*m.x4*
                       m.x5*m.x5*m.x6*m.x7 + 7.69*m.x1*m.x4*m.x5*m.x5*m.x7*m.x7 + 7.79*m.x1*m.x4*m.x6*m.x6*m.x6*m.x8 + 
                       8.47*m.x1*m.x4*m.x7*m.x8*m.x8*m.x8 + 9.16*m.x1*m.x5*m.x5*m.x6*m.x6*m.x7 + 0.42*m.x1*m.x5*m.x6*
                       m.x6*m.x8*m.x8 + 0.97*m.x1*m.x5*m.x7*m.x7*m.x8*m.x8 + 6.09*m.x2*m.x2*m.x2*m.x2*m.x2*m.x6 + 5.62*
                       m.x2*m.x2*m.x2*m.x2*m.x3*m.x8 + 2.3*m.x2*m.x2*m.x2*m.x2*m.x4*m.x5 + 0.85*m.x2*m.x2*m.x2*m.x2*m.x8
                       *m.x8 + 7.1*m.x2*m.x2*m.x2*m.x3*m.x3*m.x3 + 5.21*m.x2*m.x2*m.x2*m.x3*m.x5*m.x6 + 1.66*m.x2*m.x2*
                       m.x2*m.x3*m.x7*m.x7 + 7.31*m.x2*m.x2*m.x2*m.x4*m.x4*m.x5 + 6.06*m.x2*m.x2*m.x2*m.x4*m.x6*m.x7 + 
                       0.43*m.x2*m.x2*m.x2*m.x7*m.x7*m.x8 + 3.06*m.x2*m.x2*m.x3*m.x3*m.x5*m.x7 + 8.98*m.x2*m.x2*m.x3*
                       m.x3*m.x8*m.x8 + 8.9*m.x2*m.x2*m.x3*m.x4*m.x6*m.x7 - 8.44*m.x2*m.x2*m.x3*m.x6*m.x6*m.x7 + 5.31*
                       m.x2*m.x2*m.x4*m.x4*m.x6*m.x6 + 5.33*m.x2*m.x2*m.x6*m.x6*m.x6*m.x7 + 1.53*m.x2*m.x3*m.x3*m.x3*
                       m.x4*m.x7 + 8.72*m.x2*m.x3*m.x3*m.x4*m.x7*m.x7 + 0.75*m.x2*m.x3*m.x3*m.x6*m.x6*m.x8 + 9.97*m.x2*
                       m.x3*m.x3*m.x7*m.x7*m.x7 + 9.72*m.x2*m.x3*m.x4*m.x4*m.x4*m.x7 + 2.05*m.x2*m.x3*m.x5*m.x6*m.x6*
                       m.x8 - 5.76*m.x2*m.x3*m.x5*m.x7*m.x7*m.x8 + 5.25*m.x2*m.x3*m.x6*m.x7*m.x7*m.x8 + 0.23*m.x2*m.x3*
                       m.x7*m.x7*m.x7*m.x8 + 0.66*m.x2*m.x4*m.x4*m.x5*m.x5*m.x5 + 2.46*m.x2*m.x4*m.x4*m.x5*m.x6*m.x7 + 
                       8.05*m.x2*m.x4*m.x4*m.x5*m.x6*m.x8 + 3.22*m.x2*m.x4*m.x6*m.x7*m.x7*m.x7 + 9.72*m.x2*m.x5*m.x5*
                       m.x6*m.x6*m.x7 + 1.81*m.x2*m.x5*m.x5*m.x7*m.x7*m.x7 + 6.86*m.x2*m.x6*m.x6*m.x6*m.x7*m.x8 + 5.84*
                       m.x2*m.x6*m.x7*m.x7*m.x8*m.x8 - 0.01*m.x2*m.x7*m.x7*m.x7*m.x8*m.x8 + 7.77*m.x3*m.x3*m.x3*m.x3*
                       m.x4*m.x4 + 0.12*m.x3*m.x3*m.x3*m.x4*m.x5*m.x7 + 7.16*m.x3*m.x3*m.x3*m.x5*m.x5*m.x7 + 1.88*m.x3*
                       m.x3*m.x3*m.x6*m.x6*m.x8 + 2.89*m.x3*m.x3*m.x4*m.x4*m.x6*m.x7 + 5.75*m.x3*m.x3*m.x7*m.x7*m.x7*
                       m.x8 + 4.26*m.x3*m.x4*m.x4*m.x4*m.x4*m.x6 + 0.42*m.x3*m.x4*m.x4*m.x4*m.x5*m.x5 + 5.03*m.x3*m.x4*
                       m.x5*m.x6*m.x8*m.x8 + 2.02*m.x3*m.x4*m.x8*m.x8*m.x8*m.x8 + 9.63*m.x3*m.x5*m.x5*m.x5*m.x5*m.x7 + 
                       1.93*m.x3*m.x5*m.x5*m.x6*m.x6*m.x8 - 5.36*m.x3*m.x5*m.x7*m.x7*m.x8*m.x8 + 9.56*m.x3*m.x6*m.x6*
                       m.x7*m.x7*m.x8 + 9.82*m.x4*m.x5*m.x5*m.x5*m.x6*m.x7 + 1.63*m.x4*m.x5*m.x5*m.x5*m.x8*m.x8 + 7.62*
                       m.x4*m.x5*m.x5*m.x6*m.x6*m.x7 + 4.74*m.x4*m.x5*m.x5*m.x6*m.x7*m.x7 + 5.3*m.x4*m.x5*m.x5*m.x7*m.x8
                       *m.x8 + 2.54*m.x4*m.x6*m.x6*m.x7*m.x7*m.x7 + 8.67*m.x4*m.x6*m.x7*m.x7*m.x7*m.x7 + 4.21*m.x5*m.x5*
                       m.x5*m.x5*m.x6*m.x8 + 1.59*m.x5*m.x5*m.x5*m.x6*m.x6*m.x7 - 5.75*m.x5*m.x6*m.x6*m.x7*m.x7*m.x8 + 
                       0.19*m.x5*m.x6*m.x7*m.x7*m.x7*m.x8, sense=minimize)

m.c1 = Constraint(expr= - 0.72*m.x1 + 1.67*m.x2 - 1.83*m.x3 + 1.71*m.x4 + 0.2*m.x5 - 9.58*m.x6 + 3.52*m.x7 + 4.89*m.x8
                        >= 6.16)

m.c2 = Constraint(expr=6.81*m.x1*m.x4 + 0.06*m.x1 + 9*m.x4 + 8.17*m.x3*m.x3 + 9.69*m.x3 + 3.98*m.x4*m.x7 - 0.53*m.x7 - 
                       6.94*m.x6*m.x8 + 0.99*m.x6 + 7.67*m.x8 + 5.32*m.x2 + 8.81*m.x5 >= 152.561)

m.c3 = Constraint(expr=0.56*m.x1*m.x4 + 8.38*m.x1 + 4.48*m.x4 + 6.54*m.x3*m.x3 + 3.47*m.x3 + 6.41*m.x4*m.x7 + 6.81*m.x7
                        + 7.53*m.x6*m.x8 + 3.72*m.x6 + 0.1*m.x8 + 5.74*m.x1*m.x6*m.x6 + 3.29*m.x1*m.x6*m.x7 + 0.76*m.x2*
                       m.x7*m.x7 + 6.52*m.x2 + 7.42*m.x4*m.x8*m.x8 - 6.53*m.x5*m.x5*m.x5 + 5.15*m.x5 + 7.39*m.x5*m.x6*
                       m.x7 >= 448.763)

m.c4 = Constraint(expr=2.89*m.x1*m.x4 + 7.04*m.x1 + 2.3*m.x4 + 0.14*m.x3*m.x3 + 1.87*m.x3 + 5.79*m.x4*m.x7 + 3.29*m.x7
                        + 6.49*m.x6*m.x8 + 8.51*m.x6 + 7.62*m.x8 + 2.34*m.x1*m.x6*m.x6 + 9.85*m.x1*m.x6*m.x7 + 9.87*m.x2
                       *m.x7*m.x7 - 1.58*m.x2 + 4.22*m.x4*m.x8*m.x8 + 7.63*m.x5*m.x5*m.x5 + 5.16*m.x5 + 1.73*m.x5*m.x6*
                       m.x7 + 4.9*m.x1*m.x1*m.x1*m.x5 + 8.19*m.x1*m.x1*m.x2*m.x6 + 3.85*m.x1*m.x1*m.x3*m.x5 + 1.08*m.x1*
                       m.x1*m.x5*m.x6 + 3.63*m.x1*m.x1*m.x7*m.x8 + 8.92*m.x1*m.x2*m.x4*m.x5 + 7.27*m.x1*m.x3*m.x3*m.x6
                        + 6.16*m.x1*m.x3*m.x4*m.x8 - 8.05*m.x1*m.x4*m.x5*m.x5 + 2.55*m.x1*m.x5*m.x5*m.x7 - 6.74*m.x1*
                       m.x6*m.x8*m.x8 + 1.22*m.x2*m.x2*m.x3*m.x5 + 6.44*m.x2*m.x2*m.x3*m.x8 + 4.38*m.x2*m.x2*m.x4*m.x6
                        + 6.44*m.x2*m.x3*m.x6*m.x8 + 0.75*m.x2*m.x5*m.x5*m.x7 + 1.73*m.x2*m.x6*m.x8*m.x8 + 3.82*m.x2*
                       m.x7*m.x7*m.x7 + 9.79*m.x3*m.x3*m.x6*m.x8 + 4.96*m.x3*m.x4*m.x6*m.x8 + 1.02*m.x3*m.x5*m.x6*m.x6
                        + 0.47*m.x4*m.x4*m.x5*m.x6 + 4.64*m.x4*m.x5*m.x6*m.x6 + 6.59*m.x5*m.x5*m.x6*m.x8 + 6.41*m.x7*
                       m.x8*m.x8*m.x8 >= 3538.554)

m.c5 = Constraint(expr=6.93*m.x1*m.x4 + 1.56*m.x1 - 7.1*m.x4 + 7.68*m.x3*m.x3 + 8.86*m.x3 + 7.63*m.x4*m.x7 + 4.78*m.x7
                        + 7.72*m.x6*m.x8 + 2.49*m.x6 + 2.68*m.x8 + 7.59*m.x1*m.x6*m.x6 + 7.95*m.x1*m.x6*m.x7 + 2.72*m.x2
                       *m.x7*m.x7 + 9.76*m.x2 + 7.59*m.x4*m.x8*m.x8 + 8.92*m.x5*m.x5*m.x5 + 0.53*m.x5 + 5.04*m.x5*m.x6*
                       m.x7 + 0.39*m.x1*m.x1*m.x1*m.x5 + 5.49*m.x1*m.x1*m.x2*m.x6 + 0.65*m.x1*m.x1*m.x3*m.x5 + 2.6*m.x1*
                       m.x1*m.x5*m.x6 + 0.3*m.x1*m.x1*m.x7*m.x8 + 0.85*m.x1*m.x2*m.x4*m.x5 + 0.6*m.x1*m.x3*m.x3*m.x6 - 
                       0.07*m.x1*m.x3*m.x4*m.x8 + 6.89*m.x1*m.x4*m.x5*m.x5 + 8.81*m.x1*m.x5*m.x5*m.x7 + 0.91*m.x1*m.x6*
                       m.x8*m.x8 + 7.91*m.x2*m.x2*m.x3*m.x5 + 6.18*m.x2*m.x2*m.x3*m.x8 + 1.1*m.x2*m.x2*m.x4*m.x6 + 5.36*
                       m.x2*m.x3*m.x6*m.x8 + 4.01*m.x2*m.x5*m.x5*m.x7 + 3.76*m.x2*m.x6*m.x8*m.x8 + 8.11*m.x2*m.x7*m.x7*
                       m.x7 + 8.03*m.x3*m.x3*m.x6*m.x8 + 1.42*m.x3*m.x4*m.x6*m.x8 + 4.05*m.x3*m.x5*m.x6*m.x6 - 2.17*m.x4
                       *m.x4*m.x5*m.x6 + 3.18*m.x4*m.x5*m.x6*m.x6 + 7.3*m.x5*m.x5*m.x6*m.x8 + 0.81*m.x7*m.x8*m.x8*m.x8
                        + 2.16*m.x1*m.x1*m.x1*m.x2*m.x4 + 6.38*m.x1*m.x1*m.x1*m.x3*m.x3 + 3.07*m.x1*m.x1*m.x2*m.x5*m.x5
                        + 8.88*m.x1*m.x1*m.x3*m.x3*m.x3 + 9.3*m.x1*m.x1*m.x3*m.x3*m.x8 + 6.89*m.x1*m.x1*m.x3*m.x5*m.x8
                        + 5.91*m.x1*m.x1*m.x5*m.x5*m.x5 + 7.22*m.x1*m.x1*m.x5*m.x7*m.x7 + 4.24*m.x1*m.x1*m.x7*m.x7*m.x7
                        + 1.29*m.x1*m.x2*m.x2*m.x3*m.x6 + 1.4*m.x1*m.x2*m.x2*m.x5*m.x7 + 3.14*m.x1*m.x2*m.x4*m.x7*m.x7
                        + 5.4*m.x1*m.x2*m.x5*m.x6*m.x7 - 8.37*m.x1*m.x2*m.x7*m.x7*m.x7 + 7.52*m.x1*m.x2*m.x7*m.x7*m.x8
                        + 7.82*m.x1*m.x3*m.x7*m.x7*m.x7 + 8.47*m.x1*m.x4*m.x4*m.x5*m.x8 + 5.27*m.x1*m.x4*m.x5*m.x6*m.x7
                        + 9.81*m.x1*m.x5*m.x6*m.x8*m.x8 + 3.07*m.x2*m.x2*m.x3*m.x3*m.x5 + 7.32*m.x2*m.x2*m.x3*m.x8*m.x8
                        + 4.86*m.x2*m.x2*m.x4*m.x4*m.x7 + 7.82*m.x2*m.x2*m.x4*m.x5*m.x7 - 9.34*m.x2*m.x2*m.x5*m.x6*m.x6
                        + 5.99*m.x2*m.x2*m.x5*m.x6*m.x7 + 4.33*m.x2*m.x3*m.x3*m.x3*m.x7 + 2.81*m.x2*m.x3*m.x3*m.x6*m.x8
                        + 4.95*m.x2*m.x3*m.x4*m.x6*m.x8 + 2.08*m.x2*m.x3*m.x7*m.x7*m.x8 - 5.16*m.x2*m.x4*m.x5*m.x8*m.x8
                        + 6.71*m.x2*m.x4*m.x6*m.x6*m.x6 + 6.64*m.x3*m.x3*m.x4*m.x7*m.x7 + 1.26*m.x3*m.x3*m.x5*m.x7*m.x8
                        + 4.16*m.x3*m.x5*m.x5*m.x8*m.x8 + 2.28*m.x3*m.x5*m.x6*m.x6*m.x7 - 1.3*m.x4*m.x4*m.x4*m.x5*m.x7
                        + 3.12*m.x4*m.x4*m.x5*m.x8*m.x8 + 5.91*m.x4*m.x4*m.x6*m.x6*m.x8 - 4.6*m.x4*m.x5*m.x7*m.x7*m.x8
                        + 8.99*m.x4*m.x6*m.x7*m.x8*m.x8 + 8.27*m.x5*m.x5*m.x5*m.x7*m.x8 + 6.4*m.x6*m.x7*m.x7*m.x8*m.x8
                        + 3.72*m.x7*m.x7*m.x7*m.x7*m.x7 + 7.19*m.x7*m.x7*m.x7*m.x8*m.x8 >= 16290.371)

m.c6 = Constraint(expr=7.49*m.x1*m.x4 + 6.58*m.x1 - 6.31*m.x4 + 2.02*m.x3*m.x3 + 8.64*m.x3 + 8.95*m.x4*m.x7 + 2.48*m.x7
                        + 5.38*m.x6*m.x8 + 4.92*m.x6 + 6.44*m.x8 + 8.8*m.x1*m.x6*m.x6 + 2.03*m.x1*m.x6*m.x7 + 0.03*m.x2*
                       m.x7*m.x7 + 7.85*m.x2 + 7.88*m.x4*m.x8*m.x8 - 6.09*m.x5*m.x5*m.x5 - 6.83*m.x5 + 6.07*m.x5*m.x6*
                       m.x7 - 4.91*m.x1*m.x1*m.x1*m.x5 + 6.16*m.x1*m.x1*m.x2*m.x6 + 4.33*m.x1*m.x1*m.x3*m.x5 + 4.75*m.x1
                       *m.x1*m.x5*m.x6 + 0.2*m.x1*m.x1*m.x7*m.x8 + 1.64*m.x1*m.x2*m.x4*m.x5 + 4.01*m.x1*m.x3*m.x3*m.x6
                        + 0.47*m.x1*m.x3*m.x4*m.x8 + 1.37*m.x1*m.x4*m.x5*m.x5 + 8*m.x1*m.x5*m.x5*m.x7 + 8.13*m.x1*m.x6*
                       m.x8*m.x8 - 1.08*m.x2*m.x2*m.x3*m.x5 + 5.44*m.x2*m.x2*m.x3*m.x8 + 5.36*m.x2*m.x2*m.x4*m.x6 + 0.59
                       *m.x2*m.x3*m.x6*m.x8 - 4.76*m.x2*m.x5*m.x5*m.x7 + 4.93*m.x2*m.x6*m.x8*m.x8 + 5.87*m.x2*m.x7*m.x7*
                       m.x7 + 5.7*m.x3*m.x3*m.x6*m.x8 - 6.18*m.x3*m.x4*m.x6*m.x8 + 3.06*m.x3*m.x5*m.x6*m.x6 - 0.42*m.x4*
                       m.x4*m.x5*m.x6 + 9.07*m.x4*m.x5*m.x6*m.x6 + 3.84*m.x5*m.x5*m.x6*m.x8 + 0.17*m.x7*m.x8*m.x8*m.x8
                        + 6.66*m.x1*m.x1*m.x1*m.x2*m.x4 + 9.61*m.x1*m.x1*m.x1*m.x3*m.x3 + 8.71*m.x1*m.x1*m.x2*m.x5*m.x5
                        + 1.47*m.x1*m.x1*m.x3*m.x3*m.x3 + 8.26*m.x1*m.x1*m.x3*m.x3*m.x8 + 2.89*m.x1*m.x1*m.x3*m.x5*m.x8
                        + 4.16*m.x1*m.x1*m.x5*m.x5*m.x5 + 5.92*m.x1*m.x1*m.x5*m.x7*m.x7 + 5.4*m.x1*m.x1*m.x7*m.x7*m.x7
                        + 5.7*m.x1*m.x2*m.x2*m.x3*m.x6 + 7.03*m.x1*m.x2*m.x2*m.x5*m.x7 + 6.46*m.x1*m.x2*m.x4*m.x7*m.x7
                        + 6.56*m.x1*m.x2*m.x5*m.x6*m.x7 + 1.89*m.x1*m.x2*m.x7*m.x7*m.x7 + 0.03*m.x1*m.x2*m.x7*m.x7*m.x8
                        + 1.47*m.x1*m.x3*m.x7*m.x7*m.x7 + 1.51*m.x1*m.x4*m.x4*m.x5*m.x8 + 9.39*m.x1*m.x4*m.x5*m.x6*m.x7
                        + 5.42*m.x1*m.x5*m.x6*m.x8*m.x8 + 7.44*m.x2*m.x2*m.x3*m.x3*m.x5 + 5.55*m.x2*m.x2*m.x3*m.x8*m.x8
                        + 8.6*m.x2*m.x2*m.x4*m.x4*m.x7 + 9.83*m.x2*m.x2*m.x4*m.x5*m.x7 + 2.9*m.x2*m.x2*m.x5*m.x6*m.x6 + 
                       5.05*m.x2*m.x2*m.x5*m.x6*m.x7 + 1.9*m.x2*m.x3*m.x3*m.x3*m.x7 + 0.42*m.x2*m.x3*m.x3*m.x6*m.x8 + 
                       3.66*m.x2*m.x3*m.x4*m.x6*m.x8 + 4.19*m.x2*m.x3*m.x7*m.x7*m.x8 + 4.49*m.x2*m.x4*m.x5*m.x8*m.x8 + 
                       2.27*m.x2*m.x4*m.x6*m.x6*m.x6 + 9.22*m.x3*m.x3*m.x4*m.x7*m.x7 + 2.98*m.x3*m.x3*m.x5*m.x7*m.x8 + 
                       6.47*m.x3*m.x5*m.x5*m.x8*m.x8 + 6.99*m.x3*m.x5*m.x6*m.x6*m.x7 + 0.49*m.x4*m.x4*m.x4*m.x5*m.x7 + 
                       6.49*m.x4*m.x4*m.x5*m.x8*m.x8 + 6.17*m.x4*m.x4*m.x6*m.x6*m.x8 + 2.64*m.x4*m.x5*m.x7*m.x7*m.x8 + 
                       8.72*m.x4*m.x6*m.x7*m.x8*m.x8 + 5.4*m.x5*m.x5*m.x5*m.x7*m.x8 + 4.68*m.x6*m.x7*m.x7*m.x8*m.x8 + 
                       4.82*m.x7*m.x7*m.x7*m.x7*m.x7 + 5.69*m.x7*m.x7*m.x7*m.x8*m.x8 + 7.72*m.x1*m.x1*m.x1*m.x1*m.x2*
                       m.x7 + 1.71*m.x1*m.x1*m.x1*m.x1*m.x4*m.x6 + 9.07*m.x1*m.x1*m.x1*m.x2*m.x3*m.x6 + 5.16*m.x1*m.x1*
                       m.x1*m.x2*m.x5*m.x6 + 1.82*m.x1*m.x1*m.x1*m.x2*m.x5*m.x7 - 2.63*m.x1*m.x1*m.x1*m.x3*m.x5*m.x8 + 
                       4.53*m.x1*m.x1*m.x1*m.x3*m.x6*m.x7 + 5.59*m.x1*m.x1*m.x1*m.x3*m.x6*m.x8 + 0.68*m.x1*m.x1*m.x1*
                       m.x4*m.x4*m.x5 + 6.83*m.x1*m.x1*m.x1*m.x4*m.x5*m.x5 + 8.78*m.x1*m.x1*m.x1*m.x5*m.x6*m.x6 + 4.04*
                       m.x1*m.x1*m.x1*m.x8*m.x8*m.x8 + 7.38*m.x1*m.x1*m.x2*m.x2*m.x3*m.x7 + 7.24*m.x1*m.x1*m.x2*m.x2*
                       m.x7*m.x7 + 3.98*m.x1*m.x1*m.x2*m.x3*m.x3*m.x7 + 1.42*m.x1*m.x1*m.x2*m.x4*m.x4*m.x7 + 1.91*m.x1*
                       m.x1*m.x2*m.x4*m.x5*m.x8 + 1.19*m.x1*m.x1*m.x3*m.x3*m.x3*m.x5 + 4.29*m.x1*m.x1*m.x3*m.x3*m.x5*
                       m.x8 + 8.86*m.x1*m.x1*m.x3*m.x3*m.x6*m.x7 - 9.11*m.x1*m.x1*m.x3*m.x5*m.x5*m.x5 + 2.47*m.x1*m.x1*
                       m.x3*m.x5*m.x7*m.x8 + 4.46*m.x1*m.x1*m.x4*m.x4*m.x5*m.x5 + 5.49*m.x1*m.x1*m.x4*m.x4*m.x5*m.x8 + 
                       7.99*m.x1*m.x1*m.x5*m.x5*m.x5*m.x6 + 4.63*m.x1*m.x1*m.x5*m.x7*m.x7*m.x8 + 9.73*m.x1*m.x1*m.x5*
                       m.x7*m.x8*m.x8 + 7.33*m.x1*m.x1*m.x6*m.x6*m.x6*m.x6 + 2.2*m.x1*m.x1*m.x6*m.x6*m.x6*m.x8 + 5.58*
                       m.x1*m.x1*m.x6*m.x7*m.x7*m.x8 + 6.98*m.x1*m.x2*m.x2*m.x2*m.x3*m.x5 + 7.51*m.x1*m.x2*m.x2*m.x2*
                       m.x3*m.x7 + 1.78*m.x1*m.x2*m.x2*m.x2*m.x7*m.x7 + 3.4*m.x1*m.x2*m.x2*m.x3*m.x4*m.x4 + 7.06*m.x1*
                       m.x2*m.x2*m.x3*m.x4*m.x7 + 7.69*m.x1*m.x2*m.x2*m.x3*m.x5*m.x8 + 6.22*m.x1*m.x2*m.x2*m.x3*m.x6*
                       m.x7 + 3.4*m.x1*m.x2*m.x2*m.x3*m.x7*m.x8 + 8.5*m.x1*m.x2*m.x3*m.x3*m.x4*m.x5 + 0.78*m.x1*m.x2*
                       m.x3*m.x4*m.x6*m.x8 + 8.65*m.x1*m.x2*m.x4*m.x4*m.x5*m.x7 - 6.45*m.x1*m.x2*m.x4*m.x6*m.x7*m.x8 + 
                       2.32*m.x1*m.x2*m.x4*m.x7*m.x8*m.x8 + 4.87*m.x1*m.x2*m.x5*m.x5*m.x8*m.x8 + 1.4*m.x1*m.x2*m.x5*m.x6
                       *m.x8*m.x8 + 8.54*m.x1*m.x3*m.x3*m.x3*m.x4*m.x5 + 8.2*m.x1*m.x3*m.x3*m.x3*m.x4*m.x6 + 8.46*m.x1*
                       m.x3*m.x3*m.x3*m.x5*m.x6 + 2.73*m.x1*m.x3*m.x3*m.x3*m.x7*m.x8 + 1.62*m.x1*m.x3*m.x3*m.x3*m.x8*
                       m.x8 + 1.87*m.x1*m.x3*m.x3*m.x4*m.x4*m.x7 + 6.84*m.x1*m.x3*m.x3*m.x4*m.x5*m.x7 - 4.84*m.x1*m.x3*
                       m.x3*m.x6*m.x6*m.x7 + 5.66*m.x1*m.x3*m.x3*m.x6*m.x6*m.x8 + 3.71*m.x1*m.x3*m.x3*m.x7*m.x7*m.x7 + 
                       9.84*m.x1*m.x3*m.x4*m.x4*m.x4*m.x8 + 3.17*m.x1*m.x3*m.x4*m.x5*m.x6*m.x8 + 1.96*m.x1*m.x3*m.x4*
                       m.x6*m.x8*m.x8 - 8.66*m.x1*m.x3*m.x4*m.x8*m.x8*m.x8 + 0.76*m.x1*m.x3*m.x5*m.x6*m.x6*m.x8 + 6.82*
                       m.x1*m.x4*m.x4*m.x4*m.x4*m.x6 + 7.73*m.x1*m.x4*m.x4*m.x4*m.x6*m.x7 + 7.35*m.x1*m.x4*m.x4*m.x5*
                       m.x6*m.x7 + 6.56*m.x1*m.x4*m.x4*m.x5*m.x7*m.x8 + 0.4*m.x1*m.x4*m.x5*m.x5*m.x5*m.x7 + 1.92*m.x1*
                       m.x4*m.x5*m.x5*m.x6*m.x7 + 8.48*m.x1*m.x4*m.x5*m.x5*m.x7*m.x7 + 9.31*m.x1*m.x4*m.x6*m.x6*m.x6*
                       m.x8 + 6.99*m.x1*m.x4*m.x7*m.x8*m.x8*m.x8 + 2.28*m.x1*m.x5*m.x5*m.x6*m.x6*m.x7 + 2.43*m.x1*m.x5*
                       m.x6*m.x6*m.x8*m.x8 + 8.88*m.x1*m.x5*m.x7*m.x7*m.x8*m.x8 + 2.38*m.x2*m.x2*m.x2*m.x2*m.x2*m.x6 + 
                       3.66*m.x2*m.x2*m.x2*m.x2*m.x3*m.x8 + 6.19*m.x2*m.x2*m.x2*m.x2*m.x4*m.x5 + 6.89*m.x2*m.x2*m.x2*
                       m.x2*m.x8*m.x8 + 0.64*m.x2*m.x2*m.x2*m.x3*m.x3*m.x3 + 7.61*m.x2*m.x2*m.x2*m.x3*m.x5*m.x6 + 9.44*
                       m.x2*m.x2*m.x2*m.x3*m.x7*m.x7 - 1.92*m.x2*m.x2*m.x2*m.x4*m.x4*m.x5 + 0.81*m.x2*m.x2*m.x2*m.x4*
                       m.x6*m.x7 + 3.22*m.x2*m.x2*m.x2*m.x7*m.x7*m.x8 + 1.99*m.x2*m.x2*m.x3*m.x3*m.x5*m.x7 + 5.91*m.x2*
                       m.x2*m.x3*m.x3*m.x8*m.x8 + 4.96*m.x2*m.x2*m.x3*m.x4*m.x6*m.x7 + 9.11*m.x2*m.x2*m.x3*m.x6*m.x6*
                       m.x7 - 2.34*m.x2*m.x2*m.x4*m.x4*m.x6*m.x6 + 1.91*m.x2*m.x2*m.x6*m.x6*m.x6*m.x7 - 7.43*m.x2*m.x3*
                       m.x3*m.x3*m.x4*m.x7 + 6.85*m.x2*m.x3*m.x3*m.x4*m.x7*m.x7 + 7.65*m.x2*m.x3*m.x3*m.x6*m.x6*m.x8 - 3
                       *m.x2*m.x3*m.x3*m.x7*m.x7*m.x7 + 5.31*m.x2*m.x3*m.x4*m.x4*m.x4*m.x7 - 5.44*m.x2*m.x3*m.x5*m.x6*
                       m.x6*m.x8 + 4.79*m.x2*m.x3*m.x5*m.x7*m.x7*m.x8 + 2.46*m.x2*m.x3*m.x6*m.x7*m.x7*m.x8 + 0.24*m.x2*
                       m.x3*m.x7*m.x7*m.x7*m.x8 + 7.21*m.x2*m.x4*m.x4*m.x5*m.x5*m.x5 + 2.79*m.x2*m.x4*m.x4*m.x5*m.x6*
                       m.x7 + 5.27*m.x2*m.x4*m.x4*m.x5*m.x6*m.x8 + 1.41*m.x2*m.x4*m.x6*m.x7*m.x7*m.x7 + 4.82*m.x2*m.x5*
                       m.x5*m.x6*m.x6*m.x7 + 6.42*m.x2*m.x5*m.x5*m.x7*m.x7*m.x7 - 0.77*m.x2*m.x6*m.x6*m.x6*m.x7*m.x8 + 
                       9.78*m.x2*m.x6*m.x7*m.x7*m.x8*m.x8 + 9.64*m.x2*m.x7*m.x7*m.x7*m.x8*m.x8 + 1.1*m.x3*m.x3*m.x3*m.x3
                       *m.x4*m.x4 + 6.6*m.x3*m.x3*m.x3*m.x4*m.x5*m.x7 + 3.63*m.x3*m.x3*m.x3*m.x5*m.x5*m.x7 + 1.28*m.x3*
                       m.x3*m.x3*m.x6*m.x6*m.x8 + 9.05*m.x3*m.x3*m.x4*m.x4*m.x6*m.x7 + 3.92*m.x3*m.x3*m.x7*m.x7*m.x7*
                       m.x8 + 5.32*m.x3*m.x4*m.x4*m.x4*m.x4*m.x6 + 8.42*m.x3*m.x4*m.x4*m.x4*m.x5*m.x5 + 6.61*m.x3*m.x4*
                       m.x5*m.x6*m.x8*m.x8 + 3.83*m.x3*m.x4*m.x8*m.x8*m.x8*m.x8 + 9.26*m.x3*m.x5*m.x5*m.x5*m.x5*m.x7 + 
                       0.89*m.x3*m.x5*m.x5*m.x6*m.x6*m.x8 + 2.96*m.x3*m.x5*m.x7*m.x7*m.x8*m.x8 + 5.1*m.x3*m.x6*m.x6*m.x7
                       *m.x7*m.x8 + 1.19*m.x4*m.x5*m.x5*m.x5*m.x6*m.x7 + 2.98*m.x4*m.x5*m.x5*m.x5*m.x8*m.x8 + 9.92*m.x4*
                       m.x5*m.x5*m.x6*m.x6*m.x7 + 3.05*m.x4*m.x5*m.x5*m.x6*m.x7*m.x7 + 8.7*m.x4*m.x5*m.x5*m.x7*m.x8*m.x8
                        + 8.02*m.x4*m.x6*m.x6*m.x7*m.x7*m.x7 - 3.15*m.x4*m.x6*m.x7*m.x7*m.x7*m.x7 + 9.85*m.x5*m.x5*m.x5*
                       m.x5*m.x6*m.x8 + 2.96*m.x5*m.x5*m.x5*m.x6*m.x6*m.x7 + 4.19*m.x5*m.x6*m.x6*m.x7*m.x7*m.x8 + 4.47*
                       m.x5*m.x6*m.x7*m.x7*m.x7*m.x8 >= 116205.116)

m.c7 = Constraint(expr=   5.84*m.x1 + 1.77*m.x2 + 1.6*m.x3 - 5.56*m.x4 + 2.34*m.x5 + 3.75*m.x6 + 0.6*m.x7 + 2.79*m.x8
                        >= 28.588)

m.c8 = Constraint(expr=3.36*m.x1*m.x4 + 5.51*m.x1 + 3.36*m.x4 - 2.51*m.x3*m.x3 + 1.36*m.x3 + 4.06*m.x4*m.x7 + 4.67*m.x7
                        + 3.15*m.x6*m.x8 + 0.42*m.x6 + 2.72*m.x8 - 3.92*m.x2 + 1.6*m.x5 >= 72.556)
